// NinjaTool.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#define BINNAME "LEVEL31.BIN"

// -------------------------------------------------------
#define NBZONES 8

u8 leveldata[2] = { 1 , NBZONES }; // Position 1 2 3. Nb zones 1 to 9

// -------------------------------------------------------
// A zone is top left corner, bottom right corner and id.
// Data are : 
// Byte : Number of zones
// For each zone : 5 btyes. Top left X, Top Left Y, Bottom Right X, Bottom Right Y, Id.
// start at 0. X to 12. Y to 15
u8 zonesdatas[NBZONES * 5] =
{
	1,0,3,4,1, // 
	8,6,9,9,2, // 
	6,6,7,7,3, //
	3,6,4,7,4, //
	3,9,5,11,5, //
	0,8,1,11,6, //
	2,13,8,15,7, //
	10,12,12,15,8 //
};

// -------------------------------------------------------
// Sequences
// -- Choice with cursor
// Time (in 10th of seconds 100=10s), for all zone, sucess or fails (fails = id + 100 )
//  { 100,101,101,101,1,0,0,0,0,0,0,0 } 
// -- Text. 250  Textid then 0
// 	{ 250,1  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Text
// -- QTE
//    251 TIME WINTEXT ERRORTEXT sequence 1=haut, 2=bas, 3=droite, 4=gauche
// 	{ 251,25 , 8, 103, 1  , 1  , 2  ,2  , 0  , 0 },
//  { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
// -- END
//  { 255,
// ----------------------------------------------------
#define SEQLINESIZE 10
u8 scenario[8][SEQLINESIZE] =
{
	{ 250, 7  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // 
	{ 250, 1  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // 
	{ 120, 2  , 104, 102, 102,102,102 , 101 , 101 , 0 }, // Jump on first lamp
	{ 120, 0  , 104, 102, 102,102, 3  , 101 , 101 , 0 }, // Jump on left colomn
	{ 120, 0  , 104, 103, 4  ,102, 0  , 101 , 101 , 0 }, // 
	{ 120, 5  , 104, 103, 0  ,5  , 0  , 101 , 101 , 0 }, // 
	{ 250, 6  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // 
	{ 255, 0  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // END
};

// -------------------------------------------------------
u8 nextlevelname[] = "LEVEL32 BIN"; // Must be 11 characters

// -------------------------------------------------------
/*
"                                      "; // 38
*/

u8 messageintro[] = {
/*
"------------------------------------" 36 chars (Line 3) 4
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Je rentre dans le temple par la "
 "lucarne du toit. Je retombe en    "
"silence sur le sol de la pice. Il y"
 "a une porte de l'autre ct. Je   "
  "dois aller l bas.              "
};
u8* messageintro_compress;


#define MESSAGEMAXLENGHT (32+34+36+34+32+4+1)

#define NBMESSDEATH 4
u8 messagedeath[NBMESSDEATH][MESSAGEMAXLENGHT] =
{
{
/*
"------------------------------------" 36 chars (Line 3) 101
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Le sol est pig, il y a un     "
 "systme de laser. Je suis repr  "
"Les gardes arrivent et me \2DEFONCENT.\1"
 "Je vais devoir atteindre la porte "
  "sans toucher le sol.            "
},
{
/*
"------------------------------------" 36 chars (Line 3) 102
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "C'est trop loin. Je saute mais  "
 "je retombe sur le sol et je suis  "
"repr. Les gardes \2M'EXPLOSENT\1 la   "
 "tronche. Je vais devoir trouver un"
  "autre chemin.                   "
},
{
/*
"------------------------------------" 36 chars (Line 3) 103
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "La lampe est mal fixe et cde  "
 "sous mon poids. J'ai pris du cul  "
"visiblement a force de bouffer des  "
 "merdes au Mac Do ! Les gardes me  "
  "\2PETENT\1 la gueule.               "
},
{
/*
"------------------------------------" 36 chars (Line 3) 104
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Je me \2RETAME\1 la gueule sur le   "
 "poteau. Tu crois que je suis un   "
"singe pour pouvoir sauter aussi loin"
 " ?? Arrte tes conneries s'il te  "
  "plat. On va pas y arriver l !!"
}
};

#define NBMESSSUCESS 7 
u8 messagesucces[NBMESSSUCESS][MESSAGEMAXLENGHT] =
{
{
/*
"------------------------------------" 36 chars (Line 3) 1
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Les gardes sont pas loin. Je    "
 "vais devoir me dpcher la. Une   "
"barre va \2INDIQUER LE TEMPS\1 que j'ai "
 "pour effectuer ma prochaine action"
  "sois rapide du bulbe gros.      "
},
{
/*
"------------------------------------" 36 chars (Line 3) 2
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2BRAVO\1. Je saute et je m'accroche"
 "sur la lampe. Ca tient sous mon   "
"poids. J'entends les gardes        "
 "l'tage du dessous, grouille-toi !"
  "                                "
},
{
/*
"------------------------------------" 36 chars (Line 3) 3
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2OUI\1. Je saute sur le poteau et  "
 "je l'enserre de mes jambes pour   "
"tenir. J'avoue a me donne la gaule "
 "cette position. Je resterai bien  "
  "l mais on n'a pas le temps !   "
},
{
/*
"------------------------------------" 36 chars (Line 3) 4
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2C'EST BON\1. J'ai attrap le fil  "
 "de la lampe. J'aurai pens qu'avec"
"une aussi grosse queue que la mienne"
 "le plafond ce serait croul, mais"
  "a tient. Allez magne....       "
},
{
/*
"------------------------------------" 36 chars (Line 3) 5
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2YEAH\1. Les gardes ne sont pas    "
 "encore l, j'ai encore un coup    "
"d'avance. Je sais pas ce qui se     "
 "trouve derrire cette porte mais  "
  "je vais botter des culs !!!!!!!!"
},
{
/*
"------------------------------------" 36 chars (Line 3) 6
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Bon tu as compris que parfois il"
 "faudra que tu te magnes le cul! On"
"a pas toute la journe non plus et  "
 "faut qu'on avance vite. Je compte "
  "sur toi le mou du bulbe...      "
},
{
/*
"------------------------------------" 36 chars (Line 3) 7
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "La vache quelle dco de merde.  "
 "La grosse conne de la tl est pas"
"encore venue refaire tout a pour   "
 "son mission de dbiles ?         "
  "Elle risque de se suicider ici !"
}

};

// Tile tile_Pic02_00: 16x16 pixels, 8x16 bytes.
// Tile tile_Pic02_00: 16x16 pixels, 8x16 bytes.
const u8 tile_Pic01_00[8 * 16 * 24] = {
	0x0c, 0x0c, 0x08, 0x0a, 0x0c, 0x0a, 0x0f, 0x0e,
	0x0c, 0x0c, 0x0d, 0x05, 0x0c, 0x0f, 0x05, 0x0f,
	0x0c, 0x0d, 0x0d, 0x0f, 0x0f, 0x0a, 0x0a, 0x0f,
	0x0c, 0x0c, 0x0f, 0x0f, 0x0f, 0x0f, 0x05, 0x0f,
	0x0c, 0x0c, 0x0f, 0x0f, 0x0f, 0x00, 0x0f, 0x0f,
	0x0c, 0x0c, 0x0f, 0x0e, 0x87, 0x0a, 0x05, 0x0f,
	0x0c, 0x0c, 0x0e, 0xc3, 0x0f, 0xc3, 0x0f, 0x0f,
	0x0c, 0x0c, 0x0f, 0x0f, 0x0a, 0x1a, 0xaf, 0x0f,
	0x0c, 0x0c, 0x0f, 0x49, 0x82, 0x0a, 0x0f, 0x0f,
	0x0c, 0x0c, 0x0e, 0xc3, 0x08, 0xc3, 0x0f, 0x0f,
	0x0c, 0x0c, 0x0e, 0xd7, 0x82, 0xeb, 0x87, 0x5a,
	0x0c, 0x0c, 0x0e, 0xeb, 0x08, 0xc3, 0x87, 0x5a,
	0x0c, 0x0c, 0x0e, 0x7f, 0x0d, 0xeb, 0x87, 0xa4,
	0x0c, 0x0c, 0x0e, 0xeb, 0x25, 0xc3, 0x87, 0x61,
	0x0c, 0x0c, 0x0e, 0x87, 0x0f, 0x4b, 0x87, 0x21,
	0x0c, 0x0c, 0x0f, 0x0e, 0x25, 0x0c, 0x87, 0xd7,
	0x0e, 0x0c, 0x0c, 0x0c, 0x0c, 0x58, 0x58, 0x58,
	0x0e, 0xa4, 0xa4, 0xa4, 0xa4, 0x0c, 0xa4, 0xa4,
	0x0e, 0x0c, 0x0c, 0x0c, 0x58, 0x58, 0xf0, 0xf0,
	0x0e, 0x58, 0x58, 0x58, 0x0c, 0xa4, 0xa4, 0xf0,
	0x0e, 0x0c, 0x0c, 0x0c, 0xa4, 0x58, 0x58, 0x58,
	0xa4, 0x0c, 0x86, 0x86, 0x0c, 0xa4, 0x0c, 0xa4,
	0x0e, 0x49, 0x49, 0x49, 0x0c, 0x0c, 0xa4, 0x58,
	0xa4, 0x86, 0x86, 0x86, 0x86, 0x86, 0x0c, 0xa4,
	0xa4, 0x49, 0xc3, 0xc3, 0x49, 0x0c, 0x0c, 0x0c,
	0x0c, 0xc3, 0xc3, 0x86, 0x86, 0x86, 0x86, 0x86,
	0x49, 0xeb, 0xeb, 0xc3, 0x0c, 0x0c, 0x0c, 0x0c,
	0xd7, 0x57, 0xc3, 0x86, 0x49, 0x49, 0x49, 0x0c,
	0xab, 0xeb, 0xc3, 0x0c, 0x0c, 0x0c, 0x0c, 0x58,
	0x57, 0x57, 0x86, 0x86, 0x86, 0x86, 0x86, 0xf0,
	0xbf, 0xeb, 0x0c, 0x0c, 0x0c, 0x0c, 0x58, 0xf0,
	0x7f, 0x86, 0x49, 0x49, 0x49, 0x0c, 0xa4, 0xa4,
	0x58, 0x58, 0x0d, 0x0e, 0x0c, 0x58, 0x0c, 0x0c,
	0xa5, 0xa5, 0xa5, 0x0f, 0x0c, 0xa4, 0x58, 0x0c,
	0x5a, 0x5a, 0x0f, 0x0e, 0x58, 0xa4, 0xa4, 0x0c,
	0xa5, 0xa5, 0xa5, 0x0e, 0xf0, 0x58, 0x0c, 0x58,
	0x58, 0x5a, 0x0d, 0x58, 0xa4, 0xa4, 0x0c, 0xa4,
	0xa4, 0xa4, 0xa4, 0xf0, 0x58, 0x58, 0x58, 0x0c,
	0x58, 0x58, 0x58, 0xf0, 0xf0, 0xa4, 0xa4, 0x0d,
	0xa4, 0xa4, 0xf0, 0x58, 0xf0, 0x58, 0x0c, 0x0f,
	0x58, 0x58, 0x58, 0xf0, 0xf0, 0xa4, 0x0c, 0x0e,
	0x0c, 0xa4, 0x58, 0x58, 0xf0, 0x0c, 0x0f, 0x0f,
	0x58, 0x24, 0x58, 0x0c, 0xa4, 0x0d, 0x0d, 0x0d,
	0xf0, 0xa4, 0x58, 0x0c, 0xa4, 0x0f, 0x0f, 0x0f,
	0xf0, 0x24, 0x58, 0x49, 0xa4, 0x0e, 0x0e, 0x0e,
	0xb0, 0xa4, 0x58, 0x86, 0xa5, 0x0f, 0x0f, 0x0f,
	0xf0, 0x24, 0x58, 0x49, 0xa5, 0x0d, 0x0d, 0x0f,
	0xb0, 0x24, 0x18, 0x86, 0xa5, 0x0f, 0x0f, 0x0d,
	0x0c, 0x0c, 0x1a, 0xc3, 0x25, 0xba, 0x0d, 0x21,
	0xa4, 0x0c, 0x0e, 0xeb, 0x25, 0x6b, 0x25, 0xd7,
	0x0c, 0x0c, 0x0e, 0x6b, 0x25, 0x6b, 0x87, 0xc3,
	0xa4, 0x0c, 0x0e, 0x6b, 0x1a, 0xeb, 0x87, 0x86,
	0x0c, 0x0c, 0x0e, 0xeb, 0x25, 0xeb, 0x87, 0xae,
	0xa4, 0x0c, 0x1a, 0xc3, 0x1a, 0xc3, 0x87, 0x86,
	0x58, 0x0c, 0x0f, 0x0f, 0x0f, 0x1a, 0x87, 0xae,
	0xa4, 0x0c, 0x1a, 0x0c, 0x4b, 0x25, 0x0f, 0xeb,
	0x58, 0x0c, 0x0f, 0x25, 0x1a, 0xd7, 0x87, 0xae,
	0xa4, 0x0c, 0x0f, 0x0f, 0x05, 0x0f, 0x25, 0xae,
	0xf0, 0x0c, 0x0f, 0x00, 0x0a, 0x05, 0x0f, 0xae,
	0xa4, 0xa4, 0x0a, 0x00, 0x05, 0x00, 0x0f, 0xae,
	0xf0, 0x0c, 0x0f, 0x00, 0x0a, 0x00, 0x05, 0x70,
	0xf0, 0xa4, 0xa0, 0x05, 0x0d, 0x00, 0x0a, 0x0e,
	0x5a, 0x58, 0x08, 0x04, 0x0f, 0x00, 0x05, 0x24,
	0xf0, 0xa4, 0x0d, 0x05, 0x0d, 0x00, 0x0f, 0x61,
	0xeb, 0x0c, 0x0c, 0x0c, 0x0c, 0x58, 0xf0, 0xf0,
	0x86, 0x86, 0x86, 0x86, 0x86, 0xa4, 0xa4, 0xf0,
	0x0c, 0x0c, 0x0c, 0x0c, 0x58, 0x58, 0x58, 0xa5,
	0x49, 0x49, 0x49, 0x0c, 0xa4, 0x0c, 0xf0, 0x0f,
	0x0c, 0x0c, 0x0c, 0x58, 0x49, 0x58, 0xa5, 0x0d,
	0x86, 0x86, 0x86, 0xa4, 0x0c, 0x58, 0x0f, 0x0f,
	0x0c, 0x0c, 0x58, 0x49, 0x0c, 0xa5, 0x0e, 0x0e,
	0x49, 0x0c, 0xa4, 0x86, 0x58, 0x0f, 0x0f, 0x0f,
	0x0c, 0x58, 0x49, 0x86, 0xa5, 0x0f, 0x0d, 0x0d,
	0x0c, 0xa4, 0xc3, 0x58, 0xba, 0x0f, 0x0f, 0x0f,
	0x58, 0x49, 0x86, 0xf5, 0x2e, 0x25, 0x0e, 0x0e,
	0xa4, 0xc3, 0x58, 0xbf, 0xd5, 0x87, 0x0f, 0x0f,
	0x0c, 0x86, 0xf5, 0x6a, 0x95, 0x87, 0x0d, 0x0d,
	0xc3, 0x58, 0xbf, 0xc0, 0x95, 0x25, 0x0f, 0x0f,
	0x0c, 0xf5, 0x6a, 0xc0, 0x6b, 0x0f, 0x0d, 0x0d,
	0x58, 0xbf, 0xc0, 0x95, 0x87, 0x0f, 0x0e, 0x0e,
	0xf0, 0x24, 0x58, 0x49, 0xa4, 0x0e, 0x0e, 0x0e,
	0xb0, 0x24, 0x18, 0xc3, 0xa5, 0x0d, 0x0d, 0x0d,
	0xf0, 0x24, 0x58, 0x49, 0xa4, 0x0e, 0x0e, 0x0e,
	0xb0, 0x24, 0x18, 0xc3, 0xa5, 0x0d, 0x0d, 0x0d,
	0xb0, 0x24, 0x18, 0x49, 0xa4, 0x0e, 0x0e, 0x0e,
	0xb0, 0x24, 0x18, 0xc3, 0xa5, 0x0d, 0x0d, 0x0d,
	0xb0, 0x24, 0x18, 0xc3, 0xa4, 0x0e, 0x0e, 0x0c,
	0xb0, 0x24, 0x0c, 0xc3, 0xa5, 0x0d, 0x0d, 0x0d,
	0xb0, 0x0c, 0x18, 0xc3, 0xa4, 0x0c, 0x0c, 0x0c,
	0xb0, 0x24, 0x0c, 0xc3, 0xa4, 0x0e, 0x0e, 0x0e,
	0xb0, 0x0c, 0x18, 0xc3, 0xa4, 0x0c, 0x0c, 0x0c,
	0xa4, 0x24, 0x0c, 0xc3, 0xa5, 0x0d, 0x0d, 0x0d,
	0x18, 0x0c, 0x0c, 0xc3, 0xa4, 0x0c, 0x0c, 0x0c,
	0xa4, 0x24, 0x92, 0xc3, 0xa4, 0x0e, 0x0e, 0x0e,
	0x18, 0x0c, 0x0c, 0xc3, 0xa4, 0x0c, 0x0c, 0x0d,
	0xa4, 0x24, 0x86, 0xc3, 0xa5, 0x0d, 0x58, 0x0f,
	0x5a, 0x58, 0x0d, 0x0e, 0x0c, 0x00, 0x0c, 0x0e,
	0x0f, 0xa4, 0x58, 0x0e, 0x0d, 0x05, 0x0c, 0x58,
	0x5a, 0x0c, 0x0c, 0xa4, 0x0c, 0x0a, 0x0c, 0xa5,
	0x0f, 0xa4, 0x58, 0x0c, 0x0c, 0x0f, 0x58, 0x0f,
	0x5a, 0x0c, 0x0c, 0xa4, 0x0c, 0x0e, 0xa5, 0x0e,
	0xa4, 0x0c, 0x0c, 0x0c, 0x0c, 0x58, 0x0f, 0x0f,
	0x0c, 0x0c, 0x0c, 0x0c, 0x0c, 0xa5, 0x0f, 0x0d,
	0xa4, 0x0c, 0x0c, 0x0c, 0x58, 0x0f, 0x0f, 0x0f,
	0x0c, 0x0c, 0x0c, 0x0c, 0xa5, 0x0e, 0x0e, 0x0e,
	0xa4, 0x0c, 0x0c, 0x58, 0x0f, 0x0f, 0x0f, 0x0f,
	0x0c, 0x0c, 0x0c, 0x58, 0x0d, 0x0d, 0x0d, 0x0d,
	0xa4, 0x0c, 0x0c, 0x58, 0x0f, 0x0f, 0x0f, 0x0f,
	0x58, 0x0c, 0x0c, 0x58, 0x0d, 0x0d, 0x0d, 0x0f,
	0x0c, 0x0c, 0x0c, 0x58, 0x0e, 0x0e, 0x0e, 0x0e,
	0x58, 0x0c, 0x0c, 0x58, 0x0f, 0x0d, 0x0d, 0x0d,
	0xa4, 0x0c, 0x0c, 0x58, 0x0e, 0x0c, 0x0c, 0x0e,
	0xe1, 0x6a, 0xc0, 0x7f, 0x0f, 0x0d, 0x0d, 0x0d,
	0x1f, 0xc0, 0x7f, 0x25, 0x0f, 0x0f, 0x0e, 0x0e,
	0x5f, 0x95, 0xba, 0x0f, 0x0d, 0x0d, 0x0d, 0x0d,
	0x1a, 0xba, 0x0f, 0x0f, 0x0e, 0x0f, 0x0e, 0x0c,
	0x0f, 0x0f, 0x0f, 0x0f, 0x0d, 0x0a, 0x0f, 0x0d,
	0x0f, 0x0f, 0x0e, 0x0e, 0x0e, 0x0f, 0x0e, 0x0e,
	0x0d, 0x0d, 0x0f, 0x0d, 0x0d, 0x0a, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0e, 0x0e, 0x0e, 0x0f, 0x0e, 0x0f,
	0x0f, 0x05, 0x0d, 0x0d, 0x0d, 0x0a, 0x0f, 0x0e,
	0x0f, 0x0f, 0x0f, 0x0e, 0x0f, 0x0a, 0x0f, 0x49,
	0x0d, 0x05, 0x0f, 0x0d, 0x0d, 0x08, 0x0e, 0xc3,
	0x0f, 0x0e, 0x0e, 0x0e, 0x0f, 0x0a, 0x49, 0xd7,
	0x0d, 0x05, 0x0d, 0x0d, 0x0f, 0x08, 0xc3, 0xeb,
	0x0f, 0x05, 0x0e, 0x0f, 0x0e, 0x82, 0xc3, 0xeb,
	0x0d, 0x05, 0x0d, 0x0f, 0x49, 0x82, 0x75, 0xd7,
	0x0f, 0x05, 0x0f, 0x0e, 0xc3, 0x82, 0xc3, 0xc3,
	0x18, 0x0c, 0x0c, 0xc3, 0xa4, 0x0c, 0x0f, 0x0f,
	0xa4, 0x24, 0x86, 0xc3, 0xa4, 0xa5, 0x0f, 0xa4,
	0x18, 0x0c, 0x0c, 0xc3, 0xa5, 0x0f, 0x0e, 0xd7,
	0xa4, 0x24, 0x86, 0xc3, 0xa5, 0x5a, 0xd7, 0xff,
	0x18, 0x0c, 0x0c, 0xc3, 0xf0, 0x49, 0xff, 0xff,
	0xa4, 0x24, 0x86, 0xc3, 0xe1, 0xff, 0xff, 0xd7,
	0x18, 0x49, 0x0c, 0xc3, 0xf5, 0xeb, 0xeb, 0xff,
	0xa4, 0x0c, 0x86, 0xc3, 0xf5, 0xd7, 0xd7, 0xd7,
	0x18, 0x49, 0x86, 0xc3, 0xe1, 0xeb, 0xc3, 0xeb,
	0xa4, 0x0c, 0x86, 0xc3, 0xa4, 0x86, 0x86, 0xd7,
	0x18, 0x49, 0x86, 0xc3, 0xe1, 0x49, 0x49, 0x3f,
	0xa4, 0x0c, 0x86, 0xc3, 0xa4, 0x86, 0x97, 0xc0,
	0x0c, 0x49, 0x86, 0xc3, 0xe1, 0x49, 0x42, 0x7f,
	0xa4, 0x86, 0x86, 0xc3, 0xa4, 0xd7, 0x17, 0x43,
	0x0c, 0x49, 0x86, 0xc3, 0xa4, 0x49, 0xab, 0xd7,
	0xa4, 0x86, 0x86, 0xc3, 0xa4, 0x86, 0xc3, 0xeb,
	0x58, 0x0c, 0x0c, 0x58, 0x0d, 0x0d, 0x0d, 0x0d,
	0xf0, 0x0c, 0x0c, 0x58, 0x0e, 0x0e, 0x0e, 0x0e,
	0xf0, 0x0c, 0x0c, 0x58, 0x0d, 0x0d, 0x0d, 0x0f,
	0xf0, 0x0c, 0x0c, 0x58, 0x0c, 0x0e, 0x0f, 0x0f,
	0xf0, 0x0c, 0x86, 0x58, 0x0c, 0x0c, 0x0d, 0x0d,
	0xf0, 0x0c, 0x0c, 0x58, 0x0c, 0x0c, 0x0f, 0x0f,
	0xf0, 0x0c, 0x86, 0x58, 0x0c, 0x0d, 0x0f, 0x0c,
	0xf0, 0x0c, 0x49, 0x58, 0x0c, 0x0f, 0x0e, 0x49,
	0xa4, 0x0c, 0x86, 0x58, 0x0d, 0x0e, 0x0c, 0x86,
	0xf0, 0x0c, 0x49, 0x58, 0x0f, 0x0d, 0x0c, 0x49,
	0xa4, 0x0c, 0x86, 0x58, 0x0e, 0x0c, 0x0e, 0x0e,
	0xf0, 0x0c, 0x49, 0x58, 0x0d, 0x0d, 0x0c, 0x0d,
	0xa4, 0x0c, 0x86, 0x58, 0x0e, 0x0c, 0x0d, 0x0c,
	0xf0, 0x49, 0x49, 0x58, 0x0f, 0x0d, 0x0c, 0x0d,
	0xa4, 0x86, 0x86, 0x58, 0x0e, 0x0c, 0x0c, 0x0e,
	0xae, 0x49, 0x49, 0x58, 0x0e, 0x0d, 0x0c, 0x0d,
	0x0d, 0x05, 0x0f, 0x5d, 0xc3, 0x82, 0xc3, 0x86,
	0x0f, 0x05, 0x0e, 0xc3, 0xc3, 0x82, 0x49, 0x86,
	0x0f, 0x05, 0x49, 0xba, 0xc3, 0x0a, 0x4b, 0x86,
	0x0f, 0x05, 0xff, 0xba, 0x87, 0x00, 0x05, 0x86,
	0x0e, 0x05, 0xba, 0x86, 0x0a, 0x0a, 0x0a, 0x0e,
	0x18, 0x05, 0xc3, 0x86, 0x05, 0x0a, 0x0f, 0x04,
	0x0a, 0x00, 0x5f, 0xff, 0x05, 0x20, 0x1a, 0x04,
	0x05, 0x05, 0x55, 0xff, 0x05, 0x0a, 0x0f, 0x04,
	0x05, 0x10, 0x55, 0xc3, 0x05, 0x20, 0x1a, 0x05,
	0x05, 0x41, 0x55, 0xff, 0x05, 0x0a, 0x61, 0x05,
	0x10, 0x10, 0x55, 0x87, 0x05, 0x20, 0x1a, 0x10,
	0x41, 0x05, 0x05, 0x1a, 0x10, 0x82, 0x61, 0x10,
	0x10, 0x10, 0x04, 0x0f, 0x05, 0x20, 0x1a, 0x10,
	0x05, 0x05, 0x04, 0x0e, 0x10, 0x82, 0x30, 0x10,
	0x0a, 0x05, 0x04, 0x0f, 0x10, 0x0a, 0x1a, 0x04,
	0x00, 0x00, 0x0e, 0x0d, 0x05, 0x00, 0x05, 0x05,
	0x0c, 0x49, 0x86, 0xc3, 0xa4, 0x0c, 0x49, 0xc3,
	0xa4, 0x86, 0x86, 0xc3, 0xa4, 0x0c, 0x0c, 0x0e,
	0x0c, 0xc3, 0x86, 0xc3, 0xa4, 0x0d, 0x0d, 0x0d,
	0x0c, 0x86, 0x86, 0xc3, 0xa4, 0x0e, 0x0f, 0x0f,
	0x0c, 0xc3, 0x86, 0xc3, 0xa5, 0x0f, 0xa5, 0xa5,
	0x0c, 0xc3, 0x86, 0xc3, 0xa5, 0x5a, 0x58, 0x58,
	0x0c, 0xc3, 0x86, 0xc3, 0xa5, 0xa4, 0xa4, 0xa4,
	0x0c, 0xc3, 0x86, 0xc3, 0xf0, 0x58, 0x49, 0x49,
	0x0c, 0xc3, 0xc3, 0xc3, 0xf0, 0x0c, 0xc3, 0x86,
	0x0c, 0xc3, 0x86, 0xc3, 0xa4, 0x49, 0x49, 0x49,
	0x0c, 0xc3, 0xc3, 0xc3, 0xf0, 0x0c, 0x86, 0x86,
	0x0c, 0xc3, 0x86, 0xc3, 0xa4, 0xa4, 0x0c, 0x0c,
	0x0c, 0xc3, 0xc3, 0xc3, 0xf0, 0x58, 0x58, 0x58,
	0x0c, 0xc3, 0x86, 0xc3, 0xa5, 0xa4, 0xa4, 0xa4,
	0x0c, 0xc3, 0xc3, 0xc3, 0xf0, 0x0f, 0x0d, 0x58,
	0x0c, 0xc3, 0x86, 0xc3, 0xa5, 0x04, 0xa4, 0x0f,
	0xa4, 0x86, 0x86, 0x58, 0x0c, 0x0d, 0x0c, 0x5a,
	0xae, 0x49, 0xc3, 0x58, 0x0e, 0x0d, 0x0c, 0xb0,
	0xa4, 0x86, 0xc3, 0x58, 0x0c, 0x0d, 0x0c, 0x61,
	0xae, 0x49, 0x49, 0x58, 0x0e, 0x0d, 0x0c, 0xc3,
	0xa4, 0xc3, 0xc3, 0x58, 0x0c, 0x0c, 0x86, 0x61,
	0xae, 0x49, 0x49, 0x58, 0x49, 0x0d, 0x0c, 0xc3,
	0xae, 0xc3, 0xc3, 0x58, 0x0c, 0x0c, 0x86, 0x86,
	0xae, 0x49, 0xc3, 0x58, 0x49, 0x0d, 0x0c, 0x49,
	0xae, 0xc3, 0xc3, 0x58, 0x0c, 0x0c, 0x86, 0xc3,
	0xae, 0xc3, 0xc3, 0x58, 0x49, 0x49, 0x0c, 0x49,
	0xae, 0xc3, 0xc3, 0x58, 0x49, 0x0c, 0x86, 0x86,
	0xae, 0xc3, 0xc3, 0x58, 0x49, 0x49, 0x0c, 0x49,
	0xae, 0xc3, 0xc3, 0x58, 0x49, 0x0c, 0x86, 0x0c,
	0xae, 0xc3, 0xc3, 0x58, 0x49, 0x49, 0x0c, 0x18,
	0xae, 0xc3, 0xc3, 0x58, 0x49, 0x0c, 0x0c, 0x58,
	0xae, 0xc3, 0xc3, 0x58, 0x49, 0x49, 0x0c, 0x25,
	0x24, 0x0c, 0xc3, 0x86, 0x0a, 0x00, 0x0a, 0x04,
	0xc3, 0xeb, 0xeb, 0xeb, 0x0d, 0x05, 0x05, 0x05,
	0xc3, 0xd7, 0xd7, 0xff, 0xd2, 0x00, 0x0a, 0x4b,
	0x49, 0xeb, 0xeb, 0xeb, 0x86, 0x0a, 0x05, 0x18,
	0xc3, 0xd7, 0xff, 0xff, 0xc3, 0xa0, 0x5f, 0xff,
	0x49, 0xeb, 0xeb, 0xff, 0xeb, 0xa5, 0xff, 0xff,
	0xc3, 0xd7, 0xc3, 0xd7, 0xc3, 0x0d, 0x7f, 0x7f,
	0x49, 0xc3, 0xeb, 0xff, 0xeb, 0xa5, 0xff, 0xff,
	0xc3, 0xd7, 0xd7, 0xff, 0xc3, 0x0d, 0xbf, 0xbf,
	0x49, 0x61, 0xff, 0xeb, 0xeb, 0x0d, 0xff, 0xff,
	0x92, 0x1a, 0xd7, 0xff, 0xc3, 0x0d, 0x7f, 0x7f,
	0x70, 0x0f, 0x61, 0xeb, 0xeb, 0x0d, 0xbf, 0xbf,
	0xa5, 0x5a, 0x1a, 0xd7, 0xc3, 0x0d, 0x7f, 0x7f,
	0x1a, 0x1a, 0xa5, 0x61, 0xeb, 0x0d, 0x17, 0x17,
	0x1a, 0x0e, 0x70, 0x1a, 0xc3, 0x0d, 0x2b, 0x2b,
	0x61, 0x1a, 0x18, 0xa5, 0x86, 0x0d, 0x0c, 0x49,
	0x0c, 0xc3, 0xc3, 0xc3, 0xf0, 0x05, 0x0f, 0xf0,
	0x0c, 0xc3, 0xc3, 0xc3, 0xa5, 0x50, 0xf0, 0xb0,
	0x0c, 0xc3, 0xc3, 0xc3, 0xf0, 0x5a, 0xf0, 0x70,
	0x0c, 0xc3, 0xc3, 0xc3, 0xa5, 0x50, 0xf0, 0xb0,
	0x0c, 0xc3, 0xc3, 0xc3, 0xf0, 0x5a, 0xf0, 0x70,
	0x0c, 0xc3, 0xc3, 0xc3, 0xa5, 0x50, 0xb0, 0xb0,
	0x0c, 0xc3, 0xc3, 0xc3, 0xf0, 0x5a, 0x70, 0x70,
	0x0c, 0xc3, 0xc3, 0xc3, 0xa5, 0x10, 0xb0, 0x30,
	0x0c, 0xc3, 0xc3, 0xc3, 0xf0, 0x5a, 0x70, 0x30,
	0x0c, 0xc3, 0xc3, 0xc3, 0xa5, 0x1a, 0xb0, 0x30,
	0x0c, 0xc3, 0xc3, 0xc3, 0xf0, 0x5a, 0x30, 0x30,
	0x0c, 0xc3, 0xc3, 0xc3, 0xa5, 0x1a, 0xb0, 0x30,
	0x0c, 0xc3, 0xc3, 0xc3, 0xa5, 0x5a, 0x70, 0x30,
	0x0c, 0xc3, 0xc3, 0xc3, 0xa5, 0x1a, 0xb0, 0x30,
	0x0c, 0xc3, 0xc3, 0xc3, 0xa4, 0x5a, 0x70, 0x30,
	0x0c, 0xc3, 0xc3, 0xc3, 0xa5, 0x1a, 0xb0, 0xb0,
	0xae, 0xc3, 0xc3, 0x58, 0x49, 0x49, 0x0c, 0xa5,
	0xae, 0xc3, 0xc3, 0x58, 0x0c, 0x18, 0x86, 0x1a,
	0xae, 0xc3, 0xc3, 0x58, 0x49, 0x49, 0x24, 0x1a,
	0xae, 0xc3, 0xc3, 0x58, 0x0c, 0x18, 0x0e, 0x4b,
	0xae, 0xc3, 0xc3, 0x58, 0x0d, 0xb0, 0xb0, 0x1a,
	0xae, 0xc3, 0xc3, 0x58, 0x49, 0x4b, 0x92, 0x4b,
	0xae, 0xc3, 0xc3, 0x58, 0x49, 0x5d, 0xc3, 0x4b,
	0xae, 0xc3, 0xc3, 0x58, 0xbf, 0x3f, 0x7f, 0x4b,
	0xae, 0xc3, 0xc3, 0x58, 0x95, 0x95, 0x95, 0x0b,
	0xae, 0xc3, 0xc3, 0x58, 0x3f, 0x3f, 0x7f, 0x4b,
	0xae, 0xc3, 0xc3, 0x58, 0x6a, 0x6a, 0x17, 0x0b,
	0xae, 0xc3, 0xc3, 0x58, 0x3f, 0x3f, 0x7f, 0x4b,
	0xae, 0xc3, 0xc3, 0x58, 0x95, 0x95, 0xbf, 0x0b,
	0xae, 0xc3, 0xc3, 0x58, 0x2b, 0x2b, 0x7f, 0x4b,
	0xae, 0xc3, 0xc3, 0x58, 0x17, 0x17, 0xbf, 0x0b,
	0xae, 0xc3, 0xc3, 0x58, 0x7f, 0x7f, 0x7f, 0x4b,
	0x92, 0x0e, 0x24, 0x25, 0xc3, 0x0d, 0x0c, 0x0c,
	0x61, 0x1a, 0x18, 0xa5, 0x86, 0x0d, 0xff, 0xeb,
	0x92, 0x0e, 0x30, 0x25, 0x6b, 0x0d, 0x3f, 0x7f,
	0x61, 0x1a, 0x18, 0xa5, 0x86, 0x0d, 0x95, 0xbf,
	0x92, 0x0e, 0x30, 0x25, 0x6b, 0x0d, 0x6a, 0x7f,
	0x61, 0x1a, 0x30, 0xa5, 0x86, 0x0d, 0x95, 0x17,
	0x92, 0x0e, 0x70, 0x25, 0x2e, 0x0d, 0x6a, 0x7f,
	0x61, 0x1a, 0x30, 0xa0, 0x2e, 0x0d, 0x95, 0x17,
	0x92, 0x0e, 0x70, 0x25, 0x90, 0x0d, 0x6a, 0x7f,
	0xc3, 0x10, 0x30, 0xa0, 0x2e, 0xa5, 0x95, 0x17,
	0x92, 0x0e, 0x70, 0x25, 0x90, 0x0d, 0x2b, 0x7f,
	0xc3, 0x10, 0x30, 0xa0, 0x84, 0xa5, 0x3f, 0xff,
	0x92, 0x1a, 0x70, 0x25, 0x3a, 0x0d, 0x2b, 0x7f,
	0x43, 0x10, 0xb0, 0xa0, 0x2e, 0xa5, 0xbf, 0xbf,
	0x83, 0x1a, 0x70, 0x20, 0x90, 0xa5, 0x7f, 0x7f,
	0x43, 0x10, 0xb0, 0xa0, 0x3a, 0x5a, 0xbf, 0xba,
	0x0c, 0xc3, 0xc3, 0xc3, 0xa4, 0x5a, 0x70, 0x70,
	0x0c, 0x86, 0xc3, 0xc3, 0xa5, 0x0f, 0x0f, 0x0f,
	0x0c, 0xc3, 0xc3, 0xc3, 0xa4, 0x0e, 0x0c, 0xae,
	0x0c, 0x86, 0xc3, 0xc3, 0xa4, 0xff, 0x75, 0xff,
	0x0c, 0xc3, 0xc3, 0xc3, 0xa4, 0xff, 0xb5, 0x3f,
	0x0c, 0x49, 0xc3, 0xc3, 0xa4, 0xff, 0x35, 0x3f,
	0x0c, 0x86, 0xc3, 0xc3, 0xa4, 0x30, 0xf5, 0x17,
	0x0c, 0x49, 0xc3, 0xc3, 0xa4, 0xff, 0xb5, 0x2b,
	0x0c, 0x86, 0xc3, 0xc3, 0xa4, 0xff, 0xb5, 0x3f,
	0x0c, 0x49, 0xc3, 0xc3, 0xa5, 0x30, 0x5f, 0x17,
	0x0c, 0x86, 0xc3, 0xc3, 0xa4, 0xff, 0xb5, 0x2b,
	0x0c, 0x49, 0xc3, 0xc3, 0xa5, 0xba, 0x0b, 0x3f,
	0x0c, 0x86, 0xc3, 0xc3, 0xa5, 0x30, 0x5f, 0x17,
	0x0c, 0x49, 0xc3, 0xc3, 0xa5, 0x20, 0x75, 0xff,
	0x0c, 0x86, 0xc3, 0xc3, 0xa5, 0x05, 0xba, 0xba,
	0x0c, 0x49, 0xc3, 0xc3, 0xa5, 0x1a, 0x2f, 0x25,
	0xae, 0xc3, 0xc3, 0x58, 0x17, 0x17, 0xbf, 0x0b,
	0xae, 0xc3, 0xc3, 0x58, 0x7f, 0x7f, 0x7f, 0x4b,
	0xae, 0xc3, 0xc3, 0x58, 0xbf, 0xba, 0xba, 0x0f,
	0xae, 0xc3, 0xc3, 0x58, 0x0f, 0x0f, 0x0f, 0x0f,
	0xae, 0x49, 0xc3, 0x58, 0x0f, 0x0f, 0x1a, 0x1a,
	0xae, 0xc3, 0xc3, 0x58, 0x25, 0x75, 0x75, 0x1a,
	0xae, 0x49, 0xc3, 0x58, 0xaf, 0xba, 0xba, 0x25,
	0xae, 0xc3, 0xc3, 0x58, 0xaf, 0xff, 0x75, 0x25,
	0xae, 0x49, 0xc3, 0x58, 0x0c, 0x5d, 0xff, 0xaf,
	0xae, 0xc3, 0xc3, 0x58, 0xff, 0xae, 0x0c, 0x0c,
	0xae, 0x49, 0xc3, 0x58, 0x3f, 0x7f, 0x7f, 0xff,
	0xae, 0xc3, 0xc3, 0x58, 0xbf, 0xbf, 0x3f, 0x3f,
	0xae, 0x49, 0xc3, 0x58, 0x0c, 0x0c, 0x0c, 0x0c,
	0xae, 0xc3, 0xc3, 0x58, 0x70, 0xff, 0xff, 0xff,
	0xae, 0x49, 0xc3, 0x58, 0x70, 0xff, 0xff, 0xff,
	0xae, 0xc3, 0xc3, 0x58, 0xfa, 0xff, 0xff, 0xff,
	0x83, 0x1a, 0x70, 0x20, 0xfa, 0x5a, 0x75, 0x75,
	0x43, 0x10, 0xb0, 0xa0, 0x25, 0x0f, 0xb0, 0xba,
	0x0f, 0x0f, 0x0f, 0x0a, 0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x30, 0x30,
	0xba, 0x30, 0x1a, 0xba, 0x30, 0x30, 0x1a, 0x30,
	0x75, 0x75, 0x25, 0x75, 0x75, 0x30, 0x25, 0x30,
	0xba, 0xba, 0xaf, 0x30, 0xba, 0xba, 0xba, 0x1a,
	0x75, 0x75, 0xba, 0x5f, 0xff, 0x75, 0x75, 0x25,
	0xff, 0xff, 0xff, 0x1a, 0xff, 0xff, 0xba, 0xaf,
	0x0c, 0x0c, 0xae, 0x25, 0xff, 0xff, 0xff, 0xba,
	0xff, 0xff, 0x0c, 0x0c, 0x0c, 0x0c, 0xae, 0xff,
	0x3f, 0x3f, 0xbf, 0xff, 0xff, 0xff, 0x0c, 0x0c,
	0x0c, 0x5d, 0x3f, 0x3f, 0x3f, 0x3f, 0xbf, 0xff,
	0xb0, 0xae, 0x0c, 0x0c, 0x0c, 0x5d, 0x3f, 0x3f,
	0xb0, 0xff, 0xff, 0xff, 0x70, 0xae, 0x0c, 0x0c,
	0x70, 0xff, 0xff, 0xff, 0xfa, 0x75, 0xff, 0xff,
	0x0c, 0x86, 0xc3, 0xc3, 0xa0, 0x05, 0x07, 0x20,
	0x0c, 0x49, 0xc3, 0xc3, 0xb0, 0x25, 0x25, 0x0a,
	0x0c, 0x86, 0xc3, 0xc3, 0xb0, 0x30, 0x0f, 0x75,
	0x0c, 0x49, 0xc3, 0xc3, 0xf0, 0xba, 0xba, 0xba,
	0x0c, 0x86, 0xc3, 0xc3, 0xb0, 0xf5, 0xff, 0x75,
	0x0c, 0x49, 0xc3, 0xc3, 0xf5, 0x70, 0xff, 0xba,
	0x0c, 0x86, 0xc3, 0xc3, 0xf5, 0xba, 0xb0, 0xff,
	0x0c, 0x49, 0xc3, 0xc3, 0xf5, 0xff, 0x25, 0x75,
	0x0c, 0x86, 0xc3, 0xc3, 0xf5, 0xba, 0xba, 0xb0,
	0x0c, 0x49, 0xc3, 0xc3, 0xf5, 0xff, 0x75, 0x25,
	0x0c, 0x86, 0xc3, 0xc3, 0xf5, 0xff, 0xba, 0xba,
	0x0c, 0x49, 0xc3, 0xc3, 0xf5, 0xff, 0xff, 0x75,
	0x0c, 0x86, 0xc3, 0xc3, 0xf5, 0xff, 0xba, 0xba,
	0x0c, 0x49, 0xc3, 0xc3, 0xf5, 0xff, 0xff, 0x75,
	0x0c, 0x86, 0x86, 0xc3, 0xf5, 0xff, 0xff, 0xba,
	0x0c, 0x49, 0xc3, 0xc3, 0xf5, 0xff, 0xff, 0xff,
	0xae, 0x49, 0x49, 0x58, 0x70, 0xff, 0xff, 0xff,
	0xae, 0xc3, 0xc3, 0x58, 0xaf, 0xff, 0xff, 0xff,
	0xae, 0x49, 0x49, 0x58, 0xfa, 0xff, 0xff, 0xff,
	0xae, 0x86, 0xc3, 0x58, 0xaf, 0xff, 0xff, 0xff,
	0xae, 0x49, 0x49, 0x58, 0xfa, 0xff, 0xff, 0xff,
	0xae, 0x86, 0xc3, 0x58, 0xaf, 0xba, 0xff, 0xff,
	0xae, 0x49, 0x49, 0x58, 0xaf, 0xff, 0xff, 0xff,
	0xae, 0x86, 0xc3, 0x58, 0x25, 0xff, 0xff, 0xff,
	0xae, 0x49, 0x49, 0x58, 0xaf, 0xba, 0xba, 0xff,
	0xae, 0x86, 0xc3, 0x0c, 0x25, 0xff, 0xff, 0xff,
	0xae, 0x49, 0x49, 0x58, 0xaf, 0xba, 0xba, 0xff,
	0xae, 0x86, 0xc3, 0x0c, 0x25, 0xff, 0xff, 0x75,
	0xae, 0x49, 0x49, 0x58, 0xaf, 0xba, 0xba, 0xff,
	0xae, 0x86, 0xc3, 0x0c, 0x25, 0xba, 0xff, 0x75,
	0xae, 0x49, 0x49, 0x58, 0x25, 0xba, 0xff, 0xba,
	0xae, 0x0c, 0xc3, 0x0c, 0x25, 0xba, 0xff, 0x75,
	0x70, 0xff, 0xff, 0xff, 0xba, 0xf5, 0xff, 0xff,
	0xaf, 0xff, 0xff, 0xff, 0xff, 0xf5, 0xff, 0xff,
	0xfa, 0x75, 0xff, 0xff, 0xff, 0xb0, 0xff, 0xff,
	0xaf, 0x75, 0xff, 0xff, 0xff, 0x70, 0xff, 0xff,
	0xba, 0x5f, 0xff, 0xff, 0xba, 0xaf, 0x75, 0xff,
	0xba, 0xf5, 0xff, 0xff, 0xff, 0xba, 0x5f, 0xff,
	0xff, 0x1a, 0xba, 0xff, 0xba, 0xff, 0xf5, 0xff,
	0xff, 0x1a, 0xff, 0xff, 0xff, 0x75, 0x1a, 0xff,
	0xff, 0x25, 0xba, 0xff, 0xff, 0xff, 0x25, 0xff,
	0x75, 0x25, 0xff, 0x75, 0xff, 0x75, 0xaf, 0x75,
	0xff, 0xaf, 0xff, 0xff, 0x75, 0xba, 0xba, 0x5f,
	0x75, 0xaf, 0x75, 0x75, 0x75, 0xff, 0x75, 0x5f,
	0x75, 0xaf, 0x75, 0xba, 0xba, 0xba, 0xba, 0x1a,
	0xba, 0xba, 0x5f, 0xff, 0x30, 0x75, 0x75, 0x25,
	0xba, 0xba, 0x5f, 0xba, 0xba, 0xba, 0x30, 0x25,
	0x30, 0x75, 0x1a, 0xff, 0x30, 0x30, 0x30, 0x25,
	0x0c, 0x86, 0x86, 0xc3, 0xb0, 0xff, 0xba, 0xba,
	0x0c, 0x49, 0xc3, 0xc3, 0xf0, 0xff, 0xff, 0x75,
	0x0c, 0x86, 0x86, 0xc3, 0xb0, 0xf5, 0xff, 0xba,
	0x0c, 0x49, 0xc3, 0xc3, 0xf5, 0xb0, 0xff, 0xff,
	0x0c, 0x86, 0x86, 0xc3, 0xf5, 0xfa, 0xff, 0xba,
	0x0c, 0x49, 0xc3, 0xc3, 0xf5, 0xba, 0x5f, 0xff,
	0x0c, 0x86, 0x86, 0xc3, 0xf5, 0x75, 0xb0, 0xff,
	0x0c, 0x49, 0xc3, 0xc3, 0xf5, 0xba, 0x25, 0x75,
	0x0c, 0x86, 0x86, 0xc3, 0xf5, 0xff, 0x30, 0x5f,
	0x0c, 0x49, 0x49, 0xc3, 0xf5, 0xba, 0xba, 0x1a,
	0x0c, 0x86, 0x86, 0xc3, 0xf5, 0xff, 0x75, 0x25,
	0x0c, 0x49, 0x49, 0xc3, 0xf5, 0xff, 0xba, 0xba,
	0x0c, 0x86, 0x86, 0xc3, 0xf5, 0x75, 0x75, 0x75,
	0x0c, 0x49, 0x49, 0xc3, 0xf5, 0xba, 0xba, 0xba,
	0x0c, 0x0c, 0x86, 0xc3, 0xf5, 0xff, 0x75, 0x75,
	0x0c, 0x0c, 0x49, 0xc3, 0xf5, 0xba, 0xba, 0xff 
};