// NinjaTool.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#define BINNAME "LEVEL42.BIN"

// -------------------------------------------------------
#define NBZONES 8

u8 leveldata[2] = { 2 , NBZONES }; // Position 1 2 3. Nb zones 1 to 9

// -------------------------------------------------------
// A zone is top left corner, bottom right corner and id.
// Data are : 
// Byte : Number of zones
// For each zone : 5 btyes. Top left X, Top Left Y, Bottom Right X, Bottom Right Y, Id.
// start at 0. X to 12. Y to 15
u8 zonesdatas[NBZONES * 5] =
{
	0,0,3,3,1, // fauscille
	8,0,11,3,2, // smoke
	4,4,5,5,3, // head 1
	8,4,9,5,4, // head 2
	2,9,3,10,5, // hand 1
	6,8,7,11,6, // hand 2
	10,9,11,10,7, //
	2,14,9,15,8, //
};

// -------------------------------------------------------
// Sequences
// -- Choice with cursor
// Time (in 10th of seconds 100=10s), for all zone, sucess or fails (fails = id + 100 )
//  { 100,101,101,101,1,0,0,0,0,0,0,0 } 
// -- Test. 250  Textid then 0
// 	{ 250,1  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Text
// -- QTE
//    251 TIME WINTEXT ERRORTEXT sequence 1=haut, 2=bas, 3=droite, 4=gauche
// 	{ 251,25 , 8, 103, 1  , 1  , 2  ,2  , 0  , 0 },
//  { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
// -- END
//  { 255,
// ----------------------------------------------------
#define SEQLINESIZE 10
u8 scenario[12][SEQLINESIZE] =
{
	{ 253, 0  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Change palette
	{ 250, 1  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Texte 1
	{ 199, 103, 2  , 101, 101,101, 101,101,102, 0 }, // Smoke
	{ 253, 2  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 },// Change palette
	{ 70, 103, 0  , 104, 104,104, 3  ,104,102, 0 }, // Jump
	{ 60 , 4  , 0  , 104, 104,104, 0  ,104,102, 0 }, // Sors Fauscille
	{ 50 , 0  , 0  , 105, 105,5  , 0  ,5  ,102, 0 }, // Cut Hands (they are not armed anymore)
	{ 253, 3  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 },// Change palette, blood
	{ 40 , 0  , 0  , 6  , 6  ,0  , 0  ,0  ,106, 0 }, // Cut Throats
	{ 250, 7  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Texte 7
	{ 253, 0  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 },// Change palette
	{ 255,0  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // END
};

// -------------------------------------------------------
u8 nextlevelname[] = "LEVEL43 BIN"; // Must be 11 characters

// -------------------------------------------------------
/*
"                                      "; // 38
*/

u8 messageintro[] = {
/*
"------------------------------------" 36 chars (Line 3) 4
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Me voici arriv en bas, dans la "
 "cave. Y'a deux cons qui sont l.  "
"Je les reconnais, ce sont Tsukasa et"
 "Nishiguchi. Ils grent la drogue  "
  "et la prostitution  Kabukicho. "
};
u8* messageintro_compress;


#define MESSAGEMAXLENGHT (32+34+36+34+32+6+1)

#define NBMESSDEATH 6
u8 messagedeath[NBMESSDEATH][MESSAGEMAXLENGHT] =
{
{
/*
"------------------------------------" 36 chars (Line 3) 101
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Je m'lance vers le premier pour"
 "le frapper, mais l'autre me \2TIRE\1  "
"dessus ! C'est quoi que t'as pas    "
 "compris dans le fait qu'ils       "
  "taient deux ?                  "
},
{
/*
"------------------------------------" 36 chars (Line 3) 102
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Je fais demi tour et je me barre"
 "Ils en profitent pour m'\2ABATTRE\1   "
"dans le dos. Je savais que tu tais "
 "con, mais je me doutais pas que tu"
  "tais un lche aussi !!         "
},
{
/*
"------------------------------------" 36 chars (Line 3) 103
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Je lance mes deux \2KAMAS\1 sur ces "
 "deux cons mais cela ne leur fait  "
"rien. Ca doit pas tre le bon moment"
 "Par contre leurs poings dans ma   "
  "\2GUEULE\1, je les sens bien !!     "
},
{
/*
"------------------------------------" 36 chars (Line 3) 104
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "J'arrive  saisir l'arme de l'un"
 "mais l'autre me \2TIRE\1 dessus sans  "
"mme me voir. Je dois sentir grave  "
 "le bouc ! Si j'avais su, j'aurai  "
  "pris mon do !!                 "
},
{
/*
"------------------------------------" 36 chars (Line 3) 105
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Je leur tranche la gorge mais   "
 "ils ont quand mme le rflexe de  "
"tirer ! Dans la flope de balles    "
 "il y en a une qui m'\2EXPLOSE\1 la    "
  "tte. Fais marcher la tienne man"
},
{
/*
"------------------------------------" 36 chars (Line 3) 106
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "En pleine bataille, je tente de "
 "me barrer comme un lche. Ils     "
"appellent leur pote qui est dans la "
 "salle d' ct et ils me          "
  "\2DEFONCENT\1 !!!!!!!!!!!           "
}

};

#define NBMESSSUCESS 7 
u8 messagesucces[NBMESSSUCESS][MESSAGEMAXLENGHT] =
{
{
/*
"------------------------------------" 36 chars (Line 3) 1
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Tu savais qu'ils droguaient les "
 "clients des bars  putes pour les "
"dpouiller ensuite ? Enfin bon, ils "
 "sont arms et ils sont deux. Va   "
  "falloir la jouer fine. On y va! "
},
{
/*
"------------------------------------" 36 chars (Line 3) 2
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2OUI\1, je lance une \2Torinoko\1, une " // Changer la palette pour qu'on voit plus grand chose.
 "grenade fumigne. Elle libre un  "
"gros nuage de fume paisse. Je vais"
 "avoir un avantage pendant quelques"
  "secondes, profitons-en...       "
},
{
/*
"------------------------------------" 36 chars (Line 3) 3
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2YEAH\1. Je fais un salto et je    " // Mettre du temps
 "saute entre les deux. C'est l que"
"je serai le mieux plac pour les    "
 "fracasser ces gros tas            "
  "dimmondices...                 "
},
{
/*
"------------------------------------" 36 chars (Line 3) 4
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2BONNE IDEE\1. Je sors mes \2KAMAS\1,  " // 5 ou 7
 "deux belles faucilles aiguises.  "
"Avec a, je peux dcouper n'importe "
 "quoi ! Mme ton zboub, je peux en "
  "faire du \2SASHIMI\1 !              "
},
{
/*
"------------------------------------" 36 chars (Line 3) 5
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2BIEN VU\1. D'un seul coup, je     " // 3 ou 4.
 "tranche leurs mains armes. Les   "
"guns tombent par terre. Ca gicle de "
 "partout, c'est dgeu... On fait   "
  "moins les marioles hein ?       "
},
{
/*
"------------------------------------" 36 chars (Line 3) 6
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Allez \2FINISSONS-EN\1. Toujours    " // 3 ou 4.
 "bien symtrique, je tranche la    "
"gorge de pipo et molo. Une bonne    "
 "chose de faite, ils me manqueront "
  "pas ces raclures de chiottes.   "
},
{
/*
"------------------------------------" 36 chars (Line 3) 7
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Ca glisse de partout, je vais   "
 "tenter de pas me vautrer dans les "
"mares de sang. Mais qui a fait tout "
 "ce merdier ? Ah ben oui c'est moi "
  "lol, quelle poilade...          "
}

};

// Tile tile_Pic02_00: 16x16 pixels, 8x16 bytes.
// Tile tile_Pic02_00: 16x16 pixels, 8x16 bytes.
const u8 tile_Pic01_00[8 * 16 * 24] = {
	0xc0, 0xc0, 0xc0, 0xc0, 0x80, 0x50, 0x39, 0xc0,
	0xc0, 0x36, 0xa0, 0x40, 0x80, 0x00, 0x50, 0x62,
	0x91, 0xa0, 0x00, 0x05, 0xd1, 0xf3, 0x00, 0xb1,
	0x72, 0x00, 0xf3, 0xa7, 0x71, 0xfc, 0xf9, 0x14,
	0x28, 0xf6, 0xfc, 0xa7, 0x30, 0xc0, 0x76, 0xf2,
	0xf1, 0xb9, 0xc0, 0x25, 0x75, 0xc0, 0x91, 0xf9,
	0xf6, 0x62, 0xc0, 0xaf, 0x35, 0xc0, 0xc0, 0x76,
	0xb9, 0xc0, 0xc0, 0x2f, 0x60, 0xc0, 0xc0, 0x91,
	0x62, 0xc0, 0xc0, 0x85, 0x35, 0xc0, 0xc0, 0x91,
	0x62, 0xc0, 0xc0, 0x90, 0x75, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0x3a, 0x30, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0xba, 0x25, 0xc0, 0xc0, 0xc0,
	0xc0, 0xc0, 0xc0, 0x75, 0x85, 0x6a, 0xc0, 0xc0,
	0xc0, 0xc0, 0x95, 0x35, 0x90, 0xea, 0xc0, 0xc0,
	0xc0, 0xc0, 0xd5, 0x60, 0xd5, 0x60, 0xc0, 0xc0,
	0xc0, 0xc0, 0x90, 0xea, 0x95, 0x4a, 0xc0, 0xc0,
	0x05, 0x05, 0x05, 0x05, 0x0f, 0x0f, 0x25, 0x25,
	0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0x1a, 0x1a, 0x1a,
	0x05, 0x05, 0x05, 0x0f, 0x0f, 0x25, 0x25, 0x25,
	0x0a, 0x0a, 0x0a, 0x0a, 0x0f, 0x1a, 0x30, 0xba,
	0x05, 0x05, 0x0f, 0x0f, 0x0f, 0x25, 0x75, 0x75,
	0x0a, 0x0a, 0x0a, 0x0f, 0x1a, 0x1a, 0xbf, 0xba,
	0x05, 0x0f, 0x0f, 0x0f, 0x0f, 0x25, 0xff, 0x7f,
	0x0a, 0x0a, 0x0f, 0x0f, 0x1a, 0x1a, 0xbf, 0xba,
	0x05, 0x0f, 0x0f, 0x0f, 0x0f, 0x25, 0x75, 0x75,
	0x0a, 0x0a, 0x0f, 0x0f, 0x0f, 0x1a, 0xba, 0xba,
	0x05, 0x0f, 0x0f, 0x0f, 0x0f, 0x25, 0x30, 0x30,
	0x0a, 0x0f, 0x0f, 0x0f, 0x0f, 0x1a, 0x1a, 0x1a,
	0x05, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x25, 0x25,
	0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x1a, 0x1a,
	0x05, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x5a, 0xa0, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x50, 0xbf, 0x70, 0x00, 0x00, 0x00,
	0x00, 0x00, 0xf5, 0x7f, 0x3f, 0xa0, 0x00, 0x00,
	0x00, 0x50, 0x35, 0x3a, 0x3f, 0x7a, 0x00, 0x00,
	0x00, 0x1a, 0xbf, 0x3f, 0x7f, 0x7f, 0xa0, 0x00,
	0x00, 0xf5, 0x7f, 0x30, 0xbf, 0x3f, 0x70, 0x00,
	0x05, 0x35, 0xba, 0x75, 0x6a, 0xc0, 0x3a, 0x00,
	0x50, 0xff, 0x35, 0xbf, 0xc0, 0xc0, 0xd5, 0x0a,
	0x50, 0x3a, 0x75, 0x6a, 0xc0, 0xc0, 0x95, 0xa0,
	0x10, 0x3a, 0x3f, 0xc0, 0xc0, 0xc0, 0xc0, 0x20,
	0x10, 0xba, 0x7f, 0x6a, 0xc0, 0xc0, 0x95, 0x20,
	0x55, 0x35, 0x3f, 0xc0, 0xc0, 0xc0, 0xc0, 0x20,
	0x55, 0x35, 0x7f, 0x6a, 0xc0, 0xc0, 0x95, 0x20,
	0x10, 0xbf, 0x3f, 0xea, 0xc0, 0xc0, 0xc0, 0x20,
	0x10, 0x3f, 0x3f, 0x6a, 0xc0, 0xc0, 0x95, 0x20,
	0xc0, 0xc0, 0x90, 0x6a, 0xc0, 0x1f, 0xc0, 0xc0,
	0xc0, 0xc0, 0x3a, 0xc0, 0xc0, 0x75, 0xc0, 0xc0,
	0xc0, 0xc0, 0xba, 0xc0, 0xc0, 0xba, 0xc0, 0xc0,
	0xc0, 0xc0, 0x75, 0xc0, 0xc0, 0x2f, 0x6a, 0xc0,
	0xc0, 0x95, 0x35, 0xc0, 0xc0, 0x90, 0xea, 0xc0,
	0xc0, 0xd5, 0x60, 0xc0, 0xc0, 0xd5, 0x60, 0xc0,
	0xc0, 0x90, 0xea, 0xc0, 0xc0, 0x95, 0x1f, 0xc0,
	0xc0, 0x3a, 0x6a, 0xc0, 0xc0, 0xc0, 0x75, 0xc0,
	0xc0, 0xba, 0xc0, 0xc0, 0xc0, 0xc0, 0xba, 0xc0,
	0xc0, 0x75, 0xc0, 0xc0, 0xc0, 0xc0, 0x2f, 0x6a,
	0x95, 0x35, 0xc0, 0xc0, 0xc0, 0xc0, 0x90, 0xea,
	0xd5, 0x60, 0xc0, 0xc0, 0xc0, 0xc0, 0xd5, 0x60,
	0x90, 0xea, 0xc0, 0xc0, 0xc0, 0xc0, 0x95, 0x1f,
	0x90, 0x6a, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x35,
	0xd5, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xea,
	0x95, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0x6a,
	0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x1a, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x25, 0x25, 0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x1a, 0x1a, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x75, 0x25, 0x25, 0x0f, 0x0f, 0x0f,
	0x0f, 0x1a, 0xbf, 0xba, 0x1a, 0x1a, 0x1a, 0x0f,
	0x0f, 0x0f, 0x75, 0x25, 0x25, 0x25, 0x25, 0x25,
	0x0f, 0x1a, 0x30, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a,
	0x0f, 0x25, 0x25, 0x25, 0x25, 0x25, 0x25, 0x25,
	0x0f, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a,
	0x0f, 0x30, 0x25, 0x25, 0x25, 0x25, 0x25, 0x25,
	0x0f, 0x1a, 0x30, 0x1a, 0x1a, 0x1a, 0x1a, 0x1a,
	0x0f, 0x30, 0x30, 0x30, 0x30, 0x30, 0x25, 0x25,
	0x0f, 0x1a, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30,
	0x0f, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30,
	0x10, 0x7f, 0x3f, 0xbf, 0xc0, 0xc0, 0x3f, 0x25,
	0x10, 0xbf, 0x3f, 0x7f, 0x95, 0x95, 0x95, 0x70,
	0x10, 0xbf, 0x3f, 0xbf, 0x6a, 0x6a, 0x7f, 0xb0,
	0x50, 0x35, 0x3f, 0x7f, 0x95, 0x95, 0xbf, 0x1a,
	0x10, 0x75, 0x3f, 0xff, 0x6a, 0x7f, 0x7f, 0x10,
	0x50, 0x75, 0xbf, 0xff, 0xbf, 0xbf, 0xd5, 0x10,
	0x50, 0x30, 0xff, 0x75, 0x7f, 0x3f, 0x3a, 0x5a,
	0x05, 0x30, 0xbf, 0xba, 0xbf, 0xbf, 0xaf, 0x25,
	0x00, 0xb0, 0x75, 0xff, 0x7f, 0x7f, 0xb0, 0xa0,
	0x00, 0x5a, 0x30, 0xba, 0xbf, 0xba, 0x70, 0x0a,
	0x00, 0x05, 0xb0, 0x70, 0x75, 0x30, 0x0a, 0x00,
	0x00, 0x00, 0x0f, 0xf0, 0xb0, 0xa5, 0x00, 0x00,
	0x00, 0x00, 0x05, 0x0f, 0x5a, 0x0a, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x05, 0x0f, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x0f, 0x0f, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x05, 0xa5, 0xa5, 0x0a, 0x00, 0x00, 0x00, 0x00,
	0x05, 0x5a, 0x70, 0x0a, 0x00, 0x00, 0x00, 0x0a,
	0x05, 0xb0, 0xa5, 0x0a, 0x00, 0x00, 0x00, 0x0a,
	0x05, 0x5a, 0x70, 0x0a, 0x00, 0x00, 0x00, 0xa5,
	0x05, 0xb0, 0xa5, 0x0a, 0x00, 0x00, 0x00, 0xa0,
	0x05, 0x5a, 0x5a, 0x0a, 0x00, 0x00, 0x00, 0xa5,
	0x05, 0xa5, 0x0f, 0x00, 0x00, 0x00, 0x00, 0x0a,
	0x00, 0x0a, 0x0a, 0x00, 0x00, 0x00, 0x00, 0xa5,
	0x05, 0x05, 0x05, 0x00, 0x00, 0x00, 0x00, 0x0a,
	0x0a, 0x0a, 0x0a, 0x0a, 0x00, 0x00, 0x05, 0x00,
	0x05, 0x05, 0x0f, 0x00, 0x00, 0x00, 0x0a, 0x00,
	0x0f, 0x0f, 0x0a, 0x0a, 0x00, 0x00, 0x0a, 0x00,
	0x05, 0x0f, 0x0f, 0x00, 0x00, 0x05, 0x0a, 0x00,
	0x0f, 0x70, 0x0f, 0xb0, 0x30, 0x61, 0xe9, 0x30,
	0x0f, 0xa5, 0x00, 0x1a, 0x30, 0xd7, 0xfd, 0x92,
	0x0f, 0x0a, 0x00, 0x10, 0x30, 0xd7, 0xfd, 0x92,
	0x0f, 0x05, 0x00, 0x10, 0x61, 0xd7, 0xfd, 0xc3,
	0x0f, 0x4b, 0xeb, 0x1a, 0x75, 0xd7, 0xfd, 0xd7,
	0x05, 0x75, 0xff, 0x30, 0x75, 0xd7, 0xe9, 0xd7,
	0x05, 0x5d, 0x55, 0x30, 0x75, 0xc3, 0xfd, 0xd7,
	0x05, 0x75, 0xaa, 0x30, 0x75, 0xd7, 0xe9, 0xd7,
	0x05, 0x5d, 0xff, 0x30, 0x75, 0xc3, 0xfd, 0xc3,
	0x0f, 0xd7, 0xff, 0x30, 0x75, 0xd7, 0xe9, 0xd7,
	0x00, 0x5d, 0xeb, 0x30, 0x61, 0xd7, 0xfd, 0xc3,
	0x00, 0x0e, 0xba, 0x30, 0x75, 0xd7, 0xfd, 0xd7,
	0x00, 0x00, 0x1a, 0x30, 0x61, 0xc3, 0xfd, 0xc3,
	0x00, 0x00, 0x05, 0x30, 0x75, 0xd7, 0xe9, 0xd7,
	0x00, 0x00, 0xa8, 0x1a, 0x75, 0xc3, 0xfd, 0xd7,
	0x00, 0x00, 0xd9, 0x10, 0x61, 0xd7, 0xe9, 0xc3,
	0x30, 0xa5, 0x5a, 0x30, 0x30, 0x30, 0x30, 0x30,
	0x30, 0x0a, 0x05, 0xb0, 0x30, 0xa0, 0x00, 0x00,
	0x30, 0x00, 0x00, 0x1a, 0x30, 0x0a, 0x05, 0x00,
	0x30, 0x00, 0x05, 0x10, 0x70, 0x00, 0x0a, 0x0a,
	0x30, 0x4b, 0xeb, 0x1a, 0x70, 0x00, 0x05, 0x00,
	0x30, 0x75, 0xff, 0x25, 0x25, 0x00, 0x0f, 0x0a,
	0x30, 0x75, 0x55, 0x0d, 0x70, 0x05, 0x05, 0x00,
	0x30, 0x20, 0xff, 0x25, 0x25, 0x00, 0x5a, 0x0a,
	0x30, 0x75, 0xff, 0x0d, 0x25, 0x05, 0x0f, 0x0f,
	0x30, 0x75, 0xff, 0x0d, 0x25, 0x05, 0x5a, 0x0a,
	0x30, 0x75, 0xae, 0xb0, 0x25, 0x05, 0xa5, 0xa5,
	0x30, 0x61, 0x58, 0x5a, 0x25, 0x50, 0x5a, 0x0a,
	0x30, 0x30, 0x0a, 0x00, 0x25, 0x05, 0xb0, 0xa5,
	0x30, 0x25, 0x00, 0x00, 0xa5, 0x50, 0xf0, 0x0a,
	0x30, 0x0a, 0x00, 0x00, 0x0f, 0x05, 0xb0, 0xa5,
	0x30, 0x51, 0x00, 0x00, 0x05, 0x5a, 0x70, 0x0a,
	0x0f, 0x0f, 0x0a, 0x0a, 0x00, 0x00, 0x0a, 0x00,
	0x05, 0x0f, 0x0f, 0x00, 0x00, 0x05, 0x00, 0x00,
	0x0f, 0x0f, 0x0a, 0x0a, 0x00, 0x0f, 0x00, 0x00,
	0x05, 0x05, 0x0f, 0x00, 0x00, 0x05, 0x00, 0x00,
	0x0a, 0x0a, 0x0a, 0x00, 0x00, 0x0f, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x00, 0x00,
	0x0a, 0x0a, 0x00, 0x0a, 0x0a, 0x0f, 0x00, 0x00,
	0x05, 0x05, 0x05, 0x05, 0x05, 0x0f, 0x00, 0x00,
	0x0a, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x00, 0x00,
	0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x00, 0x00,
	0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x00, 0x00,
	0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x00, 0x00,
	0x0f, 0x0a, 0x0a, 0x0a, 0x0a, 0x0f, 0x00, 0x00,
	0x0f, 0x05, 0x05, 0x05, 0x05, 0x0f, 0x00, 0x00,
	0x0a, 0x0a, 0x00, 0x00, 0x0a, 0x0f, 0x00, 0x00,
	0x05, 0x00, 0x00, 0x00, 0x05, 0x0f, 0x00, 0x00,
	0x00, 0x00, 0x7e, 0x50, 0x75, 0xd7, 0xfd, 0xd7,
	0x00, 0x00, 0xc4, 0x10, 0x61, 0xc3, 0xe9, 0xc3,
	0x00, 0x00, 0x95, 0x50, 0x75, 0xd7, 0xfd, 0xd7,
	0x00, 0x00, 0xc0, 0x50, 0x61, 0xd7, 0xe9, 0xc3,
	0x00, 0x00, 0x95, 0x05, 0x61, 0xc3, 0xe9, 0xc3,
	0x00, 0x00, 0xc0, 0x50, 0x30, 0x30, 0x30, 0x30,
	0x00, 0x00, 0x95, 0x05, 0x30, 0xb0, 0xb0, 0xb0,
	0x00, 0x00, 0xc0, 0x00, 0x25, 0x25, 0x25, 0x30,
	0x00, 0x00, 0x95, 0x05, 0xb0, 0x0a, 0x00, 0x1a,
	0x00, 0x00, 0xc0, 0x00, 0x25, 0x00, 0x00, 0x50,
	0x00, 0x00, 0x3f, 0x00, 0xa0, 0x0a, 0x00, 0x1a,
	0x00, 0x00, 0xc0, 0x00, 0x25, 0x05, 0x05, 0x70,
	0x00, 0x00, 0x95, 0x00, 0xb0, 0x1a, 0x1a, 0x1a,
	0x00, 0x00, 0x6e, 0x00, 0x70, 0x70, 0x70, 0x30,
	0x00, 0x00, 0x9d, 0x00, 0x30, 0x30, 0xb8, 0x30,
	0x00, 0x00, 0xec, 0x00, 0x30, 0x30, 0x30, 0x30,
	0x30, 0x54, 0x00, 0x00, 0x05, 0x05, 0xb0, 0xa5,
	0x70, 0x44, 0x00, 0x00, 0x00, 0x5a, 0x70, 0x0a,
	0x25, 0x40, 0x00, 0x00, 0x05, 0x0f, 0xf0, 0xa5,
	0x25, 0x44, 0x00, 0x00, 0x00, 0x0a, 0x5a, 0x0a,
	0x20, 0x54, 0x00, 0x00, 0x00, 0x0f, 0x05, 0x05,
	0xa0, 0x51, 0x00, 0x00, 0x00, 0x0a, 0x0a, 0x0a,
	0x0a, 0x00, 0x00, 0x00, 0x00, 0x0f, 0x05, 0x05,
	0x0a, 0xf6, 0x00, 0x00, 0x00, 0x0a, 0x00, 0x0a,
	0x51, 0x6e, 0xa2, 0x00, 0x00, 0x05, 0x00, 0x05,
	0x54, 0xc0, 0xa2, 0x00, 0x00, 0x0f, 0x00, 0x0a,
	0x44, 0x95, 0xa2, 0x00, 0x00, 0x05, 0x00, 0x05,
	0x54, 0xdc, 0x00, 0x00, 0x00, 0x05, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x0a, 0x05, 0x00, 0x05,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0x00, 0x00,
	0x0a, 0x00, 0x00, 0x00, 0x0a, 0x05, 0x00, 0x00,
	0xa0, 0x00, 0x00, 0x00, 0x0a, 0x05, 0x00, 0x00,
	0x0a, 0x00, 0x00, 0x00, 0x0a, 0x0f, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x05, 0x0f, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x0f, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x0f, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x0f, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x00, 0xa2,
	0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x00, 0xf1,
	0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x00, 0x71,
	0x00, 0x00, 0x00, 0x00, 0x05, 0x05, 0x00, 0x70,
	0x00, 0x00, 0x0a, 0x00, 0x05, 0x05, 0x51, 0x70,
	0x00, 0x00, 0x0a, 0x00, 0x0f, 0x05, 0xa2, 0x70,
	0x00, 0x0a, 0x0f, 0x00, 0x05, 0x05, 0xf1, 0x71,
	0x00, 0x0a, 0x0f, 0x00, 0x0a, 0x05, 0xfa, 0x71,
	0x00, 0x0a, 0x0a, 0x00, 0x0f, 0x05, 0x7f, 0x20,
	0x05, 0x0a, 0x0a, 0x00, 0x0a, 0x05, 0xc0, 0x71,
	0x05, 0x0a, 0x00, 0x00, 0x0a, 0x05, 0xc0, 0x20,
	0x00, 0x00, 0xf6, 0x00, 0x30, 0x30, 0xb8, 0x30,
	0x00, 0x00, 0x51, 0x00, 0x30, 0x30, 0x30, 0x30,
	0x00, 0x00, 0xa2, 0x00, 0x30, 0x30, 0xb8, 0x30,
	0x00, 0x00, 0x51, 0x00, 0x30, 0x30, 0xb8, 0x30,
	0x00, 0x00, 0x00, 0x00, 0x30, 0x30, 0xb8, 0x30,
	0x00, 0x00, 0x00, 0x00, 0x30, 0x30, 0xb8, 0x30,
	0x00, 0x00, 0x00, 0x00, 0x30, 0x30, 0xb8, 0x30,
	0x00, 0x00, 0x00, 0x00, 0x30, 0x30, 0x38, 0x30,
	0x00, 0x00, 0x00, 0x00, 0x30, 0x30, 0xb8, 0x30,
	0x00, 0x00, 0x00, 0x51, 0x30, 0x30, 0x38, 0x30,
	0x00, 0x00, 0x00, 0x00, 0x30, 0x65, 0xed, 0x30,
	0x00, 0x00, 0x00, 0x51, 0x30, 0x65, 0x38, 0x30,
	0x00, 0x00, 0x00, 0x54, 0x30, 0x30, 0xed, 0x30,
	0x00, 0x00, 0x00, 0x44, 0x30, 0x65, 0x38, 0x30,
	0x00, 0x00, 0x00, 0x15, 0x30, 0x30, 0xed, 0x30,
	0x00, 0x00, 0x00, 0x40, 0x30, 0x70, 0x38, 0x30,
	0x25, 0x00, 0x00, 0x00, 0xa0, 0x05, 0x00, 0x00,
	0x70, 0x00, 0x00, 0x00, 0xa0, 0x05, 0x00, 0x00,
	0x70, 0x00, 0x00, 0x00, 0x20, 0x05, 0x00, 0x00,
	0x70, 0x00, 0x00, 0x00, 0xa0, 0x05, 0x00, 0x00,
	0x25, 0x00, 0x00, 0x00, 0x20, 0x05, 0x00, 0x00,
	0x25, 0x00, 0x00, 0x00, 0x20, 0x05, 0x00, 0x00,
	0x20, 0x00, 0x00, 0x00, 0x20, 0x05, 0x00, 0x00,
	0x25, 0x00, 0x00, 0x00, 0x20, 0xa7, 0x00, 0x00,
	0x20, 0x00, 0x00, 0x00, 0x71, 0x05, 0x00, 0x00,
	0x20, 0x00, 0x00, 0x00, 0x20, 0xa7, 0x0a, 0x00,
	0x20, 0x00, 0x00, 0x00, 0x71, 0xad, 0x00, 0x00,
	0x20, 0x00, 0x00, 0x00, 0x74, 0x8d, 0x0a, 0x00,
	0x20, 0x00, 0x00, 0x00, 0x64, 0x85, 0x00, 0x00,
	0x20, 0x00, 0x00, 0x00, 0x60, 0x85, 0x0a, 0x00,
	0x20, 0x00, 0x00, 0x00, 0x60, 0x85, 0x00, 0x00,
	0x20, 0x00, 0x00, 0x00, 0x60, 0x2f, 0x0a, 0x00,
	0x00, 0x0a, 0x00, 0x00, 0x0a, 0x05, 0xbf, 0x20,
	0x00, 0x0a, 0x00, 0x05, 0x0a, 0x00, 0xf5, 0x20,
	0x00, 0x00, 0x00, 0x05, 0x00, 0x05, 0x05, 0x20,
	0x00, 0x00, 0x00, 0x05, 0x0a, 0x00, 0x0a, 0x20,
	0x00, 0x00, 0x00, 0x0f, 0x00, 0x05, 0x0f, 0x20,
	0x0a, 0x00, 0x00, 0x0a, 0x00, 0x0f, 0x0f, 0x20,
	0x00, 0x00, 0x00, 0x0f, 0x05, 0x05, 0x5a, 0xa0,
	0x0a, 0x00, 0x05, 0x0a, 0x00, 0x0f, 0x5a, 0x20,
	0x0a, 0x00, 0x05, 0x00, 0x05, 0x0f, 0xb0, 0xa0,
	0x00, 0x00, 0x05, 0x0a, 0x0a, 0x0f, 0x70, 0xa0,
	0x0a, 0x00, 0x0f, 0x00, 0x05, 0x5a, 0xb0, 0xa0,
	0x0a, 0x05, 0x0f, 0x00, 0x0f, 0x5a, 0x30, 0x0a,
	0x0a, 0x0f, 0x0a, 0x05, 0x0f, 0xb0, 0x30, 0x0a,
	0x0f, 0x0f, 0x0a, 0x0a, 0x0f, 0x70, 0x30, 0x00,
	0x0f, 0x0f, 0x00, 0x05, 0x0f, 0xb0, 0x30, 0x0a,
	0x0f, 0x0a, 0x00, 0x0f, 0x5a, 0x30, 0x30, 0x00,
	0x00, 0x00, 0x00, 0x44, 0x30, 0x30, 0xed, 0x30,
	0x00, 0x00, 0x00, 0x54, 0x30, 0x70, 0x38, 0x30,
	0x00, 0x00, 0x00, 0x10, 0x30, 0x30, 0xf8, 0x30,
	0x00, 0x00, 0x00, 0x10, 0x30, 0x70, 0x38, 0x30,
	0x00, 0x00, 0x00, 0x10, 0x30, 0x30, 0xf8, 0x30,
	0x00, 0x00, 0x00, 0x10, 0x30, 0x70, 0x38, 0x30,
	0x00, 0x00, 0x00, 0x10, 0x30, 0x30, 0xf8, 0x30,
	0x00, 0x0a, 0x00, 0x10, 0x30, 0x70, 0x38, 0x30,
	0x00, 0x00, 0x00, 0x1a, 0x30, 0x30, 0x78, 0x30,
	0x00, 0x0a, 0x00, 0x10, 0x30, 0x70, 0x6d, 0x30,
	0x00, 0x0a, 0x00, 0x1a, 0x30, 0x65, 0x78, 0x30,
	0x00, 0xa0, 0x00, 0x1a, 0x30, 0x70, 0x6d, 0x30,
	0x00, 0xa0, 0x00, 0xb0, 0x30, 0x65, 0x78, 0x9a,
	0x00, 0x20, 0x00, 0xb0, 0x30, 0x70, 0x6d, 0x30,
	0x00, 0xa0, 0x00, 0x30, 0x30, 0x65, 0x78, 0x9a,
	0x05, 0x20, 0x00, 0xb0, 0x30, 0xda, 0x78, 0x30,
	0x20, 0x00, 0x00, 0x00, 0x35, 0x8d, 0x05, 0x00,
	0x20, 0x00, 0x00, 0x00, 0x64, 0xad, 0x0a, 0x00,
	0x20, 0x00, 0x00, 0x00, 0x30, 0x25, 0x05, 0x00,
	0x25, 0x00, 0x00, 0x00, 0x30, 0x25, 0x0a, 0x0a,
	0x20, 0x00, 0x00, 0x00, 0x30, 0x25, 0x05, 0x00,
	0x25, 0x00, 0x00, 0x00, 0x30, 0x70, 0x0f, 0x0a,
	0x25, 0x00, 0x00, 0x00, 0x30, 0x30, 0xa5, 0x05,
	0x70, 0x00, 0x00, 0x00, 0xb0, 0x70, 0x25, 0x0a,
	0x70, 0x00, 0x00, 0x00, 0x30, 0x30, 0xa5, 0x0f,
	0x30, 0x00, 0x00, 0x00, 0xb0, 0x70, 0x70, 0x0a,
	0x70, 0x00, 0x00, 0x00, 0xb0, 0x30, 0xb0, 0xa5,
	0x30, 0x00, 0x00, 0x00, 0x1a, 0x30, 0x70, 0x25,
	0x30, 0x00, 0x00, 0x00, 0x1a, 0x30, 0xb0, 0xa5,
	0x30, 0x00, 0x10, 0x00, 0x10, 0x30, 0x70, 0x25,
	0x30, 0x00, 0x10, 0x00, 0x1a, 0x30, 0x30, 0xa5,
	0x30, 0x00, 0x10, 0x00, 0x10, 0x30, 0x70, 0x25,
	0x0f, 0x00, 0x05, 0x0f, 0x1a, 0x30, 0x30, 0x00,
	0x00, 0x00, 0x00, 0x0f, 0xf0, 0x30, 0x30, 0x00,
	0x00, 0x00, 0x05, 0x0f, 0xb0, 0x30, 0x30, 0x00,
	0x00, 0x00, 0x0a, 0x5a, 0x30, 0x30, 0x30, 0x00,
	0x00, 0x05, 0x05, 0x1a, 0xb0, 0x30, 0x30, 0x00,
	0x00, 0x0a, 0x0f, 0x5a, 0x30, 0x30, 0x30, 0x00,
	0x00, 0x05, 0x0f, 0xb0, 0x30, 0x30, 0x30, 0x00,
	0x00, 0x0a, 0x0f, 0x70, 0x30, 0x30, 0x30, 0x00,
	0x05, 0x05, 0x5a, 0xb0, 0x30, 0x30, 0x30, 0x00,
	0x0a, 0x0f, 0x5a, 0x70, 0x30, 0x30, 0x30, 0x00,
	0x05, 0x05, 0xb0, 0xb0, 0x30, 0x30, 0x30, 0x00,
	0x0f, 0x5a, 0xf0, 0x30, 0x30, 0x30, 0x30, 0x00,
	0x0f, 0xa5, 0xb0, 0xb0, 0x30, 0x30, 0x30, 0x00,
	0xa5, 0x5a, 0x70, 0x30, 0x30, 0x30, 0x30, 0x00,
	0x0f, 0xb0, 0xb0, 0xb0, 0x30, 0x30, 0x30, 0x00,
	0x5a, 0x5a, 0x70, 0x30, 0x30, 0x30, 0x70, 0x00,
	0x00, 0x20, 0x00, 0x30, 0x30, 0x65, 0x78, 0x9a,
	0x05, 0x20, 0x00, 0x30, 0x30, 0xda, 0x78, 0x30,
	0x05, 0x20, 0x00, 0x30, 0x30, 0x65, 0x78, 0x9a,
	0x50, 0x20, 0x00, 0x30, 0x30, 0xda, 0x78, 0x30,
	0x50, 0x20, 0x00, 0x30, 0x30, 0x70, 0x78, 0x9a,
	0x10, 0x20, 0x00, 0x30, 0x30, 0xda, 0x78, 0x30,
	0x50, 0x20, 0x00, 0x30, 0x30, 0x70, 0x78, 0x9a,
	0x10, 0x20, 0x00, 0x30, 0x30, 0xda, 0x78, 0x30,
	0x10, 0x20, 0x00, 0x30, 0x30, 0x70, 0x78, 0x9a,
	0x10, 0xa0, 0x00, 0x30, 0x30, 0xda, 0x78, 0x30,
	0x10, 0x20, 0x00, 0x30, 0x30, 0x70, 0x78, 0x9a,
	0x10, 0xa0, 0x00, 0x1a, 0x30, 0xda, 0x78, 0x9a,
	0x10, 0xa0, 0x00, 0x50, 0x30, 0x70, 0x78, 0x9a,
	0x10, 0x0a, 0x00, 0x05, 0xb0, 0xda, 0x78, 0xda,
	0x50, 0x0a, 0x00, 0x00, 0x30, 0xda, 0x78, 0x8f,
	0x05, 0x00, 0x00, 0x00, 0xb0, 0xda, 0x78, 0x8f,
	0x30, 0x00, 0x10, 0x00, 0x10, 0x30, 0x30, 0xa5,
	0x30, 0x00, 0x10, 0x00, 0x10, 0x30, 0x70, 0x25,
	0x30, 0x00, 0x10, 0x00, 0x10, 0x30, 0x30, 0xa5,
	0x30, 0x00, 0x10, 0x00, 0x10, 0x30, 0x70, 0x25,
	0x30, 0x00, 0x10, 0x00, 0x10, 0x30, 0x30, 0xa5,
	0x30, 0x00, 0x10, 0x00, 0x50, 0x30, 0x30, 0x25,
	0x30, 0x00, 0x10, 0x0a, 0x10, 0x30, 0x30, 0xa5,
	0x70, 0x00, 0x10, 0x00, 0x50, 0x30, 0x30, 0x25,
	0x30, 0x00, 0x10, 0x0a, 0x10, 0x30, 0x30, 0xa5,
	0x70, 0x00, 0x10, 0x0a, 0x50, 0x30, 0x30, 0x25,
	0x70, 0x00, 0x10, 0xa0, 0x50, 0x30, 0x30, 0xb0,
	0x25, 0x00, 0x10, 0xa0, 0x50, 0x30, 0x30, 0x25,
	0x0a, 0x00, 0x50, 0x20, 0x05, 0x30, 0x30, 0xb0,
	0x00, 0x00, 0x05, 0xa0, 0x50, 0x30, 0x30, 0x25,
	0x00, 0x00, 0x00, 0x0a, 0x05, 0xb0, 0x30, 0xb0,
	0x00, 0x00, 0x00, 0x00, 0x50, 0x30, 0x30, 0x25,
	0x0f, 0xb0, 0xb0, 0xb0, 0x30, 0x30, 0x25, 0x00,
	0x5a, 0x70, 0x70, 0x70, 0x70, 0x70, 0xa0, 0x00,
	0xf0, 0xb0, 0xb0, 0xb0, 0xb0, 0xf0, 0x0a, 0x00,
	0x5a, 0x70, 0x70, 0x70, 0x70, 0x25, 0x00, 0x00,
	0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xa0, 0x00, 0x00,
	0x70, 0x70, 0x70, 0x70, 0x70, 0xa0, 0x00, 0x00,
	0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xa0, 0x00, 0x00,
	0x70, 0x70, 0x70, 0x70, 0x70, 0xa5, 0x00, 0x00,
	0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xf0, 0x0a, 0x5a,
	0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70,
	0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0,
	0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70, 0x70,
	0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0xb0, 0x30,
	0x70, 0x70, 0x70, 0x70, 0x30, 0x30, 0x30, 0x30,
	0xb0, 0xb0, 0xb0, 0xb0, 0x30, 0x30, 0x30, 0x30,
	0x70, 0x70, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30,
	0x00, 0x00, 0x00, 0x00, 0xb0, 0xda, 0x78, 0x8f,
	0x00, 0x00, 0x00, 0x05, 0xb0, 0xda, 0x78, 0xda,
	0x00, 0x00, 0x00, 0x5a, 0xb0, 0xda, 0x78, 0x9a,
	0x00, 0x00, 0x00, 0x5a, 0x30, 0xda, 0x78, 0x9a,
	0x00, 0x00, 0x05, 0xb0, 0xb0, 0xda, 0x78, 0x9a,
	0x00, 0x00, 0xf0, 0x70, 0x30, 0xda, 0x78, 0x9a,
	0x00, 0x5a, 0xb0, 0xb0, 0x30, 0xda, 0x78, 0x9a,
	0x5a, 0xf0, 0x70, 0x70, 0x30, 0xda, 0x78, 0x9a,
	0xf0, 0xb0, 0xb0, 0xb0, 0x30, 0xda, 0x78, 0x9a,
	0x70, 0x70, 0x70, 0x30, 0x30, 0xda, 0x78, 0x9a,
	0xb0, 0xb0, 0x30, 0x30, 0x30, 0xda, 0x78, 0x9a,
	0x70, 0x30, 0x30, 0x30, 0x30, 0xda, 0x78, 0x9a,
	0x30, 0x30, 0x30, 0x30, 0x30, 0xda, 0x78, 0x9a,
	0x30, 0x30, 0x30, 0x30, 0x30, 0xda, 0x78, 0x9a,
	0x30, 0x30, 0x30, 0x30, 0x30, 0xda, 0x78, 0x9a,
	0x30, 0x30, 0x30, 0x30, 0x30, 0xda, 0x78, 0x9a,
	0x00, 0x00, 0x00, 0x00, 0x05, 0xb0, 0xb0, 0xb0,
	0x0a, 0x00, 0x00, 0x00, 0x05, 0x70, 0x70, 0x25,
	0x0a, 0x00, 0x00, 0x00, 0x00, 0xb0, 0xb0, 0xb0,
	0x70, 0x0a, 0x00, 0x00, 0x00, 0x5a, 0x70, 0x25,
	0xb0, 0xa5, 0x00, 0x00, 0x00, 0x10, 0xb0, 0xb0,
	0x70, 0x70, 0x0f, 0x00, 0x00, 0x50, 0x70, 0x25,
	0x30, 0xb0, 0xf0, 0x0a, 0x00, 0x50, 0xb0, 0xb0,
	0x30, 0x70, 0x70, 0xa5, 0x00, 0x5a, 0x70, 0x70,
	0x30, 0x30, 0xb0, 0xb0, 0xf0, 0xb0, 0xb0, 0xb0,
	0x30, 0x30, 0x70, 0x70, 0x70, 0x70, 0x30, 0x70,
	0x30, 0x30, 0x30, 0xb0, 0xb0, 0xb0, 0x30, 0xb0,
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x70,
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30,
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x70,
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30,
	0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30
};