// NinjaTool.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#define BINNAME "LEVEL71.BIN"

// -------------------------------------------------------
#define NBZONES 7

u8 leveldata[2] = { 1 , NBZONES }; // Position 1 2 3. Nb zones 1 to 9

// -------------------------------------------------------
// A zone is top left corner, bottom right corner and id.
// Data are : 
// Byte : Number of zones
// For each zone : 5 btyes. Top left X, Top Left Y, Bottom Right X, Bottom Right Y, Id.
// start at 0. X to 12. Y to 15
u8 zonesdatas[NBZONES * 5] =
{
	0,14,1,14,1, // 
	1,12,2,12,2, // 
	8,11,9,11,3, // 
	6,9,7,9,4, // 
	4,7,7,7,5, // 
	4,12,7,15,6, // 
	4,10,5,11,7, // 
};

// -------------------------------------------------------
// Sequences
// -- Choice with cursor
// Time (in 10th of seconds 100=10s), for all zone, sucess or fails (fails = id + 100 )
//  { 100,101,101,101,1,0,0,0,0,0,0,0 } 
// -- Test. 250  Textid then 0
// 	{ 250,1  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Text
// -- QTE
//    251 TIME WINTEXT ERRORTEXT sequence 1=haut, 2=bas, 3=droite, 4=gauche
// 	{ 251,25 , 8, 103, 1  , 1  , 2  ,2  , 0  , 0 },
//  { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
// -- END
//  { 255,
// ----------------------------------------------------
#define SEQLINESIZE 10
u8 scenario[13][SEQLINESIZE] =
{
	{ 250, 1  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Text
	{ 252, 7  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Cursor going left
	{ 199, 2  , 102, 102, 102,102, 101, 101, 0 , 0 }, // 
	{ 199, 0  , 3  , 102, 102,102, 101, 101, 0 , 0 }, //
	{ 252, 6  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Cursor going right
	{ 50 , 0  , 0  , 4  , 102,102, 101, 101, 0 , 0 }, //
													{251, 45, 5,  103 , 1  ,3  , 4  , 2  ,1 , 4}, //
													{ 3  ,2   , 1  , 4  , 255  ,0  , 0  , 0 , 0 , 0 },
	{ 199, 0  , 0  , 0  , 6  ,102, 101, 101, 0 , 0 }, //
	{ 199, 0  , 0  , 0  , 0  ,7  , 101, 101, 0 , 0 }, //
	{ 250, 8  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Text
	{ 255, 0  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // END
};

// -------------------------------------------------------
u8 nextlevelname[] = "LEVEL72 BIN"; // Must be 11 characters

// -------------------------------------------------------
/*
"                                      "; // 38
*/

u8 messageintro[] = {
/*
"------------------------------------" 36 chars (Line 3) 4
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Il y a une sorte de couloir avec"
 "des renfoncements sur les murs et "
"un violent vent qui vient de la     "
 "gauche. Au milieu, un norme trou "
  "avec des pieux au fond !        "
};
u8* messageintro_compress;


#define MESSAGEMAXLENGHT (32+34+36+34+32+4+1)

#define NBMESSDEATH 3
u8 messagedeath[NBMESSDEATH][MESSAGEMAXLENGHT] =
{
{
/*
"------------------------------------" 36 chars (Line 3) 101
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2SERIEUX ?\1 Que je saute sur les  "
 "pieux ? Non mais c'est toi qui    "
"devrais venir faire a ! Tu verrais "
 "combien c'est dbile ce que tu me "
  "demandes parfois !! \2CRETIN\1 !    "
},
{
/*
"------------------------------------" 36 chars (Line 3) 102
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2NON\1. Je saute, mais c'est bien  "
 "trop loin. Avec ce vent, je me    "
"rtame au milieu et je m'embroche   "
 "sur les pieux !                   "
  "                                "
},
{
/*
"------------------------------------" 36 chars (Line 3) 103
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2NON\1. J'ai rat mon saut. J'ai   "
 "presque russi  sauter de l'autre"
"ct, mais je perds l'quilibre et  "
 "je tombe en arrire sur les pieux."
  "                                "
}

};

#define NBMESSSUCESS 8 
u8 messagesucces[NBMESSSUCESS][MESSAGEMAXLENGHT] =
{
{
/*
"------------------------------------" 36 chars (Line 3) 1
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Le vent arrivant de la droite,  "
 "il serait prudent de longer le mur"
"du ct gauche. On y va doucement.  "
 "                                  "
  "                                "
},
{
/*
"------------------------------------" 36 chars (Line 3) 2
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2OUI\1, voil super. Je reste bien "
 "coll au mur. Le souffle me pousse"
"sur la paroi, mais tant que je      "
 "reste de ce ct, tout va bien.   "
  "                                "
},
{
/*
"------------------------------------" 36 chars (Line 3) 3
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2C'EST BIEN\1. Je continue le long "
 "du mur de gauche. MAIS d'un seul  "
"coup, le souffle change de sens et  "
 "commence  me pousser vers le trou"
  "Faut que je trouve un truc vite "
},
{
/*
"------------------------------------" 36 chars (Line 3) 4
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2OUI\1. La seule solution c'est de "
 "sauter de l'autre ct.           "
"                                    "
 "         \2FAIS LA SEQUENCE\1         "
  "pour voir si le saut est russi."
},
{
/*
"------------------------------------" 36 chars (Line 3) 5
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2YEAH\1. Je retombe de l'autre ct"
 "et je continue de longer le mur.  "
"                                    "
 "                                  "
  "                                "
},
{
/*
"------------------------------------" 36 chars (Line 3) 6
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2OUI\1. Trs bien. Je reste du ct"
 "droit, bien coll contre le mur.  "
"J'y suis presque.                   "
 "                                  "
  "                                "
},
{
/*
"------------------------------------" 36 chars (Line 3) 7
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2BRAVO\1. Je m'lance pour un      "
 "dernier petit bond. Je vais       "
"atteindre le mur du fond.           "
 "                                  "
  "                                "
},
{
/*
"------------------------------------" 36 chars (Line 3) 8
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "J'ai russi, je suis devant un  "
 "mur fait de crnes humains.       "
"J'espre que l'autre conne est      "
 "derrire, car a commence  faire "
  "long l !                       "

}

};

// Tile tile_Pic02_00: 16x16 pixels, 8x16 bytes.
const u8 tile_Pic01_00[8 * 16 * 24] = {
	0x0a, 0x0f, 0x0f, 0x0f, 0x0d, 0x0d, 0x18, 0x18,
	0x05, 0x0f, 0x0e, 0x0f, 0x25, 0x24, 0x24, 0x24,
	0x00, 0x0f, 0x0f, 0x0d, 0x0d, 0x0d, 0x18, 0x18,
	0x05, 0x0f, 0x0f, 0x0f, 0x25, 0x24, 0x24, 0x24,
	0x00, 0x0a, 0x0f, 0x0d, 0x0d, 0x18, 0x18, 0x18,
	0x00, 0x05, 0x0e, 0x0e, 0x24, 0x0e, 0x24, 0x24,
	0x00, 0x05, 0x0f, 0x0f, 0x18, 0x18, 0x18, 0x18,
	0x00, 0x00, 0x0f, 0x0e, 0x24, 0x24, 0x24, 0x24,
	0x00, 0x00, 0x0f, 0x0d, 0x0d, 0x18, 0x18, 0x18,
	0x00, 0x00, 0x05, 0x0e, 0x24, 0x24, 0x24, 0x24,
	0x00, 0x00, 0x05, 0x0f, 0x18, 0x18, 0x18, 0x18,
	0x00, 0x00, 0x00, 0x0e, 0x24, 0x24, 0x24, 0x24,
	0x00, 0x00, 0x00, 0x0f, 0x18, 0x18, 0x18, 0x18,
	0x00, 0x00, 0x00, 0x05, 0x24, 0x24, 0x24, 0x24,
	0x00, 0x00, 0x00, 0x05, 0x18, 0x18, 0x18, 0x18,
	0x00, 0x00, 0x00, 0x00, 0x24, 0x24, 0x24, 0x24,
	0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18,
	0x24, 0x24, 0x24, 0x24, 0x24, 0x24, 0x24, 0x24,
	0x18, 0x18, 0x18, 0x18, 0x18, 0x92, 0x92, 0x92,
	0x24, 0x24, 0x24, 0x24, 0x24, 0x61, 0x24, 0x61,
	0x18, 0x18, 0x18, 0x18, 0x18, 0x92, 0x92, 0x92,
	0x61, 0x24, 0x24, 0x24, 0x61, 0x61, 0x61, 0xc9,
	0x18, 0x18, 0x18, 0x92, 0x18, 0x92, 0x92, 0xc6,
	0x61, 0x24, 0x61, 0x24, 0x24, 0x61, 0x61, 0x61,
	0x18, 0x18, 0x18, 0x18, 0x18, 0x92, 0x92, 0x92,
	0x61, 0x24, 0x61, 0x61, 0x61, 0x61, 0xc9, 0xc9,
	0x18, 0x92, 0x18, 0x18, 0x92, 0x18, 0x92, 0xc6,
	0x24, 0x61, 0x24, 0x24, 0x61, 0x61, 0xc9, 0xc9,
	0x92, 0x92, 0x18, 0x92, 0x18, 0x92, 0xc6, 0x92,
	0x24, 0x61, 0x24, 0x61, 0x61, 0x61, 0x61, 0xc9,
	0x18, 0x18, 0x92, 0x18, 0x92, 0x92, 0xc6, 0x92,
	0x24, 0x61, 0x61, 0x24, 0x61, 0x61, 0xc9, 0xc9,
	0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x70,
	0x24, 0x24, 0x24, 0x24, 0x24, 0x24, 0x24, 0x25,
	0x92, 0x92, 0x92, 0x92, 0x92, 0x18, 0x18, 0xa0,
	0x61, 0x61, 0x61, 0x61, 0x24, 0x24, 0x30, 0x0a,
	0x92, 0x92, 0x92, 0x92, 0x18, 0x18, 0x58, 0x00,
	0x61, 0x61, 0x61, 0x61, 0x24, 0x24, 0x25, 0x00,
	0x92, 0xc6, 0x92, 0x92, 0x92, 0x18, 0x08, 0x00,
	0xc9, 0x61, 0x61, 0x61, 0x61, 0x24, 0x0a, 0x00,
	0x92, 0xc6, 0xc6, 0x92, 0x92, 0x92, 0x00, 0x0a,
	0x61, 0xc9, 0xc9, 0x61, 0x61, 0x25, 0x00, 0x00,
	0xc6, 0xc6, 0x92, 0xc6, 0xc6, 0x08, 0x05, 0x00,
	0xc9, 0xc9, 0xc9, 0x61, 0x61, 0x0a, 0x0a, 0x00,
	0xc6, 0xc6, 0xc6, 0xc6, 0x92, 0x0a, 0x0a, 0x00,
	0xc9, 0xc9, 0xc9, 0xc9, 0x8d, 0x0f, 0x00, 0x00,
	0xc6, 0xc6, 0xc6, 0xc6, 0x82, 0x0f, 0x00, 0x00,
	0x61, 0xc9, 0xc9, 0xdd, 0x0f, 0x0f, 0x05, 0x00,
	0x00, 0x0a, 0x00, 0x00, 0x1a, 0x18, 0x18, 0x18,
	0x00, 0x00, 0x00, 0x00, 0x04, 0x24, 0x24, 0x24,
	0x00, 0x0a, 0x00, 0x00, 0x05, 0x18, 0x18, 0x92,
	0x00, 0x05, 0x00, 0x00, 0x00, 0x24, 0x24, 0x61,
	0x00, 0x0a, 0x00, 0x00, 0x00, 0x1a, 0x18, 0x92,
	0x00, 0x05, 0x00, 0x00, 0x00, 0x04, 0x24, 0x61,
	0x0a, 0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x92,
	0x0f, 0x05, 0x00, 0x00, 0x00, 0x00, 0x61, 0x24,
	0x0a, 0x00, 0x00, 0x00, 0x0a, 0x00, 0x1a, 0x92,
	0x25, 0x00, 0x00, 0x00, 0x00, 0x05, 0x04, 0x61,
	0x0f, 0x0a, 0x00, 0x00, 0x0a, 0x00, 0x0f, 0x92,
	0x0f, 0x05, 0x00, 0x05, 0x05, 0x05, 0x00, 0x61,
	0x18, 0x0a, 0x00, 0x00, 0x0a, 0x00, 0x0a, 0x1a,
	0x00, 0x0f, 0x00, 0x00, 0x0f, 0x05, 0x05, 0x41,
	0x0f, 0x0a, 0x05, 0x0a, 0x0a, 0x05, 0x0a, 0x0f,
	0x25, 0x00, 0x04, 0x0a, 0x00, 0x04, 0x0f, 0x05,
	0x18, 0x92, 0x92, 0x18, 0x92, 0x92, 0xc6, 0xc6,
	0x61, 0x61, 0x61, 0x24, 0x61, 0xc9, 0xc9, 0xc9,
	0x92, 0x18, 0x92, 0xd2, 0x92, 0xc6, 0xc6, 0xc6,
	0x61, 0x61, 0x61, 0x0a, 0x4b, 0xc9, 0xc9, 0xc9,
	0x92, 0x92, 0x92, 0x00, 0x10, 0xc6, 0xc6, 0x97,
	0x61, 0x61, 0x24, 0x00, 0x05, 0x6b, 0xc9, 0xdd,
	0x92, 0x92, 0x87, 0x05, 0x0a, 0x97, 0xc6, 0x97,
	0x61, 0x61, 0x20, 0x41, 0x25, 0x61, 0x6b, 0x7f,
	0x92, 0x92, 0x82, 0x4e, 0x87, 0x15, 0xc6, 0xee,
	0x61, 0x61, 0xa5, 0x61, 0x2f, 0x41, 0x7f, 0x6b,
	0x92, 0x92, 0x05, 0x92, 0x92, 0x10, 0xbf, 0xbf,
	0x61, 0xc9, 0x04, 0x61, 0xc9, 0x05, 0x7f, 0x7f,
	0x92, 0x92, 0x10, 0x92, 0x97, 0x0f, 0xbf, 0xbf,
	0xc9, 0xd8, 0x04, 0x61, 0xc9, 0x20, 0xdd, 0x7f,
	0xc6, 0x87, 0x10, 0xc6, 0x97, 0x82, 0x97, 0xbf,
	0x61, 0x8d, 0x41, 0x61, 0x6b, 0x8d, 0x75, 0x3f,
	0xc6, 0xc6, 0xc6, 0xba, 0x0f, 0x0a, 0x0a, 0x00,
	0x6b, 0xc9, 0x6b, 0x2f, 0x0f, 0x05, 0x0a, 0x00,
	0xc6, 0xc6, 0xbf, 0x82, 0x0a, 0x0f, 0x0a, 0x00,
	0xc9, 0xc9, 0x7f, 0x0f, 0x0a, 0x0f, 0x05, 0x00,
	0x97, 0xbf, 0xee, 0x1a, 0x05, 0x0a, 0x0a, 0x00,
	0xc9, 0x7f, 0x2f, 0x0f, 0x0f, 0x0f, 0x05, 0x00,
	0xbf, 0xbf, 0x87, 0x0a, 0x0f, 0x0a, 0x0a, 0x00,
	0x7f, 0x7f, 0x0f, 0x05, 0x0f, 0x0f, 0x0f, 0x00,
	0x97, 0xee, 0x0f, 0x0f, 0x0f, 0x0a, 0x0a, 0x05,
	0x7f, 0x2e, 0x0f, 0x0f, 0x05, 0x05, 0x05, 0x05,
	0x97, 0x82, 0x0d, 0x0f, 0x05, 0x05, 0x0a, 0x05,
	0x7f, 0x05, 0x25, 0x0f, 0x0f, 0x05, 0x0a, 0x04,
	0xba, 0x1a, 0x0d, 0x0f, 0x0f, 0x00, 0x0a, 0x1a,
	0x2f, 0x0f, 0x24, 0x0f, 0x25, 0x05, 0x0a, 0x0f,
	0x87, 0x1a, 0x0d, 0x0f, 0x0f, 0x0a, 0x00, 0x18,
	0x0f, 0x24, 0x0e, 0x25, 0x05, 0x25, 0x0f, 0x24,
	0x0f, 0x0a, 0x10, 0x0a, 0x00, 0x10, 0x0f, 0x05,
	0x0f, 0x00, 0x05, 0x0f, 0x00, 0x05, 0x0f, 0x0f,
	0x05, 0x0a, 0x10, 0x0a, 0x00, 0x10, 0x0f, 0x0a,
	0x0f, 0x00, 0x05, 0x0f, 0x00, 0x0f, 0x0f, 0x0f,
	0x0a, 0x00, 0x1a, 0x0a, 0x00, 0x92, 0x0f, 0x0f,
	0x05, 0x00, 0x0e, 0x25, 0x00, 0x6b, 0x0f, 0x25,
	0x0a, 0x00, 0x05, 0x0f, 0x00, 0x92, 0x1a, 0x0f,
	0x05, 0x00, 0x0f, 0x0f, 0x05, 0x8c, 0x61, 0x0f,
	0x0a, 0x0a, 0x05, 0x0a, 0x05, 0x92, 0x18, 0x1a,
	0x05, 0x00, 0x00, 0x00, 0x0f, 0x24, 0x61, 0x61,
	0x0f, 0x0a, 0x10, 0x0f, 0x0f, 0x87, 0x97, 0x4c,
	0x0f, 0x0f, 0x61, 0x24, 0x0f, 0x25, 0x61, 0x61,
	0x0f, 0x0a, 0x1a, 0x0d, 0x0f, 0x00, 0x97, 0x4c,
	0x0f, 0x0a, 0x61, 0x0f, 0x0e, 0x2e, 0x61, 0x61,
	0x0f, 0x0a, 0x1a, 0x0d, 0x0f, 0x92, 0x18, 0x18,
	0x0e, 0x00, 0x61, 0x4b, 0x0e, 0x6b, 0x61, 0x25,
	0x4c, 0x82, 0x1a, 0x92, 0x97, 0x87, 0x1d, 0xba,
	0x4b, 0x20, 0x4b, 0x8d, 0x75, 0x2f, 0xca, 0x2f,
	0x1a, 0xa0, 0x18, 0x82, 0x1d, 0xba, 0x40, 0x87,
	0x0f, 0x00, 0x61, 0x25, 0x4b, 0x2e, 0x55, 0x0e,
	0x0a, 0x00, 0x4c, 0x18, 0x4e, 0xba, 0x10, 0x18,
	0x25, 0x00, 0x61, 0x41, 0x61, 0x6b, 0x41, 0x24,
	0x18, 0x00, 0xc6, 0x15, 0x92, 0xee, 0x1a, 0x18,
	0x24, 0x00, 0x61, 0x5f, 0x8d, 0x6b, 0x0e, 0x24,
	0x1a, 0x0a, 0xc6, 0x1f, 0xaf, 0xbf, 0x10, 0x18,
	0x0e, 0x25, 0x24, 0x61, 0x2f, 0x6b, 0x04, 0x61,
	0x1a, 0x1a, 0x00, 0x97, 0x90, 0x1a, 0x0f, 0x18,
	0x61, 0x25, 0x00, 0x75, 0x6b, 0x05, 0x41, 0x2e,
	0x18, 0x18, 0x00, 0x1d, 0x90, 0x05, 0x1f, 0xba,
	0x4b, 0x25, 0x00, 0x41, 0x2f, 0x0f, 0x35, 0x24,
	0x18, 0x82, 0x05, 0x0f, 0x18, 0x0f, 0xc6, 0x92,
	0x4b, 0x88, 0x0f, 0x25, 0x25, 0x0f, 0x41, 0x24,
	0x18, 0x18, 0x18, 0x05, 0x0d, 0x87, 0x0a, 0x0d,
	0x24, 0x24, 0x0f, 0x0e, 0x0e, 0x61, 0x05, 0x24,
	0x18, 0x18, 0x1a, 0x18, 0x1a, 0x92, 0x0a, 0x0d,
	0x24, 0x24, 0x0e, 0x24, 0x4b, 0x6b, 0x05, 0x24,
	0x18, 0x18, 0x18, 0x0d, 0x18, 0xc6, 0x00, 0x18,
	0x24, 0x24, 0x61, 0x0e, 0x24, 0x6b, 0x00, 0x0e,
	0x18, 0x0d, 0x97, 0x0d, 0xc6, 0xbf, 0x00, 0x0f,
	0x24, 0x2e, 0x61, 0x25, 0x61, 0x7f, 0x05, 0x24,
	0x0d, 0x92, 0x1d, 0x0d, 0x1d, 0x82, 0x05, 0x18,
	0x24, 0x6b, 0x61, 0x25, 0x75, 0x8d, 0x0f, 0x24,
	0x92, 0xba, 0x97, 0x0d, 0x1f, 0xaa, 0x1a, 0x18,
	0xc9, 0x0e, 0x35, 0x25, 0x75, 0x2f, 0x04, 0x24,
	0xba, 0x92, 0x4c, 0x0d, 0x97, 0x3a, 0x10, 0xc6,
	0x6b, 0x2e, 0x35, 0x25, 0x9d, 0xd5, 0x05, 0x24,
	0xc4, 0x87, 0x6a, 0x87, 0x4e, 0x97, 0x10, 0xc6,
	0x7f, 0x85, 0x75, 0x25, 0x61, 0x7f, 0x04, 0x7f,
	0x92, 0x0f, 0x97, 0x0d, 0x1a, 0x3a, 0x1d, 0x4c,
	0x25, 0x0a, 0x7f, 0x0e, 0x0e, 0x6b, 0x61, 0x61,
	0x92, 0x0a, 0xbf, 0x87, 0x18, 0x92, 0xbf, 0x18,
	0x0e, 0x0f, 0x7f, 0xc9, 0x4b, 0x6b, 0x6b, 0x6b,
	0x18, 0x05, 0x3f, 0x87, 0x1a, 0x87, 0xba, 0x9d,
	0x24, 0x04, 0x6b, 0x61, 0x55, 0x2e, 0x2e, 0x6e,
	0x82, 0x44, 0xee, 0x0d, 0x4e, 0xaa, 0x90, 0x95,
	0x2f, 0x41, 0x6b, 0xc9, 0x4b, 0x2f, 0x2e, 0xc0,
	0x2a, 0x1f, 0xee, 0xaf, 0x4e, 0x2f, 0xc4, 0x95,
	0x2f, 0x15, 0x7f, 0xc9, 0x4b, 0x2e, 0xc1, 0xc0,
	0x2f, 0x1f, 0xbf, 0x87, 0x4e, 0x90, 0xc4, 0xc0,
	0x2f, 0x15, 0x7f, 0x7f, 0x4b, 0x2e, 0xc1, 0x95,
	0x2f, 0x1f, 0xbf, 0x87, 0x4e, 0x90, 0x90, 0xc0,
	0x2e, 0x55, 0x7f, 0xc9, 0x4b, 0x84, 0xc1, 0xc0,
	0x2f, 0x4a, 0x95, 0x87, 0x4c, 0x90, 0xc4, 0xc0,
	0x2f, 0x55, 0x3f, 0x6b, 0x5f, 0x2e, 0xc1, 0xc0,
	0x18, 0x08, 0x0f, 0x0d, 0x0d, 0x0a, 0x15, 0x92,
	0x61, 0x25, 0x0f, 0x25, 0x24, 0x25, 0x41, 0x61,
	0x92, 0x82, 0x18, 0x18, 0x18, 0x08, 0x15, 0x92,
	0x61, 0x25, 0x04, 0x0f, 0x61, 0x25, 0x41, 0xc9,
	0x4c, 0x2a, 0x1a, 0x18, 0x92, 0x08, 0x1f, 0xba,
	0x75, 0x2a, 0x4b, 0xc9, 0x61, 0x25, 0x40, 0x6b,
	0x97, 0x80, 0x1a, 0x92, 0xbf, 0x08, 0x1d, 0xba,
	0x35, 0x2f, 0x41, 0x7f, 0x7f, 0x25, 0xc8, 0x7f,
	0x97, 0xaa, 0x4e, 0x97, 0x3f, 0x87, 0x97, 0x95,
	0x60, 0x2f, 0x41, 0x7f, 0x3f, 0x25, 0x60, 0x3f,
	0xc2, 0x85, 0x1d, 0x3f, 0xbf, 0x82, 0x1f, 0x95,
	0xc8, 0x2e, 0x61, 0x3f, 0x7f, 0x20, 0x35, 0x2e,
	0x97, 0x3a, 0x4e, 0x3f, 0x3f, 0x82, 0x97, 0xba,
	0x6a, 0x84, 0x75, 0x7f, 0x7f, 0x25, 0xc8, 0x6b,
	0x97, 0x85, 0x1d, 0x3f, 0xee, 0xc6, 0x97, 0xba,
	0x3f, 0x85, 0x5f, 0x7f, 0x9d, 0x61, 0xc8, 0x2e,
	0xee, 0x90, 0x97, 0x82, 0x97, 0x6a, 0x10, 0xba,
	0x6b, 0xc1, 0x4b, 0x25, 0x3f, 0xc0, 0x04, 0x75,
	0xee, 0x90, 0xbf, 0x82, 0xbf, 0xc0, 0x10, 0x97,
	0x7f, 0xd5, 0x61, 0x25, 0x3f, 0xc0, 0x05, 0x61,
	0x95, 0xc0, 0x1f, 0x87, 0xbf, 0xc0, 0x0a, 0x1f,
	0xc0, 0x6a, 0x4a, 0x8d, 0x3f, 0xc0, 0x20, 0x75,
	0xc0, 0xea, 0x4a, 0x87, 0x3f, 0xc0, 0xaa, 0x1f,
	0x95, 0x6a, 0x4a, 0x8d, 0x3f, 0xc0, 0x2a, 0x55,
	0xc0, 0xea, 0x48, 0x87, 0x3f, 0xc0, 0x2a, 0x1f,
	0xc0, 0x6a, 0x60, 0x8d, 0x6a, 0xc0, 0x85, 0x4a,
	0xc0, 0xea, 0x4a, 0x87, 0x3f, 0xc0, 0x3a, 0x4a,
	0x95, 0x6a, 0x4a, 0x8d, 0x6a, 0xc0, 0x85, 0x4a,
	0xc0, 0xea, 0x4a, 0x82, 0x3f, 0xc0, 0x80, 0x4a,
	0x95, 0x6a, 0x4a, 0x88, 0x6a, 0xc0, 0x85, 0x4a,
	0xc0, 0xea, 0x4a, 0x82, 0x3f, 0xc0, 0x80, 0x4a,
	0x95, 0x6a, 0x40, 0x88, 0x6a, 0xc0, 0x80, 0x40,
	0x2f, 0x15, 0x3f, 0x87, 0x4e, 0x3a, 0x90, 0xc0,
	0x85, 0x55, 0x2e, 0x24, 0x4b, 0x2e, 0xc1, 0xc0,
	0x2f, 0x15, 0xba, 0x87, 0x1d, 0x90, 0x95, 0xc0,
	0x85, 0x55, 0x3f, 0x61, 0x4b, 0x6b, 0xd5, 0xc0,
	0x3a, 0x15, 0xc6, 0x87, 0x4c, 0x3a, 0x95, 0xc0,
	0x85, 0x5f, 0x6b, 0x8c, 0x4b, 0x84, 0xd5, 0xc0,
	0x3a, 0x10, 0xc6, 0x0d, 0x1a, 0x3a, 0xc4, 0xc0,
	0x2f, 0x5f, 0x6b, 0x4b, 0x5f, 0x2e, 0xc1, 0xc0,
	0x85, 0x1f, 0x3f, 0xaf, 0xc6, 0x2f, 0x95, 0xc0,
	0x2e, 0x55, 0x6b, 0x61, 0x4b, 0x2f, 0xd5, 0xc0,
	0x2f, 0x1f, 0xbf, 0xaf, 0x97, 0x85, 0x95, 0xc0,
	0x6b, 0x15, 0xc0, 0x6b, 0x75, 0x2e, 0xd5, 0x95,
	0x2f, 0x1f, 0x95, 0x0d, 0x97, 0x2f, 0x95, 0xc0,
	0x6b, 0x55, 0x6b, 0x61, 0x75, 0x2e, 0x8c, 0x6a,
	0x85, 0x1f, 0xba, 0x0d, 0x97, 0xba, 0xc0, 0xea,
	0x2e, 0x55, 0x6b, 0x24, 0x75, 0x84, 0xc0, 0x6a,
	0xc2, 0x85, 0x1f, 0x95, 0xee, 0x18, 0x97, 0x98,
	0x3f, 0x85, 0x75, 0x7f, 0x75, 0x2f, 0x60, 0x2e,
	0xbf, 0x90, 0x4e, 0xbf, 0x1a, 0x87, 0x97, 0x98,
	0x6a, 0x85, 0x4b, 0x3f, 0x24, 0x20, 0x4e, 0x2e,
	0x97, 0x85, 0x18, 0xc4, 0x1a, 0x08, 0x15, 0x98,
	0x6a, 0x84, 0x35, 0x85, 0x04, 0xc9, 0x44, 0x6b,
	0xbf, 0x90, 0x1d, 0xaf, 0x10, 0x0d, 0x55, 0x98,
	0x6a, 0x2e, 0x75, 0x24, 0x05, 0x20, 0x0e, 0xeb,
	0xbf, 0x85, 0xc6, 0x1f, 0x0a, 0x82, 0x0f, 0x18,
	0x6a, 0x85, 0x4b, 0xc9, 0x0a, 0x0a, 0x24, 0x0f,
	0xbf, 0xee, 0x95, 0x3f, 0x92, 0x0a, 0x1a, 0x0a,
	0x7f, 0x60, 0xc8, 0xc0, 0x3f, 0x2e, 0x0e, 0x24,
	0x95, 0xee, 0xc0, 0x95, 0x95, 0x3f, 0x18, 0x18,
	0x61, 0x6a, 0xc0, 0xc0, 0x7f, 0x7f, 0x24, 0x24,
	0xc6, 0xea, 0x95, 0xe4, 0x3f, 0xbf, 0x87, 0x0d,
	0x75, 0x6a, 0x72, 0xe5, 0x25, 0x35, 0x24, 0x24,
	0xc0, 0xea, 0x4a, 0x82, 0x3f, 0xc0, 0x80, 0x4a,
	0x95, 0x6a, 0x40, 0x88, 0x6a, 0xc0, 0x80, 0x40,
	0xc0, 0xea, 0x4a, 0x82, 0x6a, 0xc0, 0x80, 0x4a,
	0xc0, 0x6a, 0x40, 0x88, 0x6a, 0xc0, 0x80, 0x40,
	0x95, 0xea, 0x4a, 0x82, 0x6a, 0xc0, 0x80, 0x4a,
	0x6a, 0x6a, 0x40, 0x8d, 0x6a, 0xc0, 0x80, 0x40,
	0x95, 0xc8, 0x4a, 0x82, 0x6a, 0xc0, 0x80, 0x4a,
	0x6a, 0x6a, 0x4a, 0x25, 0x6a, 0xc0, 0x80, 0x40,
	0x95, 0xc8, 0x4a, 0x82, 0x6a, 0xc0, 0x80, 0x4a,
	0x7f, 0x6a, 0x4a, 0x8d, 0x6a, 0xc0, 0x80, 0x40,
	0xbf, 0x9d, 0x4a, 0x08, 0x6a, 0xc0, 0x80, 0x4a,
	0x0e, 0x6e, 0x40, 0x25, 0x6a, 0xc0, 0x80, 0x40,
	0x1a, 0x98, 0x4a, 0x08, 0x6a, 0xc0, 0x80, 0x4a,
	0x25, 0xdd, 0x6a, 0x25, 0x6a, 0xc0, 0x80, 0x4a,
	0x18, 0x0f, 0xea, 0x0f, 0x6a, 0xc0, 0x2a, 0x4a,
	0x0e, 0x0f, 0x6a, 0x0f, 0x6a, 0xc0, 0x80, 0x60,
	0x2f, 0x1f, 0x6e, 0x0d, 0x97, 0x82, 0xbf, 0x97,
	0x85, 0x55, 0xd5, 0x6b, 0x75, 0x2f, 0x6a, 0xc9,
	0x2f, 0x15, 0x95, 0xba, 0xc6, 0xc4, 0xea, 0x3f,
	0x85, 0x55, 0xd5, 0x6b, 0x75, 0x6b, 0xc0, 0x7f,
	0x3a, 0x15, 0x3f, 0xee, 0x97, 0x87, 0xc6, 0xbf,
	0x2f, 0x5f, 0x95, 0xc1, 0x61, 0xc9, 0x4b, 0x7f,
	0x90, 0x15, 0xbf, 0xee, 0x97, 0xc0, 0xee, 0x3f,
	0x2e, 0x5f, 0xd5, 0xdd, 0xc9, 0x95, 0x75, 0x6a,
	0x90, 0x44, 0x95, 0xbf, 0x1d, 0x90, 0xc6, 0x6a,
	0x2e, 0x5f, 0x3f, 0x6b, 0x61, 0x2f, 0x7f, 0xc0,
	0x2f, 0x1f, 0x95, 0xee, 0x18, 0x10, 0x3f, 0xc0,
	0x6b, 0x5f, 0x7f, 0x8c, 0x24, 0x4b, 0xd5, 0xd5,
	0xc6, 0x1a, 0xbf, 0x92, 0x18, 0x1f, 0xbf, 0x95,
	0xc9, 0x55, 0xc0, 0xc0, 0x8c, 0x75, 0x6a, 0x95,
	0xee, 0x1a, 0xc0, 0xbf, 0xc6, 0x97, 0xea, 0xc0,
	0x8c, 0x00, 0xc0, 0x6b, 0xc9, 0xc9, 0x6a, 0x6a,
	0xbf, 0x3f, 0xd2, 0x5a, 0x0a, 0x5f, 0x87, 0x0f,
	0x7f, 0x95, 0xa5, 0xa5, 0x05, 0x10, 0x2f, 0x0f,
	0x6a, 0xc0, 0x5a, 0x0a, 0x50, 0x50, 0x92, 0x1a,
	0x95, 0x95, 0xa5, 0x05, 0x10, 0x05, 0x6b, 0x4b,
	0x6a, 0x95, 0x0f, 0x0a, 0x44, 0x0a, 0x97, 0x1a,
	0x95, 0xd5, 0x05, 0x00, 0x1f, 0x88, 0x6b, 0x2e,
	0x95, 0xc5, 0x00, 0x0a, 0xe0, 0x02, 0xbf, 0x87,
	0x95, 0xd0, 0x05, 0x00, 0x9f, 0x88, 0x75, 0x6b,
	0xc0, 0x2f, 0x00, 0x00, 0x64, 0x02, 0xb5, 0x97,
	0x6a, 0x88, 0x05, 0x00, 0x89, 0x88, 0x4a, 0x6b,
	0x6a, 0x20, 0x50, 0x00, 0xee, 0x02, 0x15, 0x97,
	0x6a, 0xa0, 0x01, 0x00, 0x89, 0x88, 0x55, 0x6b,
	0x95, 0x0a, 0x44, 0x0a, 0x64, 0x02, 0x10, 0x3f,
	0xc4, 0x00, 0x01, 0x20, 0xda, 0x88, 0x50, 0x6a,
	0xd5, 0x00, 0x44, 0x02, 0xa5, 0xa0, 0x05, 0xbf,
	0x90, 0x00, 0x0b, 0x88, 0x5a, 0x0a, 0x00, 0x60,
	0x1a, 0x0a, 0x48, 0x0f, 0x6a, 0xc0, 0x2a, 0x48,
	0x05, 0x25, 0x55, 0x25, 0x6a, 0xc0, 0x2a, 0x4a,
	0x00, 0x0f, 0x0a, 0x08, 0x6a, 0xc0, 0xaa, 0x48,
	0x0a, 0x0e, 0x05, 0x25, 0x6a, 0xc0, 0xaa, 0x60,
	0x0a, 0x05, 0x0a, 0x0f, 0x6a, 0xc0, 0x0a, 0x97,
	0x0a, 0x00, 0x0f, 0x05, 0xbf, 0xc0, 0x0a, 0x55,
	0x0a, 0x00, 0x0f, 0x0a, 0x5f, 0x6a, 0x10, 0xea,
	0x0f, 0x00, 0x05, 0x25, 0x05, 0xbf, 0x00, 0xc0,
	0x05, 0x00, 0x05, 0x0d, 0x0a, 0x5f, 0x10, 0x48,
	0x05, 0x05, 0x05, 0x0f, 0x05, 0x05, 0x05, 0x75,
	0x82, 0x0a, 0x05, 0x05, 0x0f, 0x00, 0x05, 0x97,
	0x25, 0x05, 0x05, 0x0f, 0x0f, 0x00, 0x41, 0x61,
	0x82, 0x05, 0x05, 0x0a, 0x0a, 0x00, 0x10, 0xee,
	0x6b, 0x05, 0x00, 0x25, 0x0f, 0x05, 0x00, 0x6a,
	0xbf, 0x0a, 0x00, 0x18, 0x0a, 0x05, 0x00, 0x1f,
	0x6b, 0x20, 0x00, 0x0e, 0x0a, 0x00, 0x00, 0x41,
	0xee, 0x0a, 0xbf, 0xaf, 0xc6, 0xc6, 0x95, 0xea,
	0x8c, 0x0f, 0x75, 0x25, 0x75, 0xc9, 0x95, 0x6a,
	0x87, 0x0f, 0x1d, 0x1a, 0x97, 0xbf, 0x95, 0x6a,
	0x24, 0x0e, 0x0a, 0x4b, 0xdd, 0x9d, 0x7f, 0x6a,
	0x92, 0x1a, 0x00, 0x4c, 0xc6, 0xea, 0x3f, 0x6a,
	0x25, 0x0a, 0x04, 0x61, 0x75, 0x3f, 0x7f, 0x95,
	0x4c, 0x87, 0x1a, 0x0d, 0xbf, 0x95, 0x3f, 0xc4,
	0x6b, 0x25, 0x0e, 0x25, 0x7f, 0x7f, 0x6a, 0xd5,
	0xba, 0x92, 0x18, 0x1a, 0xbf, 0xbf, 0xea, 0x90,
	0xc9, 0x25, 0x24, 0x5f, 0x6a, 0x6b, 0x3f, 0x90,
	0xc6, 0x0a, 0x18, 0x18, 0xbf, 0x97, 0xea, 0x7a,
	0x25, 0xa5, 0x24, 0x75, 0x7f, 0x6b, 0x6a, 0x8d,
	0xd2, 0x0a, 0x18, 0x97, 0x3f, 0x97, 0x6a, 0xaa,
	0x25, 0xa5, 0x24, 0x75, 0x6b, 0xc9, 0x6a, 0x20,
	0x1a, 0x0f, 0x18, 0xbf, 0xc6, 0x97, 0x3f, 0xa0,
	0xa5, 0x0e, 0x24, 0x7f, 0xc9, 0x3f, 0x3f, 0x0a,
	0xd0, 0x00, 0x4e, 0x2a, 0x05, 0xa0, 0x00, 0xb5,
	0x85, 0x00, 0xa1, 0x85, 0x00, 0x0a, 0x00, 0x4a,
	0x2a, 0x00, 0xe4, 0x6f, 0x05, 0x00, 0x00, 0x15,
	0x88, 0x00, 0x21, 0xdd, 0x00, 0x0a, 0x00, 0x41,
	0xaa, 0x00, 0x64, 0x46, 0x05, 0x00, 0x00, 0x10,
	0x20, 0x00, 0x21, 0xc9, 0x00, 0x00, 0x00, 0x50,
	0xa0, 0x00, 0x25, 0x46, 0x00, 0x05, 0x00, 0x05,
	0x0a, 0x00, 0x21, 0xc9, 0x00, 0x50, 0x00, 0x00,
	0x00, 0x00, 0x64, 0x56, 0x00, 0x10, 0x00, 0x00,
	0x00, 0x00, 0xe1, 0x98, 0x00, 0x41, 0x0a, 0x00,
	0x00, 0x00, 0xe5, 0x65, 0x00, 0x1f, 0xa0, 0x00,
	0x00, 0x00, 0x50, 0xd8, 0x00, 0xe0, 0x8a, 0x00,
	0x00, 0x00, 0xf0, 0x65, 0x00, 0x9f, 0x82, 0x00,
	0x00, 0x00, 0x50, 0x70, 0x00, 0x75, 0x8d, 0x00,
	0x00, 0x00, 0x0a, 0x25, 0x00, 0x46, 0x2a, 0x00,
	0x00, 0x00, 0x50, 0x8f, 0x00, 0x89, 0x85, 0x00,
	0x92, 0x82, 0x00, 0x0f, 0x0a, 0x00, 0x0a, 0x00,
	0x6b, 0xc9, 0x05, 0x0f, 0x0a, 0x00, 0x00, 0x00,
	0xba, 0x92, 0x00, 0x0a, 0x0a, 0x00, 0x00, 0x00,
	0x6b, 0xc9, 0x00, 0x25, 0x00, 0x00, 0x00, 0x00,
	0xbf, 0x92, 0x08, 0x0d, 0x00, 0x00, 0x00, 0x00,
	0x7f, 0x6b, 0x20, 0x0f, 0x00, 0x00, 0x00, 0x00,
	0x97, 0x97, 0x92, 0x0f, 0x00, 0x00, 0x00, 0x00,
	0x35, 0x6b, 0xc9, 0x05, 0x00, 0x00, 0x00, 0x00,
	0xb5, 0x97, 0xc6, 0x0f, 0x0a, 0x00, 0x00, 0x00,
	0x1f, 0x2f, 0x24, 0x25, 0x00, 0x00, 0x00, 0x00,
	0x44, 0x3a, 0x1a, 0x08, 0x0a, 0x00, 0x00, 0x00,
	0x10, 0x6b, 0x61, 0x25, 0x00, 0x00, 0x00, 0x00,
	0x50, 0x6e, 0x18, 0x18, 0x00, 0x00, 0x00, 0x00,
	0x05, 0x3f, 0x05, 0x0e, 0x00, 0x05, 0x00, 0x00,
	0x00, 0xea, 0x82, 0x0f, 0x0a, 0x00, 0x00, 0x00,
	0x00, 0xca, 0x2f, 0x61, 0x20, 0x05, 0x00, 0x00,
	0x5a, 0x1a, 0x18, 0xc4, 0x97, 0x97, 0xc4, 0x0a,
	0xa5, 0x0f, 0xf5, 0x6b, 0x61, 0x3f, 0xd5, 0x00,
	0x5a, 0x0f, 0x1d, 0xbf, 0x97, 0x3f, 0x90, 0x00,
	0xa5, 0x0f, 0x35, 0x6b, 0xdd, 0xc0, 0xd0, 0x00,
	0x0f, 0x5a, 0xbf, 0x92, 0x97, 0x6a, 0x2f, 0x00,
	0x05, 0x0e, 0x7f, 0x61, 0x3f, 0x6a, 0x88, 0x00,
	0x0f, 0xe4, 0xba, 0x1a, 0x97, 0x6a, 0xaf, 0x00,
	0x05, 0x75, 0x8d, 0x61, 0xdd, 0x6a, 0x20, 0x00,
	0x0a, 0xc6, 0x92, 0x92, 0xbf, 0x6a, 0xa0, 0x00,
	0x05, 0xdd, 0x6b, 0x3f, 0x7f, 0x6e, 0x0a, 0x00,
	0x5a, 0xee, 0xc6, 0x97, 0x3f, 0xc4, 0x00, 0x00,
	0xe1, 0x6b, 0x61, 0x3f, 0x7f, 0xd5, 0x0a, 0x00,
	0x4e, 0x92, 0x97, 0xbf, 0xbf, 0xd5, 0x00, 0x00,
	0x75, 0xc9, 0xc9, 0x7f, 0x6a, 0x90, 0x00, 0x00,
	0xba, 0x97, 0xc6, 0xbf, 0x6a, 0x98, 0x00, 0x00,
	0x8c, 0xc9, 0xc9, 0x3f, 0xc0, 0xfa, 0x00, 0x00,
	0x00, 0x05, 0x00, 0xa0, 0x05, 0x46, 0x7a, 0x00,
	0x00, 0x50, 0x05, 0x05, 0x00, 0x89, 0x90, 0x00,
	0x00, 0x10, 0x0a, 0xa0, 0x05, 0x46, 0x6e, 0x00,
	0x00, 0x41, 0x20, 0x05, 0x05, 0x89, 0xdd, 0x00,
	0x00, 0x4e, 0x02, 0x0a, 0x45, 0x46, 0x46, 0x00,
	0x00, 0x41, 0x88, 0x05, 0x41, 0x98, 0xdd, 0x0a,
	0x00, 0x4e, 0x85, 0x00, 0x45, 0x12, 0x46, 0x00,
	0x00, 0xa1, 0x7a, 0x05, 0x05, 0x98, 0xdd, 0x0a,
	0x00, 0x4e, 0x46, 0x00, 0x45, 0x47, 0xee, 0x00,
	0x00, 0xa1, 0x89, 0x00, 0x05, 0x8d, 0x98, 0x0a,
	0x00, 0x4e, 0x17, 0x0a, 0x00, 0x65, 0x64, 0x0a,
	0x00, 0xa5, 0x21, 0x00, 0x05, 0x25, 0x9a, 0x0a,
	0x00, 0x0a, 0x4e, 0x0a, 0x00, 0x0a, 0x65, 0x0a,
	0x00, 0xa5, 0x01, 0xa0, 0x00, 0x8f, 0x8f, 0x0a,
	0x00, 0x4f, 0x44, 0xa0, 0x00, 0x0a, 0x4f, 0x0a,
	0x00, 0x8f, 0x01, 0x8a, 0x00, 0x8a, 0x8f, 0x0a,
	0x00, 0xb5, 0xba, 0x92, 0x08, 0x00, 0x00, 0x00,
	0x00, 0x1f, 0x84, 0x4b, 0x25, 0x00, 0x00, 0x00,
	0x00, 0x55, 0x3f, 0x1a, 0x92, 0x0a, 0x00, 0x00,
	0x00, 0x50, 0x6b, 0x6b, 0x24, 0x0a, 0x00, 0x00,
	0x00, 0x05, 0x3f, 0x92, 0x92, 0x0a, 0x00, 0x00,
	0x00, 0x00, 0x6b, 0x25, 0x25, 0x05, 0x00, 0x00,
	0x00, 0x00, 0x97, 0x92, 0x1a, 0x0a, 0x00, 0x00,
	0x00, 0x00, 0x75, 0x24, 0x25, 0x0f, 0x00, 0x00,
	0x00, 0x00, 0xb5, 0x92, 0x1a, 0x0a, 0x0a, 0x00,
	0x00, 0x00, 0x5f, 0xc9, 0x25, 0x25, 0x00, 0x00,
	0x00, 0x00, 0x10, 0x92, 0x92, 0x0f, 0x0f, 0x00,
	0x00, 0x00, 0x10, 0x6b, 0x24, 0x25, 0x05, 0x00,
	0x00, 0x00, 0x50, 0x3a, 0x92, 0x1a, 0x0a, 0x0a,
	0x00, 0x00, 0x05, 0xc9, 0x61, 0x25, 0x0f, 0x00,
	0x00, 0x00, 0x00, 0x30, 0x97, 0x92, 0x0f, 0x00,
	0x00, 0x00, 0x00, 0x61, 0x41, 0xc9, 0x25, 0x05
};