// NinjaTool.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#define BINNAME "LEVEL81.BIN"

// -------------------------------------------------------
#define NBZONES 9

u8 leveldata[2] = { 1 , NBZONES }; // Position 1 2 3. Nb zones 1 to 9

// -------------------------------------------------------
// A zone is top left corner, bottom right corner and id.
// Data are : 
// Byte : Number of zones
// For each zone : 5 btyes. Top left X, Top Left Y, Bottom Right X, Bottom Right Y, Id.
// start at 0. X to 12. Y to 15
u8 zonesdatas[NBZONES * 5] =
{
	5,14,6,15,1, // 
	3,13,4,13,2, // 
	1,12,2,12,3, // 
	3,10,4,11,4, // 
	5,12,6,12,5, // 
	7,13,8,13,6, // 
	9,12,10,12,7, // 
	7,10,8,11,8, // 
	4,4,8,8,9, // 
};

// -------------------------------------------------------
// Sequences
// -- Choice with cursor
// Time (in 10th of seconds 100=10s), for all zone, sucess or fails (fails = id + 100 )
//  { 100,101,101,101,1,0,0,0,0,0,0,0 } 
// -- Test. 250  Textid then 0
// 	{ 250,1  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Text
// -- QTE
//    251 TIME WINTEXT ERRORTEXT sequence 1=haut, 2=bas, 3=droite, 4=gauche
// 	{ 251,25 , 8, 103, 1  , 1  , 2  ,2  , 0  , 0 },
//  { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
// -- END
//  { 255,
// ----------------------------------------------------
#define SEQLINESIZE 10
u8 scenario[11][SEQLINESIZE] =
{
	{ 253, 6  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Palette cycle
	{ 250, 1  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Text

	{ 110, 2  ,102 ,103, 104,102,103,104,105,106}, 
	{ 110, 0  , 3  ,102 ,103,103,102,105,104,106},
	{ 110, 0  , 0  , 4  ,105,104,105,102,103,106},
	{ 110, 0  , 0  , 0  , 5 ,105,104,103,102,106},
	{ 110, 0  , 0  , 0  , 0 ,102,103,104,103, 6 },

	{ 253, 0  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Palette normal
	{ 250, 7  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Text
	{ 254, 0  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Erase background
	{ 255, 0  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // END
};

// -------------------------------------------------------
u8 nextlevelname[] = "LEVEL82 BIN"; // Must be 11 characters

u8 messageintro[] = {
/*
"------------------------------------" 36 chars (Line 3) 4
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Au fond du caveau se trouve un  "
 "passage qui mne vers un immense  "
"tunnel... Et a a l'air de dboucher"
 "sur l'extrieur !! Comment c'est  "
  "possible ? On est o l ?       "
};
u8* messageintro_compress;


#define MESSAGEMAXLENGHT (32+34+36+34+32+4+1)

#define NBMESSDEATH 6
u8 messagedeath[NBMESSDEATH][MESSAGEMAXLENGHT] =
{
{
/*
"------------------------------------" 36 chars (Line 3) 101
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2AIE\1. Le dmon me surprend en    "
 "train de bouger. Il envahit mon   "
"me et m'envoie dans la dimension   "
 "des enfers.                       "
  "                                "
},
{
/*
"------------------------------------" 36 chars (Line 3) 102
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2NON\1. Les pierres ne sont pas    "
 "stables ici. Le dmon est attir  "
"par le bruit et me dsintgre vers  "
 "le monde des enfers.              "
  "                                "
},
{
/*
"------------------------------------" 36 chars (Line 3) 103
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2AIE\1. Il y a une grosse racine l"
 "et je me prends les pieds dedans. "
"Le dmon me grille immdiatement et "
 "me tlporte direct dans le monde "
  "des enfers....                  "
},
{
/*
"------------------------------------" 36 chars (Line 3) 104
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2MERDE\1. Il y a un boulement du  "
 "sol par l. Le dmon me choppe et "
"m'envoie me faire maudire  jamais  "
 "en enfer ! Je vais retrouver des  "
  "potes je pense !                "
},
{
/*
"------------------------------------" 36 chars (Line 3) 105
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2NON\1. J'y tais presque, mais mon"
 "pied s'enfonce dans une flaque    "
"profonde l, et je me fais choper   "
 "par ce con de dmon. Si tu peux   "
  "trouver un autre chemin...      "
},
{
/*
"------------------------------------" 36 chars (Line 3) 105
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2NON\1. J'essaie de courir dans le "
 "passage, mais je trbuche sur une "
"pierre. Va falloir y aller plus     "
 "doucement si je veux pas attirer  "
  "l'attention de ce dmon.        "
}

};

#define NBMESSSUCESS 7 
u8 messagesucces[NBMESSSUCESS][MESSAGEMAXLENGHT] =
{
{
/*
"------------------------------------" 36 chars (Line 3) 1
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Devant moi la lumire. Mais je  "
 "sens quelque chose de malfique.  "
"Les dmons du monde des tnbres    "
 "sont trs puissants. On dirait que"
  "celui-l garde le passage !     "
},
{
/*
"------------------------------------" 36 chars (Line 3) 2
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2OK\1. Je fais un petit pas dans le"
 "silence. Le dmon ne m'a pas vu.  "
"Si j'arrive  progresser comme a   "
 "jusqu'au passage, je devrais      "
  "russir  passer.               "

},
{
/*
"------------------------------------" 36 chars (Line 3) 3
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2OUI\1. Je fais un second pas, et  "
 "je reste toujours silencieux. Yomi"
"c'est le royaume des morts, rempli  "
 "de vieilles putes. Je serais pas  "
  "tonn que la mienne s'y cache !"
},
{
/*
"------------------------------------" 36 chars (Line 3) 4
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2BRAVO\1. J'avance encore sans me  "
 "faire reprer par ce con de dmon."
"Faudrait qu'il retourne dans les    "
 "gouts qu'ils l'ont vomi !        "
  "                                "
},
{
/*
"------------------------------------" 36 chars (Line 3) 5
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2OUI\1. Je commence  me glisser en"
 "silence vers le passage. J'y suis "
"presque. Continue  me garder aussi "
 "invisible que possible...         "
  "                                "
},
{
/*
"------------------------------------" 36 chars (Line 3) 6
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2TRES BIEN\1. Je profite d'une     "
 "absence du dmon, pour me lancer  "
"dans le passage. C'est la voie vers "
 "Yomi, le monde des morts. Je ne   "
  "sais pas ce qui m'attend...     "
},
{
/*
"------------------------------------" 36 chars (Line 3) 7
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "La lumire est si forte que je  "
 "ne vois plus rien. Je franchis le "
"passage et pendant quelques secondes"
 "c'est le silence...               "
  "Et puis j'entends de l'eau...   "
}

};

// Tile tile_Pic02_00: 16x16 pixels, 8x16 bytes.
const u8 tile_Pic01_00[8 * 16 * 24] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x51, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0xa2, 0xa2, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x51, 0x51, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x51, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0xa2, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x51, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x51, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0xa2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x51, 0xa2, 0x00, 0x00, 0x00, 0x00, 0x00, 0xa2,
	0x51, 0x00, 0x00, 0x00, 0x00, 0x00, 0x51, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xa2,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x51, 0x51,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x51, 0xf0, 0xa2,
	0x00, 0x00, 0x00, 0x00, 0xa2, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x51, 0x51, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0xa2, 0x00, 0xa2,
	0x00, 0x00, 0x00, 0x51, 0x51, 0x51, 0x51, 0x51,
	0x00, 0x00, 0x00, 0xa2, 0xa2, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x51, 0x51, 0x00, 0xf3, 0xa2, 0xa2,
	0x00, 0x00, 0x00, 0x00, 0x51, 0x78, 0x51, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0xe2, 0x56, 0xf2,
	0xf2, 0xa2, 0xa2, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x51, 0x51, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x51, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0xa2, 0xf2, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x51, 0x51, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0xf2, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x51, 0x00, 0x00,
	0x51, 0x00, 0x00, 0x00, 0x00, 0x00, 0xa2, 0x00,
	0xf3, 0xf3, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x50, 0xfc, 0xfc, 0xf1, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x50, 0x52, 0xa2, 0xa2, 0x00, 0x00, 0x00,
	0xf9, 0x00, 0xf3, 0x51, 0x51, 0x00, 0x00, 0x00,
	0x51, 0x00, 0x00, 0x00, 0xa2, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x51, 0x00, 0x51, 0x51, 0x00,
	0x00, 0x00, 0x00, 0xa2, 0x00, 0x00, 0xa2, 0x00,
	0x00, 0x00, 0x00, 0x51, 0x00, 0x51, 0x00, 0x00,
	0x00, 0x00, 0x00, 0xa2, 0x00, 0xf3, 0xa2, 0x00,
	0x00, 0x00, 0x51, 0x00, 0x00, 0x51, 0x00, 0x00,
	0xa2, 0x00, 0x50, 0xa2, 0x00, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0x51, 0x00, 0x00, 0x51, 0x00, 0x00,
	0xa2, 0x00, 0xa2, 0x00, 0x00, 0xa2, 0x00, 0x00,
	0xa2, 0x00, 0x51, 0x00, 0x51, 0x00, 0x00, 0x00,
	0xa0, 0x00, 0x00, 0x00, 0x00, 0xa2, 0x00, 0x50,
	0xa0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe7,
	0x79, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xb4,
	0xa0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x51, 0xb0,
	0x79, 0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0x9e,
	0x79, 0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0x9a,
	0x00, 0x00, 0x00, 0x51, 0x00, 0x01, 0x79, 0xb6,
	0x00, 0x00, 0x00, 0x00, 0x00, 0xf3, 0x51, 0x51,
	0x00, 0x00, 0xa2, 0x51, 0xf2, 0xf9, 0xa2, 0xa2,
	0x00, 0x51, 0x51, 0x00, 0x51, 0xf1, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x51, 0xe5, 0xcf, 0xf1, 0x51, 0x51,
	0x00, 0x51, 0xe5, 0xde, 0xcf, 0xcf, 0xda, 0xa2,
	0x00, 0xe5, 0x6d, 0xde, 0xcf, 0xcf, 0xcf, 0xf1,
	0x50, 0x9e, 0x64, 0x64, 0x74, 0xde, 0xcf, 0xda,
	0xe5, 0x38, 0x98, 0xcc, 0xcc, 0x64, 0x74, 0xcf,
	0x9e, 0x64, 0x64, 0x99, 0x99, 0xcc, 0x98, 0xed,
	0x38, 0x98, 0xcc, 0x62, 0x33, 0x66, 0x66, 0x74,
	0x64, 0x64, 0x99, 0x91, 0x91, 0x91, 0x99, 0x98,
	0x98, 0xc8, 0x62, 0x62, 0x62, 0x62, 0x62, 0x66,
	0x64, 0xc4, 0x91, 0xc0, 0xc0, 0xc0, 0x91, 0x91,
	0xc8, 0xc8, 0x62, 0x62, 0xc0, 0xc0, 0xc0, 0x62,
	0x42, 0xa2, 0x00, 0x00, 0x00, 0x00, 0xa2, 0x00,
	0x51, 0xf3, 0x00, 0x00, 0x00, 0x00, 0x51, 0x00,
	0x00, 0x00, 0xa2, 0xa2, 0x51, 0x00, 0x51, 0xa2,
	0x00, 0x00, 0x00, 0x00, 0x00, 0xa2, 0x00, 0xa2,
	0x51, 0x51, 0x00, 0x00, 0x00, 0xa2, 0x00, 0xa0,
	0xa2, 0xa2, 0x00, 0x00, 0x00, 0x51, 0x00, 0xf1,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xa2, 0xf2,
	0x00, 0x00, 0x00, 0xa2, 0x00, 0x51, 0x00, 0x51,
	0xa2, 0xa2, 0x00, 0x00, 0x00, 0x00, 0xa2, 0x51,
	0xdb, 0x00, 0x00, 0x51, 0x00, 0x00, 0x00, 0x00,
	0xcf, 0xf1, 0x00, 0x00, 0x00, 0x00, 0xa2, 0x51,
	0xda, 0xa2, 0xa2, 0x00, 0xa2, 0x00, 0x00, 0x00,
	0xfc, 0xf9, 0x00, 0x00, 0x00, 0x00, 0x00, 0x51,
	0x74, 0xf3, 0xa2, 0x00, 0xa2, 0x00, 0x00, 0x00,
	0x98, 0xf9, 0xf3, 0x00, 0xa2, 0x00, 0x00, 0x00,
	0xcc, 0xfc, 0xa2, 0x00, 0x51, 0x51, 0x00, 0x00,
	0x52, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe7, 0x64,
	0x52, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe7, 0x38,
	0x78, 0x00, 0x00, 0x51, 0x00, 0x00, 0xe5, 0x64,
	0x79, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf4, 0x68,
	0xa0, 0x00, 0xa2, 0x51, 0x00, 0x51, 0xde, 0xcc,
	0x79, 0x00, 0x00, 0x50, 0x00, 0x00, 0xce, 0xc8,
	0xa0, 0x00, 0xa2, 0x51, 0x00, 0x51, 0x7c, 0xcc,
	0xf1, 0x51, 0x00, 0x00, 0x00, 0x51, 0xce, 0xc8,
	0xf0, 0x00, 0xa2, 0x00, 0x00, 0x50, 0x7c, 0x99,
	0xf0, 0x00, 0xa2, 0x00, 0x00, 0x51, 0xce, 0x62,
	0xf1, 0x00, 0x00, 0xa2, 0x00, 0x50, 0x6c, 0x99,
	0xf2, 0x00, 0x00, 0xa2, 0x00, 0x50, 0xec, 0x62,
	0xf0, 0x51, 0xa2, 0x00, 0x00, 0x45, 0x99, 0x33,
	0xf2, 0x00, 0x51, 0x00, 0x00, 0xb6, 0xec, 0x62,
	0x51, 0x00, 0xa2, 0xa2, 0xa2, 0x45, 0x99, 0xc0,
	0xa2, 0x00, 0x51, 0xa2, 0x00, 0xe6, 0xcc, 0x62,
	0xcc, 0xc4, 0x91, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc8, 0x9d, 0x62, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0x91, 0x3f, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc8, 0x3f, 0x6a, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
	0xc0, 0x95, 0x6a, 0xc0, 0x3f, 0x3f, 0x3f, 0xc0,
	0x62, 0x95, 0x6a, 0x3f, 0x6a, 0x6a, 0x3f, 0x6a,
	0xc0, 0x95, 0x3f, 0x3f, 0xc0, 0x6a, 0x95, 0x3f,
	0xc0, 0x95, 0x3f, 0x6a, 0xc0, 0x6a, 0xc0, 0x3f,
	0xc0, 0xc0, 0x6a, 0x6a, 0x95, 0x6a, 0xc0, 0x6a,
	0xc0, 0x95, 0x6a, 0xc0, 0x95, 0x95, 0xc0, 0xc0,
	0xc0, 0xc0, 0x3f, 0xc0, 0x95, 0x95, 0xc0, 0x95,
	0xc0, 0xc0, 0x3f, 0xc0, 0x3f, 0x95, 0x6a, 0x95,
	0xc0, 0xc0, 0x6a, 0xc0, 0x3f, 0x95, 0x6a, 0x95,
	0xc0, 0xc0, 0x6a, 0x95, 0x6a, 0xc0, 0x3f, 0xc0,
	0xc0, 0x95, 0x6a, 0x95, 0x6a, 0xc0, 0x3f, 0x6a,
	0xc0, 0x3f, 0x6a, 0x3f, 0xc0, 0xc0, 0x95, 0x3f,
	0x66, 0xd9, 0xf3, 0x00, 0x51, 0x00, 0x00, 0x00,
	0xc4, 0xdc, 0xf3, 0xa2, 0xf3, 0x51, 0x00, 0x00,
	0x95, 0xcc, 0xf9, 0x51, 0x51, 0x51, 0x00, 0x00,
	0x3f, 0x6e, 0xf3, 0xa2, 0xf3, 0x50, 0x00, 0x00,
	0x3f, 0x6e, 0xf9, 0xf3, 0x51, 0x50, 0x00, 0x00,
	0x3f, 0x91, 0xdc, 0xf3, 0xf2, 0x54, 0x00, 0x00,
	0x3f, 0x91, 0xdc, 0xf9, 0xf2, 0x50, 0x00, 0x00,
	0x3f, 0xc0, 0xdc, 0xf3, 0xf3, 0x54, 0xa2, 0x00,
	0x6a, 0xc0, 0x66, 0xf9, 0xf2, 0xb6, 0x00, 0x00,
	0x6a, 0xc0, 0x32, 0xfc, 0xf2, 0xf6, 0xa2, 0x00,
	0x6a, 0xc0, 0xc4, 0xf9, 0xf2, 0xb6, 0x00, 0x00,
	0x6a, 0xc0, 0x66, 0x7c, 0xf2, 0xb6, 0xa2, 0x00,
	0x6a, 0xc0, 0x91, 0x3c, 0xf9, 0xf6, 0x51, 0x00,
	0x3f, 0xc0, 0x66, 0x7c, 0xf2, 0xf2, 0xa2, 0x00,
	0x3f, 0xc0, 0x91, 0x3c, 0xf9, 0xf2, 0xf3, 0x00,
	0x95, 0x6a, 0x91, 0x6c, 0xf3, 0xf8, 0xa2, 0x00,
	0x51, 0x00, 0x50, 0xa2, 0xa2, 0xe7, 0x99, 0xc0,
	0xf2, 0xa2, 0x51, 0xa2, 0xa2, 0xe4, 0xc8, 0x62,
	0xf1, 0x00, 0x00, 0xa2, 0x51, 0xf4, 0x99, 0xc0,
	0xf3, 0x00, 0x00, 0x00, 0x51, 0xb4, 0xc8, 0xc0,
	0xa2, 0x00, 0x00, 0xa2, 0x50, 0xce, 0x99, 0xc0,
	0x51, 0x00, 0x00, 0x51, 0x50, 0x9e, 0xcc, 0x62,
	0xa2, 0x00, 0x00, 0xa2, 0x45, 0xde, 0x99, 0xc0,
	0x00, 0x00, 0x00, 0xf3, 0x50, 0x9e, 0xcc, 0x62,
	0xa2, 0xa2, 0x00, 0xa2, 0x50, 0xe5, 0x99, 0xc0,
	0x00, 0x00, 0xa2, 0xf3, 0x51, 0x9e, 0xec, 0x62,
	0xa2, 0xa2, 0x00, 0xf3, 0xf3, 0xe5, 0xcc, 0x99,
	0x00, 0xa0, 0xa0, 0x51, 0x51, 0x9e, 0xce, 0x62,
	0xa2, 0xa0, 0xa2, 0xf2, 0xa2, 0xe5, 0x7c, 0x99,
	0x00, 0xa2, 0x51, 0xb4, 0xa2, 0xf0, 0xce, 0x62,
	0xa2, 0x51, 0x51, 0xa1, 0xa2, 0xe7, 0xed, 0x99,
	0x00, 0xf2, 0x00, 0xb6, 0xa2, 0xf2, 0xce, 0xc8,
	0xc0, 0xc0, 0x3f, 0xc0, 0x95, 0x6a, 0xc0, 0x95,
	0xc0, 0xc0, 0x6a, 0xc0, 0x95, 0x3f, 0xc0, 0xc0,
	0xc0, 0xc0, 0x6a, 0xc0, 0x95, 0x95, 0xc0, 0xc0,
	0x62, 0xc0, 0x6a, 0xc0, 0x95, 0x95, 0xc0, 0x3f,
	0xc0, 0xc0, 0x6a, 0x3f, 0x3f, 0x95, 0x3f, 0x6a,
	0x62, 0xc0, 0x6a, 0x3f, 0x3f, 0x95, 0x3f, 0x6a,
	0x91, 0xc0, 0x6a, 0x6a, 0x95, 0x95, 0x6a, 0x6a,
	0x62, 0xc0, 0x3f, 0x3f, 0x3f, 0x95, 0x3f, 0x3f,
	0x91, 0xc0, 0x3f, 0xc0, 0x6a, 0x95, 0x6a, 0x95,
	0xc0, 0xc0, 0x95, 0xc0, 0xc0, 0xc0, 0xc0, 0x95,
	0x91, 0xc0, 0x95, 0x95, 0xc0, 0xc0, 0x6a, 0x95,
	0xc0, 0xc0, 0x95, 0x3f, 0x6a, 0x6a, 0x6a, 0x3f,
	0xc0, 0xc0, 0x95, 0x6a, 0x3f, 0x3f, 0x3f, 0x3f,
	0xc0, 0xc0, 0x95, 0x3f, 0x95, 0x3f, 0x95, 0x3f,
	0xc0, 0xc0, 0x95, 0x95, 0x6a, 0xc0, 0x3f, 0x95,
	0x62, 0x62, 0x95, 0x3f, 0x3f, 0x95, 0x95, 0x3f,
	0x3f, 0xc0, 0xc0, 0x9c, 0xf9, 0x79, 0xf1, 0x00,
	0x3f, 0xc0, 0x91, 0x6c, 0xf9, 0xd9, 0xf1, 0x00,
	0x6a, 0xc0, 0xc0, 0xcc, 0xf8, 0x73, 0xf1, 0x00,
	0x6a, 0xc0, 0x91, 0x68, 0xdc, 0x88, 0xf2, 0x00,
	0x3f, 0xc0, 0xc0, 0xcc, 0xf8, 0x28, 0x51, 0x00,
	0x6a, 0xc0, 0x91, 0xc8, 0xdc, 0x28, 0xf2, 0x00,
	0x3f, 0xc0, 0xc4, 0x6c, 0xf8, 0xa8, 0x50, 0x00,
	0x3f, 0xc0, 0x91, 0xec, 0xdc, 0x28, 0xf6, 0x00,
	0x6a, 0xc0, 0xc4, 0x6c, 0xf8, 0xa8, 0x14, 0x00,
	0x6a, 0xc0, 0xc4, 0xcc, 0xdc, 0xa0, 0x14, 0x00,
	0x6a, 0xc0, 0xc4, 0x6c, 0xf8, 0xa2, 0x14, 0x00,
	0xc0, 0xc0, 0x66, 0x9c, 0xdc, 0x00, 0xf6, 0x00,
	0xc0, 0xc0, 0xc4, 0x6c, 0xf8, 0xa2, 0x54, 0x00,
	0xc0, 0x62, 0x66, 0x9c, 0xf4, 0x00, 0xf2, 0x00,
	0xc0, 0xc0, 0xc4, 0x64, 0xf8, 0xa2, 0x54, 0x00,
	0xc0, 0x62, 0x32, 0xec, 0xf0, 0x00, 0xf2, 0x00,
	0xa2, 0x51, 0x00, 0x50, 0xa2, 0x50, 0xe5, 0x99,
	0x00, 0x00, 0xa2, 0x14, 0xa2, 0x51, 0x9e, 0xca,
	0x00, 0x00, 0x00, 0x50, 0xa2, 0x51, 0xe5, 0x99,
	0x00, 0x00, 0x00, 0x51, 0x00, 0x00, 0xf4, 0x9b,
	0x51, 0x00, 0x00, 0x00, 0xa2, 0x00, 0xe7, 0x31,
	0x00, 0xa2, 0x00, 0x51, 0x00, 0x00, 0x50, 0xec,
	0x00, 0xf1, 0x00, 0x00, 0xa2, 0x00, 0x51, 0xb8,
	0x00, 0xb6, 0xa2, 0x00, 0x51, 0x00, 0xf6, 0xec,
	0x00, 0xf2, 0x28, 0x00, 0x00, 0x00, 0xb6, 0xb2,
	0x00, 0x51, 0xf1, 0x00, 0x00, 0x00, 0xb6, 0x79,
	0x00, 0x50, 0x28, 0xa2, 0x00, 0x00, 0xf2, 0xf2,
	0x00, 0x51, 0x53, 0x00, 0x00, 0xf2, 0xf0, 0x51,
	0x51, 0x00, 0xa1, 0xa2, 0xf2, 0x53, 0x14, 0xf1,
	0x00, 0xa0, 0xf2, 0x53, 0x00, 0x28, 0xf0, 0x51,
	0x00, 0x51, 0x51, 0x78, 0xa2, 0xf1, 0x16, 0x3c,
	0x00, 0x00, 0x51, 0xf1, 0xa0, 0xb4, 0xf0, 0x72,
	0xc0, 0x91, 0x95, 0x3f, 0xc0, 0xc0, 0x95, 0x3f,
	0x62, 0x62, 0x95, 0x6a, 0x3f, 0x95, 0x6a, 0x3f,
	0xc0, 0x91, 0xc0, 0x6a, 0x3f, 0x3f, 0x6a, 0x6a,
	0x62, 0xc0, 0xc0, 0x3f, 0x6a, 0xc0, 0x3f, 0x6a,
	0x91, 0xc0, 0xc0, 0x3f, 0x95, 0x3f, 0x3f, 0x6a,
	0x62, 0x62, 0xc0, 0x3f, 0xc0, 0xc0, 0x3f, 0xc0,
	0x99, 0x91, 0xc0, 0x95, 0x6a, 0xc0, 0x3f, 0x91,
	0x64, 0x62, 0x62, 0x95, 0x3f, 0x95, 0x6a, 0xc0,
	0x98, 0x99, 0x91, 0x95, 0x3f, 0x3f, 0x6a, 0x91,
	0x64, 0x64, 0x62, 0x62, 0x3f, 0x3f, 0xc0, 0x66,
	0xf6, 0x98, 0x99, 0x91, 0x91, 0x91, 0x91, 0x98,
	0xf1, 0xec, 0x64, 0x66, 0x62, 0x62, 0x66, 0x64,
	0xf2, 0xb2, 0x98, 0x99, 0x99, 0x99, 0x98, 0x98,
	0x00, 0xf1, 0x64, 0x65, 0x65, 0x64, 0x30, 0x34,
	0xb3, 0x52, 0xb2, 0xdb, 0xdb, 0xed, 0xec, 0x88,
	0x23, 0x79, 0xf1, 0xe5, 0xe7, 0xe7, 0xbc, 0xf3,
	0x91, 0xc0, 0xc4, 0x6c, 0xf9, 0x00, 0xf1, 0x00,
	0xc0, 0x62, 0x66, 0x9c, 0xf1, 0x00, 0xa2, 0x00,
	0x91, 0xc0, 0x91, 0xdc, 0xa0, 0x00, 0xf1, 0x00,
	0xc0, 0xc0, 0x66, 0x6d, 0xf1, 0x00, 0xa2, 0x00,
	0x91, 0x91, 0x99, 0xa8, 0xa2, 0x00, 0x00, 0x00,
	0x62, 0x62, 0x66, 0xa8, 0xf1, 0x00, 0xa2, 0x00,
	0x91, 0x99, 0x9c, 0xa8, 0xa2, 0x51, 0x00, 0x00,
	0x66, 0xcc, 0xdc, 0xa2, 0x00, 0x00, 0x00, 0x00,
	0x98, 0xcc, 0x7c, 0x22, 0xa2, 0x51, 0x00, 0x00,
	0x64, 0x34, 0xfc, 0xa2, 0x00, 0x00, 0x00, 0x00,
	0x98, 0x7c, 0x79, 0xa2, 0x51, 0x00, 0x00, 0x00,
	0x34, 0xbc, 0xf9, 0x28, 0x00, 0x00, 0x51, 0x00,
	0x7c, 0x79, 0xb6, 0xa0, 0x51, 0x00, 0x00, 0x00,
	0xbc, 0xf8, 0x78, 0xa0, 0xa2, 0x00, 0x51, 0x00,
	0xa2, 0xf2, 0xb4, 0xa0, 0xf3, 0x00, 0xa2, 0x00,
	0xf3, 0xf1, 0xf8, 0xf3, 0xa2, 0x00, 0x51, 0x00,
	0x00, 0x00, 0x00, 0xa2, 0x51, 0xf0, 0x79, 0x39,
	0x00, 0x00, 0x00, 0x00, 0xf2, 0xb4, 0x16, 0x62,
	0x00, 0xa2, 0x00, 0x00, 0x51, 0x50, 0x3c, 0x52,
	0x51, 0x51, 0x00, 0x51, 0xf1, 0x14, 0xf1, 0x00,
	0x00, 0xf2, 0xf1, 0xf0, 0xa2, 0xf2, 0xa2, 0xa2,
	0x00, 0x51, 0x78, 0xa2, 0x78, 0xf1, 0x51, 0x51,
	0x00, 0x00, 0xf0, 0xf1, 0xf1, 0xa2, 0xa2, 0x00,
	0x00, 0x00, 0x50, 0xa2, 0x50, 0x51, 0x00, 0x51,
	0x00, 0x51, 0x00, 0xa2, 0x50, 0xf0, 0x51, 0xf2,
	0x00, 0x00, 0xf3, 0xa0, 0xb6, 0x16, 0xf2, 0x3c,
	0x00, 0x00, 0x51, 0xf3, 0xf0, 0xb3, 0x16, 0x78,
	0x00, 0x00, 0x00, 0xb6, 0x3c, 0x51, 0x00, 0x00,
	0x00, 0x00, 0x00, 0xf2, 0xb4, 0x00, 0xf2, 0x78,
	0x00, 0x00, 0x00, 0xf2, 0x78, 0xa2, 0x39, 0x91,
	0x00, 0x00, 0x00, 0xa2, 0xf1, 0x00, 0xec, 0xb9,
	0x00, 0x00, 0x00, 0x00, 0xa2, 0x00, 0xb6, 0xa2,
	0x94, 0xf8, 0xf2, 0xb6, 0xdb, 0x9b, 0xf4, 0x3c,
	0x78, 0x3c, 0xb4, 0x78, 0x78, 0x78, 0xb6, 0xf9,
	0xf0, 0x13, 0x91, 0x79, 0x39, 0x9c, 0x9c, 0x3c,
	0xf3, 0xb4, 0x16, 0xf1, 0x16, 0x79, 0xb4, 0xb6,
	0x00, 0xf2, 0x78, 0x39, 0xb4, 0xd9, 0x29, 0xf3,
	0x79, 0x00, 0x50, 0xb6, 0x28, 0xa0, 0x00, 0x50,
	0x00, 0x00, 0xf6, 0xf1, 0x79, 0xa2, 0x51, 0x51,
	0xf1, 0x51, 0xbc, 0xf9, 0xf0, 0xa2, 0x00, 0x00,
	0x52, 0x50, 0xfc, 0x78, 0x00, 0x51, 0xf1, 0xa0,
	0x79, 0x51, 0xb4, 0xbc, 0x62, 0x36, 0xb6, 0xa2,
	0xa2, 0x00, 0xf2, 0x79, 0xf1, 0xf6, 0xa2, 0xa0,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0x00, 0xa2,
	0x00, 0xf2, 0xf8, 0xa2, 0x79, 0x51, 0x00, 0x50,
	0x79, 0x62, 0x91, 0x28, 0x81, 0xa2, 0x00, 0xf2,
	0xa2, 0x39, 0x91, 0x28, 0x42, 0xa8, 0x00, 0xb6,
	0xf1, 0xb6, 0x36, 0x28, 0x68, 0x79, 0x00, 0xa1,
	0xf1, 0x00, 0xf1, 0x79, 0x00, 0x00, 0xa2, 0x00,
	0xf3, 0xb4, 0xf3, 0x78, 0xa2, 0x51, 0x00, 0x00,
	0x79, 0x81, 0xf0, 0xf1, 0x00, 0x00, 0x00, 0x00,
	0x78, 0x16, 0x78, 0xa2, 0xa2, 0x51, 0x00, 0x00,
	0xb4, 0x3c, 0xf3, 0x51, 0x00, 0x00, 0x00, 0x00,
	0xf0, 0x79, 0xf1, 0xa0, 0x00, 0xa2, 0x00, 0x00,
	0x51, 0x00, 0xf1, 0x51, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0xa2, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0xf3, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x51, 0xbc, 0xa2, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x50, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x51, 0x00, 0x50, 0x00, 0x00, 0x00,
	0xf1, 0xa2, 0x00, 0xa2, 0x00, 0x00, 0x00, 0x00,
	0xa0, 0xa2, 0xb4, 0xa0, 0x00, 0x00, 0x00, 0x50,
	0xa0, 0x50, 0xa0, 0x00, 0x00, 0x00, 0x00, 0x51,
	0x28, 0xa0, 0x50, 0xa0, 0xa2, 0x00, 0x00, 0x50,
	0x00, 0x00, 0x00, 0x51, 0x00, 0xa2, 0x51, 0x50,
	0x00, 0x00, 0x00, 0x00, 0xf1, 0x51, 0x00, 0x51,
	0x00, 0x00, 0x00, 0x51, 0x51, 0x50, 0xa2, 0x00,
	0x00, 0x00, 0x51, 0x50, 0x00, 0xa2, 0x00, 0x00,
	0x00, 0x00, 0xf2, 0xf2, 0x00, 0x51, 0x00, 0x00,
	0x00, 0x51, 0x51, 0x51, 0x00, 0xa2, 0xa2, 0x51,
	0x00, 0x00, 0x00, 0xa2, 0x51, 0x51, 0xf1, 0x01,
	0x00, 0x00, 0x00, 0x00, 0xa2, 0xf2, 0x52, 0x50,
	0x00, 0x00, 0x00, 0xa2, 0xf3, 0xa1, 0x79, 0xa1,
	0x00, 0x00, 0x51, 0xf1, 0xf2, 0x13, 0x53, 0x13,
	0x00, 0x51, 0xf0, 0xf0, 0xa9, 0x23, 0x79, 0x62,
	0x00, 0x00, 0xf2, 0xfc, 0x13, 0x13, 0xf8, 0x91,
	0x51, 0xf0, 0xf2, 0xa9, 0xa9, 0x23, 0xf0, 0x81,
	0x00, 0x51, 0xf3, 0xf4, 0x56, 0x52, 0xa3, 0x72,
	0x00, 0x00, 0xf1, 0xa9, 0xa9, 0xf1, 0x50, 0x13,
	0x00, 0x00, 0xf2, 0xf4, 0x52, 0xa2, 0x51, 0x33,
	0x79, 0x50, 0x79, 0x7c, 0xd9, 0x53, 0x00, 0xb1,
	0xf1, 0x51, 0xa0, 0x66, 0x78, 0x78, 0x00, 0xb3,
	0xa2, 0x51, 0x39, 0x91, 0xdc, 0x56, 0xa2, 0xe2,
	0x51, 0xf2, 0x62, 0x62, 0x89, 0x16, 0xa0, 0xb1,
	0x16, 0x62, 0xc0, 0x91, 0x03, 0x29, 0xf9, 0x42,
	0x62, 0xc0, 0xc0, 0x23, 0x16, 0x16, 0x52, 0x13,
	0xc0, 0xc0, 0x23, 0x29, 0x56, 0x29, 0x78, 0x13,
	0xa1, 0x36, 0xf8, 0xa1, 0xf8, 0xbc, 0x02, 0xa1,
	0x72, 0xf4, 0x51, 0xf4, 0xf1, 0xa1, 0x28, 0xb6,
	0x52, 0x52, 0x00, 0xf2, 0xa2, 0xf6, 0x02, 0xf2,
	0x36, 0xa8, 0x00, 0x51, 0x00, 0xa3, 0xa8, 0x14,
	0x81, 0xf0, 0xa0, 0x00, 0x00, 0x54, 0x02, 0xf2,
	0x72, 0xb4, 0xf8, 0x51, 0x00, 0x54, 0xa8, 0x50,
	0x13, 0x03, 0x78, 0xf2, 0x00, 0xf6, 0xa0, 0x50,
	0x23, 0x23, 0x7c, 0xf2, 0xa2, 0xf2, 0xa0, 0x50,
	0x13, 0x16, 0xfc, 0xf4, 0xa2, 0xf4, 0xa2, 0x51,
	0x79, 0x79, 0xf2, 0xf0, 0x00, 0x00, 0x00, 0x00,
	0x16, 0xf0, 0xa0, 0xf1, 0x00, 0x00, 0x00, 0x00,
	0x23, 0x79, 0x00, 0xa0, 0xa0, 0x00, 0x00, 0x00,
	0x13, 0x52, 0x51, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x23, 0x16, 0xf3, 0x00, 0x00, 0x00, 0x50, 0x0a,
	0x91, 0x16, 0xb4, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x23, 0x78, 0x29, 0x00, 0x00, 0xf0, 0x00, 0x00,
	0x78, 0xf0, 0x16, 0xa0, 0xa2, 0x00, 0x00, 0x00,
	0xf1, 0xf0, 0x78, 0xa0, 0x00, 0xa0, 0x00, 0x00,
	0x28, 0xf0, 0xa5, 0xa0, 0xa2, 0xa0, 0x00, 0x00,
	0xa0, 0xa0, 0x05, 0xa0, 0xa0, 0x00, 0x0a, 0x00,
	0xa0, 0xa2, 0x00, 0x00, 0xa0, 0x00, 0xa5, 0x00,
	0xf1, 0x00, 0x00, 0x00, 0xa2, 0x00, 0x00, 0x00,
	0xf1, 0x00, 0x00, 0x00, 0xa2, 0x00, 0x00, 0x00,
	0xf2, 0x00, 0x00, 0x51, 0xf1, 0x00, 0x00, 0x00,
	0xf0, 0xa2, 0x00, 0x50, 0x53, 0x00, 0x00, 0x00,
	0x00, 0xa2, 0xf2, 0xf8, 0xa1, 0xf0, 0xa2, 0xa1,
	0x00, 0x50, 0xf4, 0xf0, 0x13, 0x16, 0xa0, 0xf3,
	0x00, 0x51, 0xf0, 0xa1, 0x23, 0x23, 0xa0, 0x00,
	0x00, 0x51, 0xf4, 0xf1, 0x52, 0x03, 0xa2, 0x51,
	0x00, 0xf2, 0xf8, 0xa2, 0xf3, 0xa1, 0xa0, 0x50,
	0x51, 0xf4, 0xf1, 0x00, 0xf2, 0x78, 0xa0, 0x51,
	0x51, 0xf0, 0xa8, 0x00, 0xb4, 0x16, 0xa2, 0x00,
	0x00, 0xf6, 0x53, 0x00, 0xa1, 0x03, 0xf1, 0x00,
	0x00, 0xf2, 0xf8, 0xa2, 0xb6, 0x16, 0x52, 0x51,
	0x00, 0x50, 0x52, 0xa2, 0x01, 0x7c, 0xa3, 0xa0,
	0x00, 0xf2, 0x52, 0xa2, 0xb6, 0xa0, 0x39, 0x53,
	0x00, 0x51, 0xf1, 0x51, 0xf4, 0xa1, 0x52, 0x72,
	0x00, 0x00, 0xa2, 0xf2, 0x78, 0x68, 0x53, 0x91,
	0x00, 0x00, 0x51, 0xf4, 0xa0, 0xb1, 0xc0, 0x23,
	0x00, 0x00, 0x51, 0xf8, 0x00, 0x50, 0x29, 0xf2,
	0x00, 0x51, 0x51, 0xa0, 0x00, 0x14, 0x52, 0xa0,
	0xf0, 0xa2, 0xf4, 0xf8, 0xa2, 0xf8, 0xa2, 0x00,
	0xa2, 0x50, 0xf4, 0xf4, 0xa2, 0xf4, 0x00, 0xa2,
	0x00, 0x51, 0xf0, 0xf0, 0x51, 0xf0, 0x00, 0xa0,
	0xf1, 0x00, 0x51, 0xa2, 0x50, 0xf1, 0x00, 0xa2,
	0xf0, 0xa2, 0xa2, 0x00, 0xf3, 0x00, 0x00, 0x00,
	0xf1, 0x00, 0x00, 0x00, 0x00, 0x51, 0x00, 0x00,
	0x00, 0x51, 0xf0, 0xf0, 0xa2, 0xa2, 0x51, 0xa0,
	0xa2, 0xf2, 0xf8, 0xa9, 0xf1, 0x00, 0xf2, 0xf1,
	0x51, 0xf1, 0xf0, 0xf0, 0xa2, 0xf2, 0xa1, 0x72,
	0x00, 0x00, 0x00, 0x00, 0x00, 0xf6, 0x13, 0x94,
	0x00, 0x51, 0xf1, 0x50, 0xf9, 0xf2, 0x01, 0x36,
	0xa2, 0x00, 0x00, 0xf5, 0x56, 0xf1, 0x50, 0x29,
	0x52, 0xf2, 0x03, 0x81, 0xf8, 0xf1, 0x51, 0xa1,
	0x03, 0x23, 0x23, 0xf8, 0xf0, 0xa0, 0xf2, 0x52,
	0xb9, 0x13, 0x52, 0x51, 0xf2, 0xa2, 0x51, 0xa1,
	0xa1, 0xfc, 0xa0, 0x00, 0x00, 0x00, 0x00, 0x52,
	0xf2, 0xa2, 0x00, 0x50, 0x78, 0x00, 0x00, 0x00,
	0x51, 0xf1, 0x00, 0x51, 0xb4, 0xa2, 0x00, 0x00,
	0xa2, 0xa2, 0x00, 0x00, 0xf2, 0x79, 0x00, 0x50,
	0x51, 0xf1, 0x00, 0x00, 0x51, 0x78, 0xf1, 0x00,
	0x00, 0xf2, 0xa2, 0x00, 0xa2, 0xa1, 0xa2, 0x00,
	0x00, 0x51, 0xa2, 0x00, 0x51, 0x50, 0x00, 0x50,
	0x00, 0xa2, 0xa2, 0x00, 0x00, 0xa2, 0xa2, 0x00,
	0x00, 0x51, 0x51, 0x00, 0x51, 0x51, 0x51, 0xa0,
	0x00, 0x00, 0x00, 0x00, 0x00, 0xa2, 0x50, 0x00,
	0xa2, 0x00, 0x51, 0x00, 0x00, 0x00, 0x00, 0x01,
	0xa0, 0x00, 0x00, 0xa2, 0x00, 0x00, 0x51, 0x00,
	0x28, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0xf1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x79, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0xf1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x79, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf2, 0x00
};