// NinjaTool.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#define BINNAME "LEVEL82.BIN"

// -------------------------------------------------------
#define NBZONES 7

u8 leveldata[2] = { 2 , NBZONES }; // Position 1 2 3. Nb zones 1 to 9

// -------------------------------------------------------
// A zone is top left corner, bottom right corner and id.
// Data are : 
// Byte : Number of zones
// For each zone : 5 btyes. Top left X, Top Left Y, Bottom Right X, Bottom Right Y, Id.
// start at 0. X to 12. Y to 15
u8 zonesdatas[NBZONES * 5] =
{
	8,13,11,15,1, // 
	4,10,7,12,2, // 
	8,7,11,9,3, // 
	4,4,7,6,4, // 
	0,0,3,3,5, // 
	0,7,3,9,6, // 
	0,13,3,15,7, // 
};

// -------------------------------------------------------
// Sequences
// -- Choice with cursor
// Time (in 10th of seconds 100=10s), for all zone, sucess or fails (fails = id + 100 )
//  { 100,101,101,101,1,0,0,0,0,0,0,0 } 
// -- Test. 250  Textid then 0
// 	{ 250,1  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Text
// -- QTE
//    251 TIME WINTEXT ERRORTEXT sequence 1=haut, 2=bas, 3=droite, 4=gauche
// 	{ 251,25 , 8, 103, 1  , 1  , 2  ,2  , 0  , 0 },
//  { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
// -- END
//  { 255,
// ----------------------------------------------------
#define SEQLINESIZE 10
u8 scenario[11][SEQLINESIZE] =
{
	{ 253, 5  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Palette cycle
	{ 252, 8  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Cursor mode 8, all is green (player do not see zones
	{ 250, 1  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Text

	{ 100, 2  , 101, 101, 101,101,101 ,101, 0 , 0 }, //
	{ 100, 0  , 3  , 102, 102,102,102 ,102, 0 , 0 }, //
	{ 100, 0  , 0  , 4  , 103,103,103 ,103, 0 , 0 }, //
	{ 100, 0  , 0  , 0  , 5  ,104,104 ,104, 0 , 0 }, //
	{ 100, 0  , 0  , 0  , 0  ,6  ,101 ,101, 0 , 0 }, //

	{ 250, 7  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Text
	{ 253, 0  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // Palette normal
	{ 255,0  , 0  , 0  , 0  ,0  , 0  , 0 , 0 , 0 }, // END
};

// -------------------------------------------------------
u8 nextlevelname[] = "LEVEL83 BIN"; // Must be 11 characters

u8 messageintro[] = {
/*
"------------------------------------" 36 chars (Line 3) 4
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Trs violemment je me retrouve  "
 "dans de l'eau trs froide. C'est  "
"la rivire maudite. Vu le courant,  "
 "il faut rapidement que je gagne la"
  "berge de l'autre ct.          "
};
u8* messageintro_compress;


#define MESSAGEMAXLENGHT (32+34+36+34+32+4+1)

#define NBMESSDEATH 4
u8 messagedeath[NBMESSDEATH][MESSAGEMAXLENGHT] =
{
{
/*
"------------------------------------" 36 chars (Line 3) 101
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2NON\1. Mauvaise ide de passer par"
 "l. Je sens quelque chose qui     "
"m'enroule la cheville et m'entrane "
 "vers le fond. Je suis noy et     "
  "dvor, ou l'inverse !          "
},
{
/*
"------------------------------------" 36 chars (Line 3) 102
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2MAUVAISE IDEE\1 ici aussi. Tout un"
 "tas de vilaines bestioles me      "
"bouffent le ventre. Mes intestins se"
 "rpandent dans la rivire devenue "
  "rouge ! Trouve un autre chemin. "
},
{
/*
"------------------------------------" 36 chars (Line 3) 103
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2NON\1. Par l le courant est trop "
 "fort et ma tte percute un norme "
"rocher. Je meurs noy et mon corps  "
 "est dvor un peu plus loin par   "
  "des salets dmoniaques !       "
},
{
/*
"------------------------------------" 36 chars (Line 3) 104
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2AIE\1. Mes mains et mes pieds sont"
 "attraps par des sortes de        "
"tentacules qui m'attirent au fond de"
 "l'eau. Je pense que tu veux mme  "
  "pas savoir ce qui m'a dvor !  "
}

};

#define NBMESSSUCESS 7 
u8 messagesucces[NBMESSSUCESS][MESSAGEMAXLENGHT] =
{
{
/*
"------------------------------------" 36 chars (Line 3) 1
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Comme j'ai la tte  moiti sous"
 "l'eau, je ne distingue pas les    "
"zones vertes et rouges. Tu vas      "
 "devoir te dbrouiller pour les    "
  "trouver.                        "
},
{
/*
"------------------------------------" 36 chars (Line 3) 2
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2OUI\1 trs bien. Je nage avec     "
 "beaucoup de difficult jusque-l. "
"Il doit y avoir des Kappas ici, ce  "
 "sont des Yokais qui noient les    "
  "gens ou les animaux.            "
},
{
/*
"------------------------------------" 36 chars (Line 3) 3
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2PARFAIT\1. J'arrive  nager l.   "
 "Les Kappas adorent manger la      "
"chair des enfants, mais c'est con   "
 "j'en ai pas sur moi !!!!          "
  "                                "
},
{
/*
"------------------------------------" 36 chars (Line 3) 4
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2C'EST BIEN\1. Je progresse vers la"
 "berge oppose !!! Ces cons de     "
"Kappas aiment aussi les concombres !"
 "Si j'en choppe un, c'est dans son "
  "cul que je lui foutrai !!       "
},
{
/*
"------------------------------------" 36 chars (Line 3) 5
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2BRAVO\1. Je suis bientt sur la   "
 "berge. J'ai encore salop ma tenue"
"Ca va sentir le chien mouill ! Tu  "
 "devras me payer le pressing quand "
  "je sortirai de ce merdier...    "
},
{
/*
"------------------------------------" 36 chars (Line 3) 6
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "\2OUIIIIIIIIIIIIIIIIIIIIIIIIIIIIII\1"
 "Me voici en scurit sur la berge."
"Tu sais que je commence  t'aimer   "
 "ma couille de panda ! Tu as bien  "
  "progress depuis le dbut.      "
},
{
/*
"------------------------------------" 36 chars (Line 3) 7
/"----------------------------------" 34 chars (Line 2 & 4)
//"--------------------------------" 32 chars (Line 1 & 5)
*/
  "Quand je rentrerai je me ferai  "
 "tatouer ta tronche sur la fesse en"
"signe d'amiti.                     "
 "C'est srement l'air nausabond   "
  "d'ici qui me fait dlirer ptdr !"

}

};

// Tile tile_Pic02_00: 16x16 pixels, 8x16 bytes.
const u8 tile_Pic01_00[8 * 16 * 24] = {
	0x9a, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf,
	0xcf, 0x9a, 0xcf, 0xcf, 0x65, 0x65, 0x65, 0x65,
	0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0x9a, 0xcf, 0x9a,
	0xcf, 0xcf, 0xcf, 0x9a, 0xcf, 0xcf, 0xcf, 0x65,
	0xcf, 0x65, 0x65, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf,
	0x9a, 0x65, 0x9a, 0x9a, 0x9a, 0xcf, 0xcf, 0xcf,
	0x9a, 0x30, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf,
	0x30, 0x65, 0x65, 0xcf, 0x9a, 0x9a, 0xcf, 0xcf,
	0x9a, 0x30, 0xcf, 0xcf, 0xcf, 0x65, 0xcf, 0xcf,
	0x65, 0x65, 0xcf, 0xcf, 0x65, 0x9a, 0x9a, 0xcf,
	0x9a, 0xcf, 0xcf, 0x9a, 0x9a, 0xcf, 0xcf, 0x65,
	0x65, 0xcf, 0xcf, 0x9a, 0xcf, 0x65, 0x65, 0x9a,
	0x9a, 0xcf, 0xcf, 0x65, 0x65, 0xcf, 0x9a, 0xcf,
	0x65, 0xcf, 0xcf, 0xcf, 0x9a, 0xcf, 0xcf, 0x65,
	0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf,
	0x65, 0xcf, 0xcf, 0xcf, 0x65, 0xcf, 0x9a, 0xcf,
	0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0x8f, 0x8f, 0x5a,
	0x65, 0x65, 0x65, 0x65, 0x65, 0x4f, 0x0f, 0x5a,
	0xcf, 0x9a, 0xcf, 0x9a, 0xcf, 0x8f, 0x0f, 0x1b,
	0xcf, 0x65, 0xcf, 0x65, 0xcf, 0x0f, 0x0f, 0xb1,
	0xcf, 0xcf, 0xcf, 0xcf, 0x8f, 0x8f, 0x0f, 0xf3,
	0x9a, 0xcf, 0xcf, 0xcf, 0x4f, 0x0f, 0x5a, 0xf3,
	0x30, 0xcf, 0xcf, 0x8f, 0x8f, 0x0f, 0x5b, 0xf3,
	0x65, 0xcf, 0xcf, 0xcf, 0x0f, 0x0f, 0xf1, 0xb6,
	0xcf, 0xcf, 0xcf, 0x8f, 0x0f, 0x0f, 0x36, 0x39,
	0xcf, 0xcf, 0xcf, 0x0f, 0x0f, 0x5a, 0x33, 0x33,
	0xcf, 0xcf, 0xcf, 0x8f, 0x0f, 0xb1, 0x33, 0x39,
	0xcf, 0xcf, 0xcf, 0x0f, 0x0f, 0x3c, 0x3c, 0x39,
	0xcf, 0xcf, 0x8f, 0x0f, 0x5a, 0x3c, 0x3c, 0x33,
	0xcf, 0xcf, 0x0f, 0x0f, 0x1e, 0x3c, 0x3c, 0x33,
	0xcf, 0xcf, 0x0f, 0x0f, 0xb4, 0x3c, 0xb6, 0x33,
	0xcf, 0x8f, 0x0f, 0x0f, 0xf3, 0x79, 0xb6, 0x3c,
	0x3c, 0x3c, 0x39, 0x33, 0x33, 0x33, 0x33, 0x33,
	0x3c, 0x3c, 0x33, 0x33, 0x33, 0x39, 0x33, 0x36,
	0x3c, 0x3c, 0x33, 0x3c, 0x3c, 0x33, 0x36, 0x33,
	0x36, 0xb6, 0x36, 0xb6, 0x79, 0x39, 0x79, 0x39,
	0x33, 0x36, 0x3c, 0xb6, 0xf3, 0x3c, 0x79, 0x79,
	0xf3, 0x33, 0x79, 0xf3, 0xf3, 0x3c, 0xf3, 0xf3,
	0xf3, 0x39, 0x73, 0xf3, 0xf3, 0x79, 0xf3, 0xf3,
	0xf3, 0x3c, 0x36, 0xf3, 0xf3, 0x79, 0xf3, 0xf3,
	0x79, 0xb6, 0x33, 0x79, 0xf3, 0xf3, 0xf3, 0xf3,
	0x73, 0xb6, 0x39, 0x36, 0xf3, 0xf3, 0xb6, 0xf3,
	0x73, 0xf3, 0x39, 0x33, 0x36, 0xb6, 0x33, 0x79,
	0x73, 0xf3, 0x39, 0x33, 0x33, 0x33, 0x33, 0x36,
	0x73, 0xb6, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33,
	0x36, 0xb6, 0x3c, 0x36, 0x3c, 0x39, 0x33, 0x36,
	0x36, 0xb6, 0xb6, 0x36, 0xb6, 0x3c, 0x33, 0x36,
	0x33, 0xf3, 0xb6, 0x3c, 0x3c, 0x3c, 0x33, 0x3c,
	0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf,
	0x65, 0xcf, 0xcf, 0x9a, 0xcf, 0xcf, 0xcf, 0xcf,
	0xcf, 0xcf, 0xcf, 0x65, 0xcf, 0x65, 0xcf, 0xcf,
	0x65, 0xcf, 0x9a, 0xcf, 0x9a, 0xcf, 0x9a, 0xcf,
	0x9a, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0x65,
	0x9a, 0xcf, 0x65, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf,
	0xcf, 0x9a, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0xcf,
	0xcf, 0xcf, 0xcf, 0x65, 0xcf, 0xcf, 0xcf, 0x8f,
	0xcf, 0xcf, 0x65, 0xcf, 0xcf, 0xcf, 0xcf, 0x8f,
	0x65, 0x9a, 0x30, 0xcf, 0x65, 0xcf, 0xcf, 0x0f,
	0xcf, 0x30, 0x65, 0xcf, 0xcf, 0xcf, 0xcf, 0x0f,
	0xcf, 0x30, 0x65, 0xcf, 0xcf, 0xcf, 0x8f, 0x0f,
	0xcf, 0x9a, 0xcf, 0xcf, 0x9a, 0xcf, 0x4f, 0x0f,
	0xcf, 0xcf, 0x65, 0x65, 0xcf, 0x65, 0x8f, 0x0f,
	0xcf, 0xcf, 0xcf, 0x9a, 0x9a, 0xcf, 0x0f, 0x0f,
	0xcf, 0xcf, 0xcf, 0xcf, 0xcf, 0x8f, 0x0f, 0x5a,
	0xcf, 0x8f, 0x0f, 0x5a, 0xf3, 0xf3, 0xb6, 0x3c,
	0xcf, 0x0f, 0x0f, 0x5b, 0xb6, 0xf3, 0xb6, 0x3c,
	0xcf, 0x0f, 0x0f, 0xb4, 0x39, 0xf3, 0xb6, 0x3c,
	0xcf, 0x0f, 0x0f, 0x33, 0x33, 0x79, 0xb6, 0xb6,
	0x8f, 0x0f, 0x5a, 0x33, 0x33, 0x73, 0xb6, 0xf3,
	0x8f, 0x0f, 0x1b, 0x33, 0x33, 0x73, 0xf3, 0x39,
	0x0f, 0x0f, 0xb4, 0x3c, 0x33, 0x73, 0xf3, 0xb6,
	0x0f, 0x0f, 0x3c, 0x3c, 0x33, 0x73, 0xf3, 0x3c,
	0x0f, 0x5a, 0x3c, 0x3c, 0x33, 0x36, 0xb6, 0x3c,
	0x0f, 0x1e, 0x3c, 0xb6, 0x33, 0x36, 0xb6, 0x79,
	0x0f, 0xb4, 0x79, 0xb6, 0x3c, 0x33, 0xb6, 0xf3,
	0x0f, 0xf3, 0xf3, 0xb6, 0x3c, 0x39, 0x39, 0xf3,
	0x5a, 0xf3, 0xf3, 0xb6, 0x3c, 0xb6, 0x33, 0x79,
	0xf1, 0x3c, 0xf3, 0xb6, 0x79, 0xb6, 0x33, 0x79,
	0x33, 0x33, 0x79, 0xb6, 0x79, 0x39, 0x33, 0x73,
	0x33, 0x33, 0x73, 0xb6, 0x79, 0x3c, 0x39, 0x36,
	0x33, 0x79, 0xb6, 0x79, 0x3c, 0xb6, 0x36, 0x3c,
	0x33, 0x79, 0xb6, 0x79, 0x79, 0xb6, 0x3c, 0x3c,
	0x33, 0x73, 0xb6, 0xf3, 0xf3, 0xb6, 0x3c, 0x3c,
	0x33, 0x36, 0xf3, 0xf3, 0xf3, 0xb6, 0x3c, 0x3c,
	0x33, 0x33, 0x79, 0xf3, 0x79, 0xb6, 0x3c, 0x39,
	0x36, 0x33, 0x33, 0x33, 0x36, 0xb6, 0x39, 0x33,
	0x3c, 0x33, 0x39, 0x33, 0x33, 0x39, 0x33, 0x33,
	0x39, 0x36, 0x39, 0x36, 0x33, 0x33, 0x33, 0x33,
	0x39, 0x79, 0x3c, 0x3c, 0x33, 0x33, 0x36, 0x39,
	0x3c, 0xf3, 0x3c, 0x39, 0x36, 0xb6, 0x3c, 0x33,
	0x3c, 0x3c, 0x3c, 0x39, 0x79, 0x3c, 0x3c, 0x33,
	0x3c, 0xb6, 0x79, 0x3c, 0xf3, 0x3c, 0xb6, 0x36,
	0x3c, 0xb6, 0xf3, 0x3c, 0xf3, 0x79, 0xb6, 0x3c,
	0x79, 0xf3, 0xf3, 0x3c, 0xf3, 0xf3, 0xb6, 0x3c,
	0xf3, 0xb6, 0xf3, 0x79, 0xf3, 0xf3, 0xb6, 0x3c,
	0xf3, 0x39, 0x79, 0x79, 0xf3, 0x79, 0xb6, 0x79,
	0x65, 0xcf, 0xcf, 0x9a, 0xcf, 0x0f, 0x0f, 0x1b,
	0x9a, 0xcf, 0xcf, 0xcf, 0xcf, 0x8f, 0x0f, 0xb4,
	0x65, 0xcf, 0x9a, 0xcf, 0xcf, 0x0f, 0x0f, 0x3c,
	0xcf, 0xcf, 0x65, 0x65, 0x8f, 0x0f, 0x5a, 0x3c,
	0xcf, 0xcf, 0xcf, 0xcf, 0x4f, 0x0f, 0x1e, 0x3c,
	0x9a, 0x9a, 0xcf, 0x8f, 0x8f, 0x0f, 0xf1, 0x79,
	0x65, 0x65, 0xcf, 0xcf, 0x0f, 0x0f, 0xf3, 0xf3,
	0x9a, 0xcf, 0xcf, 0x8f, 0x0f, 0x5a, 0xb6, 0xf3,
	0x9a, 0xcf, 0xcf, 0x0f, 0x0f, 0x5b, 0x39, 0xf3,
	0xcf, 0xcf, 0x8f, 0x8f, 0x0f, 0xb4, 0x33, 0x79,
	0xcf, 0xcf, 0xcf, 0x0f, 0x0f, 0x33, 0x33, 0x73,
	0xcf, 0xcf, 0x8f, 0x0f, 0x5a, 0x33, 0x39, 0x36,
	0xcf, 0xcf, 0x0f, 0x0f, 0x1e, 0x3c, 0x39, 0x33,
	0xcf, 0xcf, 0x8f, 0x0f, 0xb4, 0x3c, 0x33, 0x33,
	0xcf, 0xcf, 0x0f, 0x0f, 0x36, 0x3c, 0x33, 0x33,
	0xcf, 0x8f, 0x0f, 0x5a, 0x36, 0x36, 0x33, 0x33,
	0x33, 0x39, 0x73, 0xf3, 0xb6, 0x3c, 0x33, 0x33,
	0x3c, 0x39, 0x36, 0xf3, 0x3c, 0x3c, 0x36, 0x3c,
	0x3c, 0x33, 0x33, 0x79, 0x3c, 0xb6, 0x36, 0x3c,
	0x3c, 0x33, 0x33, 0x33, 0x79, 0xb6, 0x79, 0xf3,
	0xb6, 0x33, 0x33, 0x33, 0x79, 0xb6, 0x3c, 0xb6,
	0xb6, 0x3c, 0x33, 0x33, 0x73, 0xb6, 0x79, 0x3c,
	0xb6, 0x79, 0x33, 0x39, 0x36, 0xb6, 0x79, 0x3c,
	0xb6, 0x79, 0x3c, 0x39, 0x33, 0x36, 0xf3, 0x79,
	0xb6, 0x3c, 0x3c, 0x33, 0x33, 0x33, 0x33, 0x79,
	0xb6, 0x3c, 0x3c, 0x33, 0x3c, 0x3c, 0x33, 0x36,
	0xf3, 0x3c, 0xb6, 0x36, 0x79, 0xf3, 0x33, 0x33,
	0xf3, 0x79, 0xb6, 0x79, 0x79, 0xb3, 0x36, 0x33,
	0x79, 0xf3, 0xb6, 0x79, 0x79, 0xb6, 0x3c, 0x33,
	0x33, 0x79, 0xb6, 0x3c, 0x79, 0x3c, 0x39, 0x33,
	0x33, 0x36, 0xb6, 0x79, 0xb6, 0x3c, 0x39, 0x36,
	0x33, 0x33, 0xb6, 0x3c, 0xb6, 0x79, 0x39, 0x3c,
	0x33, 0x33, 0x36, 0x36, 0x3c, 0x36, 0xb6, 0x79,
	0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0xb6, 0x79,
	0x33, 0x39, 0x33, 0x33, 0x33, 0x33, 0x79, 0x3c,
	0x3c, 0x39, 0x36, 0x3c, 0x39, 0x33, 0x36, 0x33,
	0x3c, 0x33, 0x36, 0x3c, 0x39, 0x33, 0x33, 0x33,
	0x3c, 0x33, 0x3c, 0x3c, 0x39, 0x36, 0x3c, 0x33,
	0xb6, 0x36, 0x3c, 0x79, 0x39, 0x3c, 0x3c, 0x39,
	0xb6, 0x79, 0xb6, 0xf3, 0x3c, 0x3c, 0x3c, 0x39,
	0xb6, 0x79, 0x79, 0xf3, 0x3c, 0xb6, 0x79, 0x39,
	0xb6, 0x33, 0x36, 0xf3, 0x3c, 0xb6, 0xf3, 0x3c,
	0x39, 0x33, 0x33, 0xf3, 0x79, 0xf3, 0xf3, 0x3c,
	0x33, 0x33, 0x33, 0x79, 0xf3, 0xf3, 0xf3, 0x3c,
	0x3c, 0x3c, 0x33, 0x36, 0xf3, 0xb6, 0xf3, 0x3c,
	0x3c, 0x39, 0x33, 0x33, 0x3c, 0x33, 0x79, 0x3c,
	0x3c, 0x39, 0x33, 0x33, 0x33, 0x33, 0x73, 0x79,
	0x3c, 0x39, 0x33, 0x33, 0x33, 0x33, 0x73, 0xf3,
	0xcf, 0x4f, 0x0f, 0x1e, 0x33, 0x36, 0x39, 0x33,
	0x8f, 0x8f, 0x0f, 0xf1, 0x39, 0x36, 0x3c, 0x39,
	0x4f, 0x0f, 0x0f, 0xf3, 0xb6, 0x33, 0x3c, 0x3c,
	0x8f, 0x8f, 0x5a, 0x36, 0xf3, 0x39, 0x33, 0x3c,
	0x4f, 0x0f, 0x1b, 0x33, 0x79, 0xb6, 0x33, 0x3c,
	0x8f, 0x0f, 0xb1, 0x33, 0x73, 0xb6, 0x39, 0x79,
	0x0f, 0x0f, 0x33, 0x39, 0x73, 0xf3, 0x39, 0x73,
	0x0f, 0x5a, 0x3c, 0x39, 0x73, 0xf3, 0xb6, 0x36,
	0x0f, 0x1e, 0x3c, 0x33, 0x36, 0xf3, 0xb6, 0x33,
	0x0f, 0xb4, 0x3c, 0x33, 0x33, 0x79, 0x79, 0x3c,
	0x0f, 0x3c, 0xb6, 0x36, 0x33, 0x33, 0x3c, 0xb6,
	0x5a, 0x79, 0xb6, 0x79, 0x3c, 0x33, 0x36, 0xf3,
	0xf1, 0xf3, 0xb6, 0x3c, 0x39, 0x36, 0x33, 0xf3,
	0xf3, 0xf3, 0xb6, 0x3c, 0x3c, 0x3c, 0x33, 0xf3,
	0xf3, 0xf3, 0xb6, 0x3c, 0x3c, 0x39, 0x33, 0xf3,
	0xf3, 0xf3, 0xb6, 0x3c, 0x3c, 0x39, 0x33, 0x79,
	0x33, 0x33, 0xf3, 0xf3, 0xf3, 0xf3, 0x3c, 0xb6,
	0x33, 0x33, 0x79, 0xf3, 0xb6, 0xf3, 0xf3, 0xf3,
	0x3c, 0x33, 0x33, 0x3c, 0x33, 0x79, 0xf3, 0xf3,
	0x39, 0x33, 0x33, 0x33, 0x33, 0x73, 0xf3, 0xf3,
	0x39, 0x36, 0x3c, 0x33, 0x39, 0x36, 0xf3, 0xf3,
	0x39, 0x3c, 0x3c, 0x3c, 0x39, 0x33, 0x79, 0xb6,
	0x3c, 0x79, 0xb6, 0x3c, 0x33, 0x33, 0x33, 0x33,
	0x3c, 0xf3, 0x3c, 0x3c, 0x33, 0x33, 0x33, 0x33,
	0x36, 0xf3, 0x3c, 0x3c, 0x3c, 0x3c, 0x33, 0x39,
	0x33, 0x79, 0x3c, 0x3c, 0x3c, 0x3c, 0x33, 0x39,
	0x33, 0x73, 0xf3, 0x3c, 0x3c, 0x3c, 0x3c, 0x33,
	0x33, 0x36, 0xf3, 0xb6, 0x3c, 0x3c, 0x3c, 0x33,
	0x3c, 0x33, 0x79, 0xb6, 0x3c, 0x3c, 0x3c, 0x33,
	0xb6, 0x33, 0x36, 0xb6, 0xf3, 0x3c, 0x3c, 0x33,
	0xf3, 0x3c, 0x33, 0xb6, 0xf3, 0xf3, 0x3c, 0x33,
	0xf3, 0x3c, 0x33, 0x79, 0xf3, 0xf3, 0xb6, 0x3c,
	0xf3, 0x3c, 0x33, 0x3c, 0x3c, 0x39, 0x36, 0xf3,
	0xf3, 0x3c, 0x36, 0xb6, 0x3c, 0x33, 0x39, 0x79,
	0xf3, 0x3c, 0x79, 0x3c, 0x3c, 0x36, 0xb3, 0x36,
	0xf3, 0x3c, 0x79, 0x3c, 0xb6, 0x79, 0x3c, 0x33,
	0xf3, 0x3c, 0x79, 0x79, 0xb6, 0x79, 0xb3, 0x33,
	0xf3, 0xf3, 0xf3, 0xf3, 0xb6, 0x79, 0xb3, 0x33,
	0xf3, 0xf3, 0xf3, 0xf3, 0xb6, 0x79, 0x33, 0x39,
	0x79, 0xf3, 0xf3, 0xf3, 0xb6, 0x79, 0x3c, 0x39,
	0x36, 0xf3, 0xf3, 0x79, 0xf3, 0xb6, 0x3c, 0x33,
	0x33, 0x36, 0x39, 0x36, 0xf3, 0x3c, 0x3c, 0x36,
	0x33, 0x33, 0x33, 0x33, 0xf3, 0xb6, 0xb6, 0x73,
	0x33, 0x33, 0x33, 0x33, 0xf3, 0xf3, 0xb6, 0x79,
	0x3c, 0x33, 0x36, 0x33, 0x79, 0xf3, 0xb6, 0x79,
	0x3c, 0x3c, 0x39, 0x33, 0x79, 0xf3, 0xb6, 0x79,
	0x3c, 0x3c, 0x39, 0x33, 0x36, 0xf3, 0xb6, 0x79,
	0xb6, 0x3c, 0x39, 0x3c, 0x36, 0xf3, 0xf3, 0xf3,
	0xf3, 0xf3, 0xb6, 0xb6, 0x79, 0x3c, 0x39, 0x73,
	0xf3, 0x39, 0xf3, 0xb6, 0xf3, 0x3c, 0x3c, 0x36,
	0x39, 0x33, 0x79, 0xf3, 0xf3, 0x3c, 0x3c, 0x33,
	0x33, 0x33, 0x79, 0xf3, 0xf3, 0x3c, 0xb6, 0x33,
	0x33, 0x33, 0x73, 0xf3, 0xf3, 0x3c, 0xf3, 0x33,
	0x3c, 0x39, 0x73, 0xf3, 0xf3, 0x79, 0xf3, 0x3c,
	0x3c, 0x33, 0x36, 0xf3, 0xf3, 0x79, 0xb6, 0x3c,
	0x3c, 0x33, 0x33, 0x79, 0xf3, 0xf3, 0x3c, 0x3c,
	0xb6, 0x36, 0x39, 0x36, 0xf3, 0xf3, 0x3c, 0xb6,
	0xb6, 0x3c, 0x3c, 0x33, 0x3c, 0xf3, 0x79, 0xb6,
	0xb6, 0x3c, 0x3c, 0x33, 0x33, 0x79, 0xf3, 0xb6,
	0xb6, 0x3c, 0x3c, 0x39, 0x33, 0x79, 0xf3, 0xb6,
	0xb6, 0x79, 0xb6, 0x33, 0x39, 0x73, 0xf3, 0xb6,
	0xb6, 0xf3, 0xb6, 0x3c, 0x39, 0x73, 0xf3, 0xb6,
	0x3c, 0xf3, 0xb6, 0x3c, 0x33, 0x36, 0xf3, 0xb6,
	0x79, 0xf3, 0x3c, 0x3c, 0x33, 0x36, 0xf3, 0xf3,
	0xf3, 0xb6, 0x33, 0x73, 0xf3, 0xf3, 0xb6, 0x3c,
	0xb6, 0xf3, 0x39, 0x36, 0xf3, 0xf3, 0xb6, 0x3c,
	0x33, 0x79, 0x3c, 0x33, 0x33, 0x79, 0xb6, 0x79,
	0x33, 0x73, 0xb6, 0x33, 0x33, 0x36, 0xf3, 0xf3,
	0x33, 0x73, 0xb6, 0x39, 0x33, 0x33, 0x36, 0xf3,
	0x39, 0x73, 0xb6, 0x3c, 0x3c, 0x33, 0x33, 0x3c,
	0x33, 0x73, 0xf3, 0x3c, 0x3c, 0x33, 0x33, 0x33,
	0x33, 0x36, 0xf3, 0x3c, 0x39, 0x33, 0x33, 0x33,
	0x73, 0x36, 0xb6, 0x3c, 0x39, 0x33, 0xb6, 0x39,
	0x3c, 0x33, 0xf3, 0x79, 0x3c, 0x3c, 0x3c, 0x39,
	0x79, 0x39, 0x79, 0xf3, 0x3c, 0x3c, 0x3c, 0x39,
	0x79, 0xb3, 0x36, 0xf3, 0x3c, 0xb6, 0xb6, 0x3c,
	0x79, 0xf3, 0x33, 0xf3, 0x79, 0xf3, 0xf3, 0x3c,
	0xf3, 0xb3, 0x33, 0x79, 0xf3, 0xf3, 0xf3, 0x3c,
	0xf3, 0xb3, 0x33, 0x73, 0xf3, 0xf3, 0xf3, 0x3c,
	0xf3, 0x33, 0x33, 0x36, 0xf3, 0xf3, 0xf3, 0x79,
	0x3c, 0x3c, 0x3c, 0x3c, 0x33, 0xf3, 0xb6, 0xf3,
	0xf3, 0xb6, 0x3c, 0x3c, 0x39, 0x79, 0xf3, 0xf3,
	0xf3, 0xf3, 0x3c, 0x3c, 0x33, 0x36, 0xf3, 0xf3,
	0xf3, 0xf3, 0x3c, 0x3c, 0x33, 0x33, 0x79, 0xf3,
	0xf3, 0xf3, 0x3c, 0x39, 0x36, 0x33, 0x33, 0x79,
	0x36, 0xf3, 0x3c, 0x3c, 0x3c, 0x33, 0x33, 0x33,
	0x33, 0xf3, 0xb6, 0x3c, 0x39, 0x33, 0x33, 0x33,
	0x33, 0xf3, 0xb6, 0x3c, 0x39, 0x79, 0xb6, 0x36,
	0x33, 0x79, 0xb6, 0x79, 0x3c, 0xb6, 0x3c, 0x39,
	0x33, 0x36, 0xb6, 0xf3, 0x3c, 0x79, 0x3c, 0x39,
	0x33, 0x33, 0x33, 0x79, 0x3c, 0xb6, 0x3c, 0x39,
	0x3c, 0x39, 0x33, 0x36, 0x3c, 0xb6, 0x3c, 0x39,
	0x3c, 0x3c, 0x33, 0x33, 0x3c, 0xb6, 0x3c, 0x3c,
	0xf3, 0xf3, 0x3c, 0x39, 0x33, 0x79, 0xb6, 0x3c,
	0xf3, 0xf3, 0xf3, 0xb6, 0x39, 0x33, 0x79, 0x3c,
	0x39, 0x36, 0xf3, 0xf3, 0xb6, 0x39, 0x33, 0x3c,
	0xb6, 0xf3, 0x3c, 0xb6, 0x36, 0x39, 0xf3, 0xf3,
	0xb3, 0x3c, 0x79, 0xb6, 0x79, 0x39, 0x79, 0xf3,
	0xb3, 0x33, 0x73, 0xb6, 0x79, 0xb3, 0x73, 0xf3,
	0x39, 0x33, 0x73, 0xb6, 0x3c, 0xb3, 0x36, 0xf3,
	0x39, 0x39, 0x73, 0xb6, 0x3c, 0x33, 0x39, 0xf3,
	0x3c, 0x39, 0x36, 0xb6, 0xf3, 0x3c, 0x39, 0x79,
	0x3c, 0x33, 0x36, 0xb6, 0xb6, 0x3c, 0x33, 0x73,
	0x3c, 0x33, 0x36, 0xf3, 0x3c, 0x3c, 0x33, 0x73,
	0xb6, 0x36, 0x33, 0xf3, 0x3c, 0xb6, 0x36, 0x39,
	0xb6, 0x3c, 0x33, 0x79, 0x79, 0xb6, 0x79, 0x39,
	0xb6, 0x79, 0xb3, 0x79, 0xf3, 0xb6, 0x3c, 0x79,
	0xb6, 0x79, 0x33, 0x36, 0xf3, 0xb6, 0x79, 0x3c,
	0xb6, 0x79, 0x33, 0x36, 0xf3, 0xb6, 0x79, 0xb6,
	0xb6, 0xb3, 0x36, 0x33, 0x79, 0xb6, 0xf3, 0xb6,
	0xb6, 0xb6, 0x3c, 0x33, 0x79, 0xb6, 0xb6, 0x79,
	0xf3, 0x3c, 0x39, 0x33, 0x73, 0xf3, 0xf3, 0xb3,
	0xf3, 0x3c, 0x39, 0x33, 0x79, 0xf3, 0xf3, 0xb6,
	0xb6, 0x3c, 0x39, 0x33, 0x36, 0xb6, 0xf3, 0x39,
	0x3c, 0x3c, 0x3c, 0xb3, 0x33, 0x33, 0x33, 0x33,
	0x3c, 0xb6, 0x36, 0x3c, 0x33, 0x33, 0x33, 0x39,
	0x79, 0xb6, 0x79, 0x3c, 0x33, 0x39, 0x36, 0x3c,
	0xf3, 0xb6, 0x79, 0xb6, 0x3c, 0x39, 0x36, 0x79,
	0xf3, 0xb6, 0x79, 0xb6, 0x3c, 0x33, 0x36, 0x3c,
	0xf3, 0xb6, 0x79, 0x3c, 0x3c, 0x33, 0x79, 0xf3,
	0xf3, 0xb6, 0xf3, 0x3c, 0xb6, 0x36, 0xf3, 0xf3,
	0x79, 0xb6, 0xf3, 0x79, 0xb6, 0x79, 0xf3, 0xf3,
	0x36, 0xf3, 0xf3, 0xf3, 0xb6, 0x79, 0xf3, 0xf3,
	0x33, 0x79, 0xf3, 0xf3, 0xb6, 0x79, 0xf3, 0xf3,
	0x39, 0x36, 0xf3, 0xf3, 0xb6, 0x79, 0xf3, 0xb6,
	0x33, 0x33, 0x79, 0xf3, 0xb6, 0xf3, 0xb6, 0x33,
	0x33, 0x33, 0x36, 0xf3, 0xf3, 0xf3, 0xb3, 0x33,
	0x36, 0x33, 0xb3, 0x79, 0x79, 0xf3, 0x39, 0x33,
	0x33, 0x33, 0x79, 0xf3, 0xf3, 0xb6, 0x39, 0x36,
	0x33, 0x33, 0x33, 0x36, 0xf3, 0xf3, 0x3c, 0x33,
	0x33, 0x33, 0x33, 0x33, 0x33, 0x36, 0xb6, 0x39,
	0x39, 0x33, 0x33, 0x33, 0x33, 0x33, 0xf3, 0x79,
	0x39, 0x73, 0x3c, 0x3c, 0x33, 0x33, 0xf3, 0x79,
	0x3c, 0x3c, 0xf3, 0xb6, 0x3c, 0x33, 0xf3, 0xb6,
	0x3c, 0xb6, 0x79, 0x3c, 0x39, 0x33, 0xf3, 0xb6,
	0x3c, 0xf3, 0xb6, 0x3c, 0x39, 0x33, 0x79, 0xf3,
	0x3c, 0xf3, 0xb6, 0x3c, 0x39, 0x33, 0x73, 0xf3,
	0x3c, 0xf3, 0xb6, 0xf3, 0x3c, 0x39, 0x36, 0xf3,
	0x79, 0xf3, 0xf3, 0xf3, 0x3c, 0x39, 0x33, 0x79,
	0x79, 0xf3, 0xf3, 0xf3, 0x3c, 0xf3, 0x33, 0x36,
	0xf3, 0xf3, 0xf3, 0xf3, 0x3c, 0xf3, 0x33, 0x33,
	0x79, 0xf3, 0xf3, 0xf3, 0x79, 0xb3, 0x36, 0x33,
	0x73, 0xf3, 0xb6, 0xf3, 0x79, 0xb6, 0x3c, 0x33,
	0x36, 0xf3, 0xb6, 0xf3, 0xb6, 0x3c, 0x39, 0x33,
	0xb6, 0x3c, 0x39, 0x36, 0x36, 0xf3, 0xf3, 0xb6,
	0xf3, 0xf3, 0x3c, 0x3c, 0x39, 0x79, 0xf3, 0x3c,
	0xf3, 0xf3, 0xb6, 0xb6, 0xb3, 0x36, 0xb6, 0x3c,
	0xf3, 0xf3, 0xf3, 0xf3, 0xb3, 0x33, 0x36, 0x79,
	0xf3, 0x39, 0x79, 0xf3, 0x39, 0x33, 0x36, 0xf3,
	0xb6, 0x33, 0x73, 0xf3, 0x39, 0x39, 0x73, 0xf3,
	0xb3, 0x33, 0x73, 0xf3, 0x3c, 0x3c, 0x73, 0xf3,
	0x39, 0x39, 0x73, 0xb6, 0x3c, 0x36, 0x73, 0xf3,
	0x3c, 0x39, 0x73, 0xb6, 0x3c, 0x36, 0x73, 0xf3,
	0x3c, 0x33, 0x73, 0x79, 0xb6, 0x73, 0x36, 0xf3,
	0x3c, 0x33, 0x73, 0x79, 0xb6, 0x79, 0x33, 0x36,
	0xb6, 0x33, 0x36, 0xf3, 0xb6, 0x3c, 0x33, 0x33,
	0xb6, 0x3c, 0x36, 0xf3, 0xb6, 0x3c, 0x39, 0x33,
	0xb6, 0x3c, 0x33, 0xf3, 0xb6, 0x3c, 0x33, 0x39,
	0xb6, 0x3c, 0x39, 0x79, 0xb6, 0xf3, 0x3c, 0x39,
	0xb6, 0x79, 0x39, 0x33, 0x79, 0xb6, 0x3c, 0x33,
	0x3c, 0x33, 0x39, 0x33, 0x36, 0xb6, 0x33, 0x33,
	0x39, 0x33, 0x79, 0x33, 0x33, 0x33, 0x33, 0x33,
	0x39, 0x73, 0x39, 0x36, 0x33, 0x36, 0x3c, 0x33,
	0x39, 0x3c, 0x3c, 0x3c, 0x33, 0x3c, 0xb6, 0x3c,
	0x3c, 0xf3, 0x3c, 0x39, 0x36, 0x79, 0xb6, 0x3c,
	0x3c, 0xb6, 0x3c, 0x39, 0x79, 0xb6, 0x3c, 0x3c,
	0x3c, 0xb6, 0x79, 0x3c, 0xb6, 0x79, 0xb6, 0x79,
	0x3c, 0xb6, 0xf3, 0x3c, 0x79, 0xf3, 0xb6, 0x3c,
	0x79, 0xf3, 0xf3, 0x3c, 0xf3, 0xf3, 0xb6, 0x79,
	0x79, 0xf3, 0xf3, 0x3c, 0xf3, 0xf3, 0xb6, 0x79,
	0xf3, 0xf3, 0xf3, 0x3c, 0xb6, 0xf3, 0xf3, 0x79,
	0x79, 0xf3, 0xf3, 0x3c, 0xb6, 0xf3, 0xf3, 0x79,
	0x79, 0xf3, 0xf3, 0x3c, 0xb6, 0x79, 0xf3, 0xf3,
	0x73, 0xf3, 0xf3, 0x36, 0xf3, 0x79, 0xb6, 0x36,
	0x33, 0x79, 0x39, 0x33, 0xf3, 0x79, 0x39, 0x33,
	0x3c, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33,
	0x33, 0x36, 0xf3, 0xf3, 0xb6, 0x3c, 0x39, 0x73,
	0x33, 0x33, 0x79, 0xf3, 0xb6, 0x79, 0x39, 0x79,
	0x33, 0x33, 0x36, 0xf3, 0xb6, 0xf3, 0x3c, 0xf3,
	0x3c, 0x39, 0x33, 0x79, 0xf3, 0xf3, 0x3c, 0xf3,
	0x3c, 0x39, 0x33, 0xf3, 0xf3, 0xf3, 0x3c, 0xf3,
	0x3c, 0xb6, 0x33, 0x79, 0xf3, 0xf3, 0xf3, 0xf3,
	0xf3, 0x3c, 0x3c, 0x73, 0xf3, 0xf3, 0x79, 0xf3,
	0xf3, 0x3c, 0x39, 0x36, 0xf3, 0xf3, 0x79, 0xf3,
	0xb6, 0x3c, 0x39, 0x39, 0x36, 0x3c, 0x36, 0xf3,
	0xb6, 0x79, 0x3c, 0xb6, 0x33, 0x39, 0x33, 0x79,
	0xb6, 0xf3, 0x3c, 0x3c, 0x39, 0x33, 0x33, 0x33,
	0xf3, 0xf3, 0x3c, 0xf3, 0x3c, 0x3c, 0x33, 0x33,
	0xf3, 0xf3, 0x3c, 0xf3, 0x3c, 0x39, 0x36, 0x3c,
	0xf3, 0xf3, 0x3c, 0xb6, 0x3c, 0x39, 0x79, 0x3c,
	0xf3, 0xf3, 0x79, 0xb6, 0x79, 0x3c, 0xb6, 0x79,
	0x79, 0xf3, 0xf3, 0xb6, 0xf3, 0x3c, 0x3c, 0x3c,
	0xb6, 0xf3, 0x39, 0x33, 0x73, 0xb6, 0x3c, 0x36,
	0xb6, 0xf3, 0x39, 0x33, 0x73, 0xb6, 0xb6, 0x3c,
	0xf3, 0xf3, 0x33, 0x39, 0x73, 0x79, 0xb6, 0x3c,
	0xf3, 0xf3, 0x3c, 0x39, 0x73, 0xf3, 0xb6, 0x79,
	0xf3, 0xb6, 0x3c, 0x33, 0x36, 0xf3, 0xb6, 0x79,
	0xf3, 0x3c, 0x3c, 0x36, 0x33, 0xf3, 0xb6, 0x79,
	0xf3, 0x3c, 0xb6, 0x73, 0x33, 0x79, 0xb6, 0xf3,
	0xf3, 0x79, 0xb6, 0x79, 0x39, 0x36, 0xf3, 0xf3,
	0xf3, 0xf3, 0xb6, 0x79, 0x3c, 0x33, 0x79, 0xb6,
	0xf3, 0xf3, 0xb6, 0x3c, 0xb6, 0x39, 0x33, 0x33,
	0xf3, 0xf3, 0xb6, 0x79, 0xb6, 0x79, 0x33, 0x33,
	0xf3, 0xf3, 0xb6, 0xb6, 0xb6, 0xb6, 0x33, 0x33,
	0xf3, 0x79, 0xb6, 0xb6, 0xb6, 0xf3, 0x3c, 0x39,
	0xb6, 0xf3, 0xf3, 0x79, 0xb6, 0xb6, 0x3c, 0x33,
	0x79, 0x79, 0xf3, 0xb6, 0xf3, 0x3c, 0x3c, 0x33,
	0x3c, 0x79, 0xf3, 0x3c, 0x79, 0x3c, 0xb6, 0x36,
	0xf3, 0x39, 0x36, 0x33, 0x33, 0x33, 0x36, 0x33,
	0x3c, 0x3c, 0x3c, 0x33, 0x36, 0x3c, 0x3c, 0x33,
	0xf3, 0x3c, 0x39, 0x33, 0x3c, 0x3c, 0x39, 0x36,
	0xb6, 0x3c, 0x39, 0x36, 0x3c, 0x3c, 0x39, 0x79,
	0xb6, 0x79, 0x3c, 0x3c, 0xb6, 0x79, 0x3c, 0x3c,
	0xb6, 0xf3, 0x3c, 0x79, 0xb6, 0xf3, 0x3c, 0x79,
	0xf3, 0xf3, 0x3c, 0x79, 0xf3, 0xf3, 0x3c, 0xf3,
	0xf3, 0xf3, 0x3c, 0x79, 0xf3, 0xf3, 0x3c, 0x79,
	0xf3, 0xf3, 0x3c, 0xf3, 0xf3, 0xf3, 0x3c, 0x79,
	0x79, 0xf3, 0x3c, 0xf3, 0xf3, 0xf3, 0x3c, 0x3c,
	0x36, 0xf3, 0x3c, 0xf3, 0xf3, 0xf3, 0x79, 0x3c,
	0x36, 0xf3, 0xb6, 0x3c, 0x79, 0xf3, 0xb6, 0x79,
	0x33, 0xf3, 0xb6, 0xb6, 0x3c, 0xf3, 0xb6, 0xf3,
	0x33, 0x73, 0xb6, 0x3c, 0xb6, 0xf3, 0x79, 0x79,
	0x3c, 0xb3, 0x73, 0x3c, 0x3c, 0xf3, 0x3c, 0xf3,
	0x3c, 0xf3, 0x33, 0x3c, 0x3c, 0xf3, 0xf3, 0xf3,
	0x36, 0xf3, 0xf3, 0xf3, 0xf3, 0x3c, 0xf3, 0xf3,
	0x33, 0x79, 0xf3, 0xf3, 0xf3, 0x3c, 0xf3, 0xf3,
	0xf3, 0x33, 0x3c, 0x36, 0xf3, 0x3c, 0xf3, 0xf3,
	0x3c, 0x79, 0x33, 0x33, 0x79, 0xf3, 0xf3, 0xf3,
	0x79, 0x3c, 0x33, 0x33, 0x36, 0xf3, 0xf3, 0xf3,
	0x79, 0xb3, 0x3c, 0x33, 0x33, 0x79, 0xf3, 0xf3,
	0x79, 0xb6, 0x3c, 0x33, 0x33, 0x33, 0x79, 0xf3,
	0xb6, 0x3c, 0x39, 0x33, 0x36, 0x39, 0x33, 0x79,
	0xb6, 0x3c, 0x39, 0x36, 0xf3, 0xb6, 0x33, 0x33,
	0xb6, 0x79, 0x39, 0x79, 0xf3, 0xf3, 0xf3, 0xb3,
	0xb6, 0xf3, 0x3c, 0xb6, 0xf3, 0xf3, 0xf3, 0xf3,
	0xf3, 0xf3, 0x3c, 0xf3, 0x79, 0xf3, 0xf3, 0xf3,
	0xf3, 0xf3, 0x3c, 0xb6, 0xb6, 0xf3, 0xf3, 0xf3,
	0xf3, 0xf3, 0x3c, 0xb6, 0xf3, 0xf3, 0xf3, 0xf3,
	0xf3, 0xf3, 0x3c, 0xb6, 0x79, 0xf3, 0xf3, 0xf3,
	0xb6, 0xf3, 0x3c, 0x3c, 0x3c, 0x3c, 0x3c, 0x3c
};